<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
</head>
<body>
<h1>Cities</h1>
<div id="bodyContent">
<p>A city is created when settlers are given the <b>build city</b>
command on suitable terrain (any terrain except Glaciers or Ocean),
removing the unit from play to provide the city with its first citizen.
A city may grow to include dozens of citizens, some working within the
city while others are dispatched as new settlers. Famine and war kill
citizens and reduce population; with the loss of its last citizen a
city disappears. On the Freeciv map each city is labeled with its
population, also called its <i>size</i>.
</p>
<p>Cities are your sole instrument for developing natural resources and
channeling them toward expansion, technological progress, and warfare.
After describing how city citizens extract natural resources, we will
examine how cities themselves may be developed and cultivated to
increase their value and productivity.</p>
<div class="floatright"><span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/c/c4/Citywork21.png"
 alt="An example city" border="0" height="150" width="300"></span></div>
<p></p>
<h3><a id="Working_land" name="Working_land" rel="nofollow"></a><span
 class="editsection"></span> <span class="mw-headline">Working
land</span></h3>
<div class="floatright"><span class="image"></span></div>
<p>Each city may work terrain within the 5&Atilde;&#8212;5 region centered on
the city, minus its corners. To extract resources from a square you
must have a citizen working there. The example city shown on the right
has all four of its citizens working in nearby squares; each active
square is labelled with the number of food points, production points,
and trade points it is generating every turn. By taking one or more of
these squares out of production, the player could choose other squares
for his citizens to work, or place his citizens in other roles
entirely.
</p>
<p>Review the section on terrain to determine how the output of each
square is affected by the terrain, the presence of special resources
such as game or minerals, and improvements like roads, irrigation, or
mines.
</p>
<p>Note that the square on which the city itself rests - the <i>city
center</i> - gets worked for free, without being assigned a citizen.
The city's square always produces at least one food point and at least
one production point. It also gains whatever advantages the terrain
offers when irrigated (because cities come with water systems
built-in), but this may not be used as a basis for irrigating other
squares, nor for farmland; for these benefits, workers must explicitly
irrigate the square. City squares are also automatically developed with
roads or, when technology has made them available, railroads (because
cities come with transportation built-in). If the city has a
Supermarket,
its square additionally gets any food bonus associated with farmland.
</p>
<p>You cannot begin working a square which a neighboring city is
already working, nor can you work terrain upon which an enemy unit is
standing or terrain inside another player's borders. Thus you can
simulate conditions of siege by stationing your units atop valuable
resources around an enemy city. Units can also be ordered to <b>pillage</b>,
which damages improvements. Workers, settlers and engineers could even
transform the terrain to make the square less productive, like the
Romans sowing the fields of Carthage with salt.
</p>
<a id="Buildings_and_wonders" name="Buildings_and_wonders"
 rel="nofollow"></a>
<h3><span class="editsection"><a id="Buildings_and_wonders"
 name="Buildings_and_wonders" rel="nofollow"></a></span><span
 class="mw-headline">Buildings and wonders</span></h3>
<p>Cities may be enhanced with a wide variety of buildings, each with a
different effect; each city may have only one of each building.
Buildings are listed and described here. Some buildings require others
&a as when you must have a Marketplace before building a Bank.
Most buildings become available only when you achieve certain
technologies, while technology makes others become obsolete.
</p>
<p>It costs production points to construct buildings&nbsp; often
taking several turns&nbsp; and, once completed, many buildings
require an upkeep of several gold pieces. You may dismantle and sell a
building, receiving one gold piece for each production point used in
its construction. If a turn comes on which you cannot pay the upkeep on
all of your buildings, some of them will be automatically sold;
obviously this should be avoided as the buildings chosen might not be
ones you would have preferred to sell.
</p>
<p>Wonders are unique structures that can each be constructed by only
one civilization per game. Players often race to be the first to
complete a coveted wonder. While buildings affect only their own city,
many wonders benefit their entire civilization. And while buildings
must be built using local production points, caravans and freight built
in other cities can contribute their full cost in production points
towards the construction of a wonder (simply disbanding units returns
only half of their cost).
</p>
<a id="Specialists" name="Specialists" rel="nofollow"></a>
<h3><span class="editsection"><a id="Specialists" name="Specialists"
 rel="nofollow"></a></span><span class="mw-headline">Specialists</span></h3>
<p>The first citizens of each city are usually workers, each toiling to
yield up the resources of one terrain square. But there are several
other roles citizens may assume once they are relieved of having to
work terrain. In fact, taking another role is the only way they can
stop working. Watch carefully when you remove a citizen from one
terrain square and assign him to another&nbsp; you will see him
briefly become an entertainer in the moment when he is not assigned
terrain.
</p>
<p>Even small cities can support <i>entertainers</i>, which each
produce two luxury points per turn for their city (whose effects are
described in the next section). When cities reach five citizens in
size, two other specialists become available, which your user interface
will probably let you select by clicking on your specialist citizens.
These other two specialists contribute toward your civilization as a
whole rather than to their own city: each <i>tax collector</i>
provides three extra gold per turn for your treasury, while each <i>scientist</i>
adds three points to your research output.
</p>
<p>When your cities grow and produce new citizens, the game starts them
off as workers even if this throws the city into disorder as
described below! The game assigns new workers to the terrain that is
generally going to produce the fastest growth. You may want to inspect
cities that have just grown and adjust the role in which the new
citizen has been placed. If all land is in use then new citizens become
entertainers.
</p>
<p>Three buildings allow you to multiply the research produced by your
city:
</p>
<table id="bldgs-Science-1" style="margin: auto;">
  <tbody>
    <tr>
      <td>
      <table cellpadding="4" width="100%">
        <tbody>
          <tr bgcolor="#000000">
            <td width="50"><span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/5/53/B.library.png"
 alt="image:b.library.png" border="0" height="64" width="64"></span> </td>
            <td width="200"><b style="color: rgb(255, 255, 255);">Library</b>
            <p style="color: rgb(255, 255, 255);">cost:<b>60</b> upkeep:<b>1</b>
            </p>
            <p><span style="color: rgb(255, 255, 255);">requires:Writing</span>
            </p>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
      <td>
      <table cellpadding="4" width="100%">
        <tbody>
          <tr bgcolor="#000000">
            <td width="50"><span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/0/08/B.university.png"
 alt="image:b.university.png" border="0" height="64" width="64"></span>
            </td>
            <td width="200"><b style="color: rgb(255, 255, 255);">University</b>
            <p style="color: rgb(255, 255, 255);">cost:<b>120</b>
upkeep:<b>3</b> </p>
            <p><span style="color: rgb(255, 255, 255);">requires:University</span>
            </p>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
    </tr>
    <tr>
      <td>
      <table cellpadding="4" width="100%">
        <tbody>
          <tr bgcolor="#000000">
            <td width="50"><span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/4/4a/B.research_lab.png"
 alt="image:b.research_lab.png" border="0" height="64" width="64"></span>
            </td>
            <td width="200"><b style="color: rgb(255, 255, 255);">Research
Lab</b>
            <p style="color: rgb(255, 255, 255);">cost:<b>120</b>
upkeep:<b>3</b> </p>
            <p><span style="color: rgb(255, 255, 255);">requires:Computers</span>
            </p>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
    </tr>
  </tbody>
</table>
<p><br>
Other buildings enhance the efforts of your entertainers and tax
collectors:
</p>
<table id="bldgs-Tax_and_lux-1" style="margin: auto;">
  <tbody>
    <tr>
      <td>
      <table cellpadding="4" width="100%">
        <tbody>
          <tr bgcolor="#000000">
            <td style="color: rgb(255, 255, 255);" width="50"><span
 class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/6/6a/B.marketplace.png"
 alt="image:b.marketplace.png" border="0" height="64" width="64"></span>
            </td>
            <td style="color: rgb(255, 255, 255);" width="200"><b>Marketplace</b>
            <p>cost:<b>60</b> upkeep:<b>0</b> </p>
            <p>requires:Currency </p>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
      <td>
      <table cellpadding="4" width="100%">
        <tbody>
          <tr bgcolor="#000000">
            <td width="50"><span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/8/87/B.bank.png"
 alt="image:b.bank.png" border="0" height="64" width="64"></span> </td>
            <td width="200"><b style="color: rgb(255, 255, 255);">Bank</b>
            <p style="color: rgb(255, 255, 255);">cost:<b>80</b> upkeep:<b>2</b>
            </p>
            <p><span style="color: rgb(255, 255, 255);">requires:Banking</span>
            </p>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
    </tr>
    <tr>
      <td>
      <table cellpadding="4" width="100%">
        <tbody>
          <tr bgcolor="#000000">
            <td width="50"><span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/5/5e/B.stock_exchange.png"
 alt="image:b.stock_exchange.png" border="0" height="64" width="64"></span>
            </td>
            <td style="color: rgb(255, 255, 255);" width="200"><b>Stock
Exchange</b>
            <p>cost:<b>120</b> upkeep:<b>3</b> </p>
            <p>requires:Economics </p>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
    </tr>
  </tbody>
</table>
<a id="Civilization_and_its_Discontents"
 name="Civilization_and_its_Discontents" rel="nofollow"></a>
<h3><span class="editsection"><a id="Civilization_and_its_Discontents"
 name="Civilization_and_its_Discontents" rel="nofollow"></a></span> <span
 class="mw-headline">Civilization and its Discontents</span></h3>
<p>Unfortunately city growth produces crowding which makes it difficult
to maintain worker morale. Each citizen is either <i>happy</i>, <i>content</i>,
<i>unhappy</i> or <i>angry</i>. Only the first four workers are
naturally content; the rest are naturally unhappy, which is quite
serious as even one unhappy worker can throw the city into disorder.
Cities in disorder produce no food, production, or trade points and are
more prone to revolt; prolonged disorder in a democracy can even result
in national revolution.
</p>
<p>It should be stressed that only workers vary in morale&nbsp;
entertainers, scientists, and tax collectors enjoy enough privilege to
remain perpetually content. Thus one solution to the problem of an
unhappy worker is simply to assign that citizen to the role of a
specialist. But if cities are ever to work more than four terrain
squares at once, the problem of morale must be confronted more
directly.
</p>
<p>There are two means of saving large cities from disorder. Most of
the buildings and wonders that affect morale (all are listed in the
next section) merely make unhappy workers content, which does prevent
disorder but is without further benefit. The more interesting option is
to produce <i>happy</i> workers. These can balance the effect of
unhappy workers&nbsp; a city will not fall into disorder unless
unhappy workers outnumber happy ones&nbsp; but can also produce
other desirable effects.
</p>
<p>Cities with three or more citizens <i>celebrate</i> when half their
citizens are happy workers and none remain unhappy. Under monarchy and
communism this gives terrain around the city the trade bonus (one point
for each square that produces any trade on its own) normally available
only under representative government. Under a republic or democracy the
effect can be even more spectacular the city enters <i>rapture</i>
and grows by one citizen each turn that the city produces a food
surplus (otherwise it refuses to grow for fear of starvation). Without
rapture, large cities can grow only by struggling to produce a food
surplus, which can be difficult enough&nbsp; and then wait
dozens of turns for their granary to fill.
</p>
<a id="Managing_Happiness" name="Managing_Happiness" rel="nofollow"></a>
<h3><span class="editsection"><a id="Managing_Happiness"
 name="Managing_Happiness" rel="nofollow"></a></span> <span
 class="mw-headline">Managing Happiness</span></h3>
<p>Workers are made happy when you provide them with luxury. For every
two luxury points a city produces, one content worker is made happy (or
if there are no content workers left, one unhappy worker becomes
content). Besides the luxury points produced by entertainers, cities
receive back some of the trade points they produce as luxury points
when you allocate some of your trade points for luxury.
</p>
<div id="units_and_happiness">
<p>Military units can affect city happiness. Under authoritarian
regimes this is helpful, as military units stationed in a city can
prevent unhappiness by enforcing order. Under representative
governments the only effect is negative - citizens become
unhappy when their city is supporting military units which have been
deployed into an aggressive stance. This includes units not inside your
borders, a friendly city (including the cities of your allies), or a
fortress within three squares of a friendly city; however, <i>field
units</i> (missiles, helicopters, and bombers) cause unhappiness
regardless of location. See the section on governments for the number
of workers affected by each of these factors.
</p>
<p>All of the above discussion assumed that cities can grow to size
four without unhappiness, with the fifth worker being the first
unhappy. This limit actually decreases as you gain large numbers of
cities, to simulate the difficulty of imposing order upon a large
empire. Different governments can support different numbers of cities
before encountering this limit for the first time; see the section on
government for details.
</p>
<p>Continued empire growth may lead to further penalty steps, with the
precise details again being dependent on government. In empires that
grow beyond the point where <i>no</i> citizens are naturally content, <i>angry</i>
citizens will appear; these must all be made merely unhappy before any
unhappy citizens can be made content, but in all other respects behave
as unhappy citizens.
</p>
<p>The Wonders which affect morale are the Hanging Gardens,
Michelangelo's Chapel, Shakespeare's Theatre, J.S. Bach's Cathedral,
Women's Suffrage, and the Cure for Cancer. </p>
<p>The buildings that affect city growth and worker happiness are:
</p>
<table id="bldgs-Growth-1" style="margin: auto;">
  <tbody>
    <tr>
      <td>
      <table cellpadding="4" width="100%">
        <tbody>
          <tr bgcolor="#000000">
            <td width="50"><span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/8/85/B.aqueduct.png"
 alt="image:b.aqueduct.png" border="0" height="64" width="64"></span> </td>
            <td style="color: rgb(255, 255, 255);" width="200"><b>Aqueduct</b>
            <p>cost:<b>60</b> upkeep:<b>2</b> </p>
            <p>requires:Construction </p>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
      <td>
      <table cellpadding="4" width="100%">
        <tbody>
          <tr bgcolor="#000000">
            <td width="50"><span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/3/38/B.sewer_system.png"
 alt="image:b.sewer_system.png" border="0" height="64" width="64"></span>
            </td>
            <td width="200"><b style="color: rgb(255, 255, 255);">Sewer
System</b>
            <p style="color: rgb(255, 255, 255);">cost:<b>80</b> upkeep:<b>2</b>
            </p>
            <p><span style="color: rgb(255, 255, 255);">requires:Sanitation</span>
            </p>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
    </tr>
  </tbody>
</table>
<table id="bldgs-Happiness-1" style="margin: auto;">
  <tbody>
    <tr>
      <td>
      <table cellpadding="4" width="100%">
        <tbody>
          <tr bgcolor="#000000">
            <td width="50"><span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/6/64/B.temple.png"
 alt="image:b.temple.png" border="0" height="64" width="64"></span> </td>
            <td width="200"><b style="color: rgb(255, 255, 255);">Temple</b>
            <p style="color: rgb(255, 255, 255);">cost:<b>30</b> upkeep:<b>1</b>
            </p>
            <p><span style="color: rgb(255, 255, 255);">requires:Ceremonial
Burial</span> </p>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
      <td>
      <table cellpadding="4" width="100%">
        <tbody>
          <tr bgcolor="#000000">
            <td width="50"><span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/4/4a/B.courthouse.png"
 alt="image:b.courthouse.png" border="0" height="64" width="64"></span>
            </td>
            <td width="200"><b style="color: rgb(255, 255, 255);">Courthouse</b>
            <p style="color: rgb(255, 255, 255);">cost:<b>60</b> upkeep:<b>1</b>
            </p>
            <p><span style="color: rgb(255, 255, 255);">requires:Code
of Laws</span> </p>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
    </tr>
    <tr>
      <td>
      <table cellpadding="4" width="100%">
        <tbody>
          <tr bgcolor="#000000">
            <td width="50"><span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/3/38/B.colosseum.png"
 alt="image:b.colosseum.png" border="0" height="64" width="64"></span> </td>
            <td style="color: rgb(255, 255, 255);" width="200"><b>Colosseum</b>
            <p>cost:<b>70</b> upkeep:<b>4</b> </p>
            <p>requires:Construction </p>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
      <td>
      <table cellpadding="4" width="100%">
        <tbody>
          <tr bgcolor="#000000">
            <td width="50"><span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/3/3d/B.cathedral.png"
 alt="image:b.cathedral.png" border="0" height="64" width="64"></span> </td>
            <td width="200"><b style="color: rgb(255, 255, 255);">Cathedral</b>
            <p style="color: rgb(255, 255, 255);">cost:<b>80</b> upkeep:<b>3</b>
            </p>
            <p><span style="color: rgb(255, 255, 255);">requires:Monotheism</span>
            </p>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
    </tr>
    <tr>
      <td>
      <table cellpadding="4" width="100%">
        <tbody>
          <tr bgcolor="#000000">
            <td width="50"><span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/1/1e/B.police_station.png"
 alt="image:b.police_station.png" border="0" height="64" width="64"></span>
            </td>
            <td width="200"><b style="color: rgb(255, 255, 255);">Police
Station</b>
            <p style="color: rgb(255, 255, 255);">cost:<b>50</b> upkeep:<b>2</b>
            </p>
            <p><span style="color: rgb(255, 255, 255);">requires:Communism</span>
            </p>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
      <td> <br>
      </td>
    </tr>
  </tbody>
</table>
<a id="Pollution" name="Pollution" rel="nofollow"></a>
<h3><span class="editsection"><a id="Pollution" name="Pollution"
 rel="nofollow"></a></span>&nbsp;<span class="mw-headline">Pollution</span></h3>
<p>Pollution can plague large cities, especially as your civilization
becomes more industrialized. The chance of pollution appearing around a
city depends on the sum of its population, aggravated by the advances
industrialization, the automobile, mass production, and plastics, and
its production point output. When this sum exceeds 20, the excess is
the percent chance of pollution appearing each turn; this percentage is
shown in the city dialogue.
</p>
<p>Pollution appears as gunk covering of the terrain squares around the
city. The pollution can only be cleared by dispatching workers,
settlers
or engineers with the <b>clean pollution</b> order (which takes three
settler-turns to carry out). A polluted terrain square generates only
half its usual food, production, and trade.
</p>
<p>When an unused square becomes polluted, there is the temptation to
avoid the effort of cleaning it; but the spread of pollution has far
more terrible results - every polluted square increases the
chance of <span class="mw-redirect">global warming</span>. Each time
global warming advances, the entire world loses coastal land for
jungles and swamps, and inland squares are lost to desert. This tends
to devastate cities and leads to global impoverishment.
</p>
<p>Several buildings affect pollution: </p>
<table id="bldgs-Pollution_cleaning-1" style="margin: auto;">
  <tbody>
    <tr>
      <td>
      <table cellpadding="4" width="100%">
        <tbody>
          <tr bgcolor="#000000">
            <td width="50"><span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/4/44/B.hydro_plant.png"
 alt="image:b.hydro_plant.png" border="0" height="64" width="64"></span>
            </td>
            <td width="200"><b style="color: rgb(255, 255, 255);">Hydro
Plant</b>
            <p style="color: rgb(255, 255, 255);">cost:<b>180</b>
upkeep:<b>4</b> </p>
            <p><span style="color: rgb(255, 255, 255);">requires:Electronics</span>
            </p>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
      <td>
      <table cellpadding="4" width="100%">
        <tbody>
          <tr bgcolor="#000000">
            <td width="50"><span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/c/c0/B.mass_transit.png"
 alt="image:b.mass_transit.png" border="0" height="64" width="64"></span>
            </td>
            <td width="200"><b style="color: rgb(255, 255, 255);">Mass
Transit</b>
            <p style="color: rgb(255, 255, 255);">cost:<b>120</b>
upkeep:<b>4</b> </p>
            <p><span style="color: rgb(255, 255, 255);">requires:Mass
Production</span> </p>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
    </tr>
    <tr>
      <td>
      <table cellpadding="4" width="100%">
        <tbody>
          <tr bgcolor="#000000">
            <td width="50"><span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/b/b6/B.recycling_center.png"
 alt="image:b.recycling_center.png" border="0" height="64" width="64"></span>
            </td>
            <td width="200"><b style="color: rgb(255, 255, 255);">Recycling
Center</b>
            <p style="color: rgb(255, 255, 255);">cost:<b>140</b>
upkeep:<b>2</b> </p>
            <p><span style="color: rgb(255, 255, 255);">requires:Recycling</span>
            </p>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
      <td>
      <table cellpadding="4" width="100%">
        <tbody>
          <tr bgcolor="#000000">
            <td width="50"><span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/2/2d/B.nuclear_plant.png"
 alt="image:b.nuclear_plant.png" border="0" height="64" width="64"></span>
            </td>
            <td width="200"><b style="color: rgb(255, 255, 255);">Nuclear
Plant</b>
            <p style="color: rgb(255, 255, 255);">cost:<b>120</b>
upkeep:<b>2</b> </p>
            <p><span style="color: rgb(255, 255, 255);">requires:Nuclear
Power</span> </p>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
    </tr>
  </tbody>
</table>
</div>
</div>
</body>
</html>
