<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
</head>
<body>
<h1>Diplomacy</h1>
<div id="bodyContent">
<p>In order to establish diplomatic relations with another player,
either AI or human, you must first meet them. To meet another player
entails having one of your units be adjacent to a city or unit of that
player. </p>
While you can arrange a meeting with the players you are in contact
with, you can't have more than the most basic intelligence about their
civilization without establishing an embassy either by pact or with a
diplomat.
<a id="Diplomats" name="Diplomats" rel="nofollow"></a>
<h2><span class="editsection"
 style="position: relative; top: -3px; margin-bottom: -2px;"><span
 class="wikia_button"><span></span></span></span><span
 class="mw-headline">Diplomats</span></h2>
<p>Once your advances provide you with diplomats, and later with spies,
your can observe and manipulate other civilizations more subtly than is
possible with simple military observation and intervention. Both units
are fragile and must move cautiously &acirc;&#8364;&#8221; often under guard
&acirc;&#8364;&#8221; to survive. The more aggressive actions can spark a
diplomatic incident if perpetrated against a civilization you're not at
war with; this is sufficient provocation to allow treaties to be
revoked under representative government.
</p>
<p>Two actions require your unit to approach a lone enemy unit and
attempt to enter its square (these actions cannot be attempted on a
stack of units):
</p>
<ul>
  <li> <b>Bribe Unit</b>. In exchange for gold, a foreign unit may be
persuaded to join your civilization. This action doesn't work if the
enemy governs as a democracy. Bribery may be attempted even when not at
war, but will cause a diplomatic incident. The cost depends on several
factors:
    <ul>
      <li> increases with wealth of the enemy civilization; </li>
      <li> increases with enemy unit production cost and veterancy; </li>
      <li> decreases with enemy unit hitpoints; </li>
      <li> decreases with increasing distance from enemy capital; </li>
      <li> half if enemy unit is a Settler. </li>
    </ul>
  </li>
</ul>
<ul>
  <li> <b>Sabotage Enemy Unit</b>. Only the spy may sabotage an enemy
unit, reducing its remaining hitpoints by half if successful. Sabotage
may only be attempted when openly at war. After successful sabotage a
spy is instantly returned to the nearest friendly city. </li>
</ul>
<p>All other actions require your diplomatic unit to reach an enemy
city alive and attempt to enter it. Diplomats can attempt only one
diplomatic act, whose success or failure brings them to their end,
while spies are more hardy and often survive their mission. Enemy
diplomats or spies in the city will oppose any hostile action. Either
your diplomat or the defending diplomat will die. If the defending
diplomat dies, you lose one movement point and may try again. The
actions available at an enemy city are:
</p>
<ul>
  <li> <b>Make embassy</b>. Both diplomats and spies always succeed
when you ask them to establish an embassy. An embassy gives you
permanent contact with that civilization. At any time your embassy can
provide you with basic intelligence about their government, treasury,
trade ratios, and technology. An embassy also allows you to propose
pacts to the other player, as described below. </li>
</ul>
<ul>
  <li> <b>Investigate city</b>. Your unit will report the status of
the city, what units and buildings are within, and what it is currently
producing. </li>
</ul>
<ul>
  <li> <b>Sabotage city</b>. Your unit attempts to destroy either one
of the city's buildings, or all of its work towards its current
project. Diplomats will select their target randomly, but spies can be
directed towards a specific goal (with a reduced chance of success).
Once built, Palaces and Wonders cannot be sabotaged, and attempts to
sabotage City Walls or any building in a capital each halve the chance
of success. Sabotage may only be attempted when openly at war. After
successful sabotage a spy is returned to the nearest friendly city. </li>
</ul>
<ul>
  <li> <b>Steal Advance</b>. Your agent will attempt to learn the
secrets of one technology held by the other civilization that you lack.
Only one advance can be stolen from a city by Diplomats; Spies can
steal more than once, but a city becomes more resistant each time it is
stolen from. Diplomats steal a random technology, while you may direct
a spy to steal a specific advance (with a reduced chance of success).
Theft may be attempted even when not at war, but will cause a
diplomatic incident. A successful spy is returned to the nearest
friendly city. </li>
</ul>
<ul>
  <li> <b>Incite city rebellion</b>. In return for gold a foreign city
will change allegiances and join your empire, bringing along all nearby
units that call it home, but reducing its size by 1. Units in other
cities remain in the enemy's control, but units outside cities are lost
to both players. Incitement may be attempted even when not at war, but
will cause a diplomatic incident. After inciting rebellion successfully
a spy is returned to the nearest friendly city. This action doesn't
work if the enemy governs as a democracy, or for capital cities. The
cost depends on several factors:
    <ul>
      <li> increases with wealth of the enemy civilization; </li>
      <li> decreases with increasing distance from enemy capital; </li>
      <li> increases with present unit and building production costs; </li>
      <li> half if city is empty; </li>
      <li> increases with city size (modified by happiness of
individual citizens); </li>
      <li> half if city is in revolt or enemy civilization is in
anarchy </li>
      <li> double if city is celebrating; </li>
      <li> decreases if the city was originally yours, or (less) if it
is not currently owned by its original builder; </li>
      <li> increases if city has a Courthouse. </li>
    </ul>
  </li>
</ul>
<ul>
  <li> <b>Poison city water</b>. Only the spy can commit this
atrocity, and only in war; it empties the city granary and kills one
citizen. A successful spy is returned to the nearest friendly city. </li>
</ul>
<a id="Pacts" name="Pacts" rel="nofollow"></a>
<h2><span class="editsection"
 style="position: relative; top: -3px; margin-bottom: -2px;"><span
 class="wikia_button"><span></span></span></span><span
 class="mw-headline">Pacts</span></h2>
<p>Players can make informal requests, agreements, and threats across
the in-game chat channel, but to transfer actual property they must
arrange a pact (and of course AI players can only negotiate through a
pact). This can be done while the players have contact or may be
initiated by a player who already has an embassy with the other. The
window this brings up lets each player build a list of items he is
offering alongside a list of what he will receive in return. These can
include:
</p>
<ul>
  <li> A copy of your current map&nbsp; showing either all the terrain
you have discovered, or just which squares are ocean and which are land
without revealing specific features, or both. </li>
  <li> Technological advances you possess. </li>
  <li> Cities in your empire (except the city with your palace), which
will take with them any units that call the city home. </li>
  <li> Gold from your treasury. </li>
  <li> Access to your vision&nbsp; everything your cities and units can
see as the game unfolds. Unlike the other items, this is a persistent
ability, and must be cancelled in your player list when you no longer
wish the other player to see what you are doing. </li>
  <li> An embassy. </li>
  <li> A cease-fire, peace or alliance treaty. </li>
</ul>
<p>Only if both players indicate satisfaction is the pact concluded and
the transfer of goods made.
</p>
<a id="Diplomatic_states" name="Diplomatic_states" rel="nofollow"></a>
<h2><span class="editsection"
 style="position: relative; top: -3px; margin-bottom: -2px;"><span
 class="wikia_button"><span></span></span></span><span
 class="mw-headline">Diplomatic states</span></h2>
<a id="War" name="War" rel="nofollow"></a>
<h3><span class="editsection"><a id="War" name="War" rel="nofollow"></a></span><span
 class="mw-headline">War</span></h3>
<p>The default state with any player is <i>war</i>.
</p>
<p>Unlike most other diplomatic states, war is declared unilaterally by
one player on another; thus, declaring war only requires that you have
already met the player once or he has declared war on one of your
allies. To declare war on an opponent, cancel any treaties with that
player until the War state is reached.
</p>
<p>Only the War state allows one to attack a unit or to take a city
without inciting a revolt.
</p>
<p>Enemy units impose zones of control. Cities can be incited to revolt
with no disapproval from the senate.
</p>
<a id="Cease-fire" name="Cease-fire" rel="nofollow"></a>
<h3><span class="editsection"><a id="Cease-fire" name="Cease-fire"
 rel="nofollow"></a></span><span class="mw-headline">Cease-fire</span></h3>
<p>Sometimes, war becomes too costly for both parties. <i>Cease-fire</i>
can then be agreed, which after 16 turns will lead back to the
diplomatic state of <i>war</i>.
</p>
<p>The first time you meet another AI player, it will always offer you
a cease-fire treaty.
</p>
<p>Under representative governments, the senate will block an
unprovoked attempt to declare war again before the end of a cease-fire;
the only way to do so is to dissolve the senate by inciting a revolt,
and break the treaty in the ensuing anarchy. (However, the Statue of
Liberty allows you to break a treaty and restore order in the same
turn.)
</p>
<p>In this diplomatic state units impose zones of control.
</p>
<a id="Armistice" name="Armistice" rel="nofollow"></a>
<h3><span class="editsection"><a id="Armistice" name="Armistice"
 rel="nofollow"></a></span><span class="mw-headline">Armistice</span></h3>
<p>If you wish to have a permanent peaceful relationship with another
player, you may sign a peace treaty. For a transition period there will
be an <i>armistice</i>. Like ceasefire, it has a countdown of 16
turns, and ends up in the <i>peace</i> status when the time runs out.
</p>
<p>This transition period allows time to move units that would be
disbanded under Peace outside of the other player's borders. The AI
will always insist on some turns of ceasefire, then armistice, then
peace, and will use the armistice to move its units out of the other
player's territory.
</p>
<p>Breaking an armistice drops you to war. Again, under representative
governments, the senate will block an unprovoked declaration of war.
</p>
<p>In this diplomatic state units impose zones of control.
</p>
<a id="Peace" name="Peace" rel="nofollow"></a>
<h3><span class="editsection"><a id="Peace" name="Peace" rel="nofollow"></a></span><span
 class="mw-headline">Peace</span></h3>
<p>A <i>peace</i> treaty is a step towards alliance. It comes into
effect after 16 rounds of armistice if no incidents occur.
</p>
<p>When a peace treaty kicks in, all military units belonging to
peace-treaty players inside your border are immediately disbanded. They
cannot send military units through your borders, and non-military units
are prohibited from most actions. Breaking a peace treaty drops you
straight to war.
</p>
<p>Again, under representative governments, the senate will block an
unprovoked declaration of war.
</p>
<p>Peaceful units impose zones of control and can't be attacked.
</p>
<a id="Alliance" name="Alliance" rel="nofollow"></a>
<h3><span class="editsection"><a id="Alliance" name="Alliance"
 rel="nofollow"></a></span><span class="mw-headline">Alliance</span></h3>
<p><i>Alliance</i> treaties come with obligations, and you won't be
able to ally with a player that is at war with a current ally unless
you break the first treaty. If one of your allies declares war on
another, the alliance with the aggressor is automatically broken.
</p>
<p>Zones of control don't apply and allied units can enter the same
tile (including city and transport). Thus, cities can't be bribed by a
diplomat entering in them.
</p>
<p>Breaking an alliance drops you to <i>armistice</i> treaty, giving
each player time to move their units out of the other player's
territory before a new peace treaty kicks in and disbands units.
</p>
<p>Again, under representative governments, the senate will block an
attempt to break an alliance without provocation.
</p>
</div>
</body>
</html>
