<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
</head>
<body>
<h1>Economy</h1>
<div id="bodyContent">
<p>The resources which your cities extract from the surrounding terrain
are the fountain from which your civilization is watered. Here each of
the three resources is described along with its properties, uses, and
limitations.
</p>
<a id="Food_Points" name="Food_Points" rel="nofollow"></a>
<h3><span class="editsection"><a id="Food_Points" name="Food_Points"
 rel="nofollow"></a></span><span class="mw-headline">Food Points</span></h3>
<p>Your population needs food to survive. Each citizen requires two
food points per turn; each <i>settler</i> requires 1 (in Anarchy,
Despotism, Monarchy, and Communism) or 2 (in Republic and Democracy)
food point per turn from the city supporting them. Since all terrain
squares without special except grassland yield less than 2 food points,
they cannot feed the citizen working them unless they are improved.
</p>
<p>Every city has a <i>granary</i> for storing food points (the
building called a Granary only enhances this capability). Cities
producing more food than they require accumulate the excess in their
granary, while those producing less than they require deplete their
granary. When food is needed but none remains, the city population
starves, killing settlers first, followed by citizens, until the food
deficit ends.
</p>
<p>Excess food can increase the population: the city granary has a
limited capacity, and when it reaches full the city grows by one
citizen and the granary starts again at empty. But since granary
capacity increases with population, each citizen is more costly than
the last, making this mode of growth important only for small cities.
</p>
<p>There are three buildings which enhance food production:
</p>
<table id="bldgs-Food_production-1" style="margin: auto;">
  <tbody>
    <tr>
      <td>
      <table cellpadding="4" width="100%">
        <tbody>
          <tr bgcolor="#000000">
            <td style="background-color: rgb(0, 0, 0);" width="50"><span
 class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/e/ed/B.granary.png"
 alt="image:b.granary.png" border="0" height="64" width="64"></span> </td>
            <td style="color: rgb(255, 255, 255);" width="200"><b>Granary</b>
            <p>cost:<b>40</b> upkeep:<b>1</b> </p>
            <p>requires:Pottery </p>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
      <td>
      <table cellpadding="4" width="100%">
        <tbody>
          <tr bgcolor="#000000">
            <td width="50"><span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/b/be/B.harbour.png"
 alt="image:b.harbour.png" border="0" height="64" width="64"></span> </td>
            <td width="200"><b style="color: rgb(255, 255, 255);">Harbour</b>
            <p style="color: rgb(255, 255, 255);">cost:<b>40</b> upkeep:<b>1</b>
            </p>
            <p><span style="color: rgb(255, 255, 255);">requires:Seafaring</span>
            </p>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
    </tr>
    <tr>
      <td>
      <table cellpadding="4" width="100%">
        <tbody>
          <tr bgcolor="#000000">
            <td width="50"><span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/a/a8/B.supermarket.png"
 alt="image:b.supermarket.png" border="0" height="64" width="64"></span>
            </td>
            <td width="200"><b style="color: rgb(255, 255, 255);">Supermarket</b>
            <p style="color: rgb(255, 255, 255);">cost:<b>80</b> upkeep:<b>3</b>
            </p>
            <p><span style="color: rgb(255, 255, 255);">requires:Refrigeration</span>
            </p>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
    </tr>
  </tbody>
</table>
<a id="Production_Points" name="Production_Points" rel="nofollow"></a>
<h3><span class="editsection"><a id="Production_Points"
 name="Production_Points" rel="nofollow"></a></span><span
 class="mw-headline">Production Points</span></h3>
<p>Every city generates at least one production point per turn. They
are demanded first by any military units, settlers, workers or
engineers
supported by the city; each unit costs one production point per turn,
though under autocratic regimes each city supports a few units for
free. If city production drops too low, the units that cannot be
supported are disbanded.
</p>
<p>Points in excess of any required by the city's units are applied
towards whichever unit, building, or wonder has been selected as the
city's current product. Just as food points accumulate in the city
granary and yield a citizen when it reaches full, so production points
accumulate until the cost of the product has been achieved. Products
appear in their city when complete&nbsp; units appear on the map while
buildings and wonders are added to their city's list of structures. Any
leftover production points remain available to be applied towards the
next project.
</p>
<p>Each player is free to build any products that his technology has
made available, with a few restrictions: each city can have only one of
each building; some buildings require that others be built first; and
each wonder can only be completed by one civilization per game. Be
careful&nbsp; the game even gives you the freedom to produce units you
cannot support and buildings whose upkeep you cannot afford, both of
which will be disbanded immediately after completion. Note that
building settlers requires not only production points, but a citizen as
well. A city cannot build a settler with its last citizen unless you
enable this by adjusting its City Options, in which case the city will
disband when the unit is completed.
</p>
<p>You can always change the product on which a city is working, though
you lose half of the accumulated production points when switching from
a building, unit, or wonder to a product from one of the other two
categories (although if you change production the turn immediately
after completing an item, you won't lose any of the production points
that were left over from that turn). You can spend gold to complete a
project in one turn by hitting the <i>buy</i> button on the city
dialogue; the game allows you to confirm the cost before charging your
treasury. The formula for units is: twice the difference between total
production needed and the accumulated production points plus the square
of that difference divided by twenty. The formula for everything else
(buildings, wonders, etc.) is: twice the difference between the total
production needed and the accumulated production points. The cost is
multiplied by two if the project is a wonder.
</p>
<p>Should you need gold instead of production points, you can direct
cities to mint <i>coinage</i>. Instead of producing a building or
unit, the city will use its labor to produce one gold piece per turn
for each production point it generates.
</p>
<p>Several buildings enhance production; note that each city can have
only one of the three power plants:
</p>
<table id="bldgs-Shield_production-1" style="margin: auto;">
  <tbody>
    <tr>
      <td>
      <table cellpadding="4" width="100%">
        <tbody>
          <tr bgcolor="#000000">
            <td width="50"><span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/4/40/B.factory.png"
 alt="image:b.factory.png" border="0" height="64" width="64"></span> </td>
            <td width="200"><b style="color: rgb(255, 255, 255);">Factory</b>
            <p style="color: rgb(255, 255, 255);">cost:<b>140</b>
upkeep:<b>4</b> </p>
            <p><span style="color: rgb(255, 255, 255);">requires:Industrialization</span>
            </p>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
      <td>
      <table cellpadding="4" width="100%">
        <tbody>
          <tr bgcolor="#000000">
            <td width="50"><span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/8/82/B.power_plant.png"
 alt="image:b.power_plant.png" border="0" height="64" width="64"></span>
            </td>
            <td style="color: rgb(255, 255, 255);" width="200"><b>Power
Plant</b>
            <p>cost:<b>130</b> upkeep:<b>4</b> </p>
            <p>requires:Refining </p>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
    </tr>
    <tr>
      <td>
      <table cellpadding="4" width="100%">
        <tbody>
          <tr bgcolor="#000000">
            <td width="50"><span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/4/44/B.hydro_plant.png"
 alt="image:b.hydro_plant.png" border="0" height="64" width="64"></span>
            </td>
            <td width="200"><b style="color: rgb(255, 255, 255);">Hydro
Plant</b>
            <p style="color: rgb(255, 255, 255);">cost:<b>180</b>
upkeep:<b>4</b> </p>
            <p><span style="color: rgb(255, 255, 255);">requires:Electronics</span>
            </p>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
      <td>
      <table cellpadding="4" width="100%">
        <tbody>
          <tr bgcolor="#000000">
            <td width="50"><span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/a/ae/B.offshore_platform.png"
 alt="image:b.offshore_platform.png" border="0" height="64" width="64"></span>
            </td>
            <td style="color: rgb(255, 255, 255);" width="200"><b>Offshore
Platform</b>
            <p>cost:<b>120</b> upkeep:<b>3</b> </p>
            <p>requires:Miniaturization </p>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
    </tr>
    <tr>
      <td>
      <table cellpadding="4" width="100%">
        <tbody>
          <tr bgcolor="#000000">
            <td width="50"><span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/2/2d/B.nuclear_plant.png"
 alt="image:b.nuclear_plant.png" border="0" height="64" width="64"></span>
            </td>
            <td width="200"><b style="color: rgb(255, 255, 255);">Nuclear
Plant</b>
            <p style="color: rgb(255, 255, 255);">cost:<b>120</b>
upkeep:<b>2</b> </p>
            <p><span style="color: rgb(255, 255, 255);">requires:Nuclear
Power</span> </p>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
      <td>
      <table cellpadding="4" width="100%">
        <tbody>
          <tr bgcolor="#000000">
            <td width="50"><span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/8/87/B.mfg_plant.png"
 alt="image:b.mfg_plant.png" border="0" height="64" width="64"></span> </td>
            <td width="200"><b style="color: rgb(255, 255, 255);">Mfg.
Plant</b>
            <p style="color: rgb(255, 255, 255);">cost:<b>220</b>
upkeep:<b>6</b> </p>
            <p><span style="color: rgb(255, 255, 255);">requires:Robotics</span>
            </p>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
    </tr>
  </tbody>
</table>
<p><br>
</p>
<a id="Work_Lists" name="Work_Lists" rel="nofollow"></a>
<h4><span class="editsection"><a id="Work_Lists" name="Work_Lists"
 rel="nofollow"></a></span> <span class="mw-headline">Work Lists</span></h4>
<p>When a city completes a unit it normally starts producing another of
the same type, and after completing a building or wonder, chooses a
different one to build; new cities start work upon the best available
defensive unit. Often you will instruct the city to work on something
else instead, but this wastes time and attention if you already know
the next several items the city should produce. In this case you can
access the <i>work list</i> for that city and specify several products
at once; the city will produce them in the order specified without any
further intervention.
</p>
<p>If you develop series of products you often use but tire of entering
them manually into every city's work list, the game allows you to
define named work lists and add them to city work lists. You might for
example define a "coastal" list of improvements for cities on the
ocean, or a "science" list for cities whose research output you are
maximizing.
</p>
<a id="Trade_Points" name="Trade_Points" rel="nofollow"></a>
<h3><span class="editsection"><a id="Trade_Points" name="Trade_Points"
 rel="nofollow"></a></span><span class="mw-headline">Trade Points</span></h3>
<p>Trade reflects wealth generated in each city by external commerce.
Some trade points may be lost to corruption, which varies among forms
of government and increases with distance from your capital city. Each
city distributes its remaining trade points among three uses: gold, in
the form of taxes, goes into your national treasury; luxury points
influence worker morale; and science points contribute towards the
discovery of new technology.
</p>
<p>You must choose a single ratio for your civilization by which trade
points are distributed among these three uses. Though you may alter
this ratio on any turn, you are constrained to multiples of ten
percent, and most forms of government limit their maximum value.
</p>
<p>Having this single ratio does not impact gold and science, because
gold and technological progress are both empire-wide tallies. Luxury is
more problematic, however, because its effect is local&nbsp; it affects
only the city producing it. Thus, while it would be convenient for
unhappy cities to invest all their trade in luxury while others
invested in science or taxes instead, you will instead have to
compromise among the needs of all your cities.
</p>
<p>Three buildings directly affect trade:
</p>
<table id="bldgs-Trade_production-1" style="margin: auto;">
  <tbody>
    <tr>
      <td>
      <table cellpadding="4" width="100%">
        <tbody>
          <tr bgcolor="#000000">
            <td width="50"><span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/b/b7/B.palace.png"
 alt="image:b.palace.png" border="0" height="64" width="64"></span> </td>
            <td style="color: rgb(255, 255, 255);" width="200"><b>Palace</b>
            <p>cost:<b>70</b> upkeep:<b>0</b> </p>
            <p>requires:Masonry </p>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
      <td>
      <table cellpadding="4" width="100%">
        <tbody>
          <tr bgcolor="#000000">
            <td width="50"><span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/4/4a/B.courthouse.png"
 alt="image:b.courthouse.png" border="0" height="64" width="64"></span>
            </td>
            <td width="200"><b style="color: rgb(255, 255, 255);">Courthouse</b>
            <p style="color: rgb(255, 255, 255);">cost:<b>60</b> upkeep:<b>1</b>
            </p>
            <p><span style="color: rgb(255, 255, 255);">requires:Code
of Laws</span> </p>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
    </tr>
    <tr>
      <td>
      <table cellpadding="4" width="100%">
        <tbody>
          <tr bgcolor="#000000">
            <td width="50"><span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/0/09/B.super_highways.png"
 alt="image:b.super_highways.png" border="0" height="64" width="64"></span>
            </td>
            <td style="color: rgb(255, 255, 255);" width="200"><b>Super
Highways</b>
            <p>cost:<b>120</b> upkeep:<b>3</b> </p>
            <p>requires:Automobile </p>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
    </tr>
  </tbody>
</table>
<a id="Trade_Routes" name="Trade_Routes" rel="nofollow"></a>
<h4><span class="editsection"><a id="Trade_Routes" name="Trade_Routes"
 rel="nofollow"></a></span> <span class="mw-headline">Trade Routes</span></h4>
<p>Besides working terrain gifted with rare commodities, or with access
to waterways and roads, you can increase trade by establishing <i>trade
routes</i> between cities. You accomplish this by producing a caravan
or freight, sending them to another city at least eight squares away or
belonging to a different (allied) civilization, and giving them the <b>make
trade route</b> command.
</p>
<p>The origin civilization of the unit gains immediate revenue in gold
and science from selling its trade goods at the destination city. The
initial revenue depends on the trade already produced by the two cities
involved and their distance apart. Transportation advances known by the
origin civilization (Railroad and Flight) make transportation easier
and each reduce the revenue to two-thirds.
</p>
<p>Also, an ongoing trade route is established that benefits both its
origin and destination equally by generating trade points for each city
every turn. The amount of ongoing trade is based on (but not equal to)
the sum of trade points from the tiles worked by the two cities; it is
doubled if the cities are on different continents, and doubled again if
the cities are from different civilizations.
</p>
<p>(If a trade route already exists between two cities, the origin
civilization can still gain initial revenue by entering the marketplace
and selling trade goods, but it is reduced to a third.)
</p>
<p>The number of trade routes per city is limited to four. If you
attempt to establish more routes, the trade route with the smallest
ongoing revenue is lost if it would be less than the new route. To view
the current trade routes of a city, click and hold over the <i>Trade</i>:
line in the first tab in the city view.
</p>
</div>
</body>
</html>
