<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
</head>
<body>
<div id="bodyContent"><a id="Technology" name="Technology"
 rel="nofollow"></a>
<h1><span class="editsection"><a id="Technology" name="Technology"
 rel="nofollow"></a></span><span class="mw-headline"> Technology </span></h1>
<p>Through the game you and your opponents will race to discover ever
more powerful technologies, which enhance your own civilizations
while menacing those of each other. A few advances provide
immediate benefits, such as making new actions available to your
units; many introduce new units or buildings you can construct; and
most are also gateways to further technology. Beware that some
advances also make things obsolete. While obsolete units merely
become impossible to make leaving the ones you have already
made intact obsolete buildings are immediately sold, and
obsolete wonders lose their effect. Worse yet, your wonders can be
obsoleted by an advance made by another player!
</p>
<p>There are a few ways to gain advances from other civilizations:
you will sometimes discover enemy technology when you capture a
city; you can steal advances with Diplomats and
Spies; the Great Library
wonder, while it lasts, gives its owner every advance that two
other civilizations have reached; and another player might grant
technology in the terms of a pact.
But otherwise advances must be discovered through the efforts of
your own people.
</p>
<p>By default, each player starts without any technology at all (this
can be changed with a server option). From there you each direct your
research
toward one advance at a time, deciding which technology you need
most quickly and which you can afford to attain later. Research
progress is measured in research points (bulbs), which can be generated
both through trade and by scientists.
The cost for each technology is fixed and depends on the number of its
'parent techs'. With r the total number of required techs for a given
technology, the number of bulbs that will be needed for researching
this technology is (r+2)*sqrt(r+2)*10 with default rules. See below the
total cost (including parents' cost) for each technology. (Unlike
previous versions of Freeciv, the research cost no longer doubles at
1AD.)
</p>
<p>Instead of selecting each new advance manually, you can
establish a long-term goal that is several technologies away, and
your scientists will work through all the prerequisite advances
automatically. If you ignore technology completely then your
scientists choose the next advance on their own.
</p>
<p>You can ask the game for a report on your science progress, or
simply watch the lightbulb on the client which gets brighter as the
next advance nears. The online help system displays a very helpful
technology tree for every item and technology in the game, allowing
you to explore the advances they require.
</p>
<a id="The_Space_Race" name="The_Space_Race" rel="nofollow"></a>
<h1><span class="editsection"><a id="The_Space_Race"
 name="The_Space_Race" rel="nofollow"></a></span><span
 class="mw-headline"> The Space Race </span></h1>
<p>As described in the overview with which
this manual opened, the game may be won peacefully by building a
spacecraft and becoming the first civilization to reach Alpha Centauri.
One civilization must start the space race by completing
the Apollo Program wonder, which allows every civilization with the
necessary technology to begin building spacecraft components: <br>
<br>
</p>
<table id="bldgs-Space_race-1" style="margin: auto;">
  <tbody>
    <tr>
      <td>
      <table cellpadding="4" width="100%">
        <tbody>
          <tr bgcolor="#000000">
            <td width="50"><span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/3/3c/B.space_modules.png"
 alt="image:b.space_modules.png" border="0" height="64" width="64"></span>
            </td>
            <td width="200"><b>Space Module</b>
            <p>cost:<b>320</b> upkeep:<b>0</b> </p>
            <p>requires:Superconductors </p>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
      <td>
      <table cellpadding="4" width="100%">
        <tbody>
          <tr bgcolor="#000000">
            <td width="50"><span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/b/b0/B.space_structural.png"
 alt="image:b.space_structural.png" border="0" height="64" width="64"></span>
            </td>
            <td width="200"><b>Space Structural</b>
            <p>cost:<b>80</b> upkeep:<b>0</b> </p>
            <p>requires:Space Flight </p>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
    </tr>
    <tr>
      <td>
      <table cellpadding="4" width="100%">
        <tbody>
          <tr bgcolor="#000000">
            <td width="50"><span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/1/11/B.space_component.png"
 alt="image:b.space_component.png" border="0" height="64" width="64"></span>
            </td>
            <td width="200"><b>Space Component</b>
            <p>cost:<b>160</b> upkeep:<b>0</b> </p>
            <p>requires:Plastics </p>
            </td>
          </tr>
        </tbody>
      </table>
      </td>
    </tr>
  </tbody>
</table>
<p>The skeleton of your spacecraft consists of <i>structural</i>
components, each of which can hold in place either a component or
module. <i>Components</i> provide fuel and propulsion systems, and
decrease the amount of time your craft will require to reach Alpha
Centauri; you can install up to sixteen, though they must be
installed in pairs. <i>Modules</i> themselves come in three
flavors: a habitation module provides living space for ten thousand
colonists; a life support module can keep ten thousand colonists
alive; and a solar panel provides the power required by any two
other modules.
</p>
<p>Use the spaceship window to observe your progress as you build
your spacecraft. You may manufacture spacecraft elements anywhere with
a factory;
they will automatically be assembled in your capital city. As you
add components you improve the craft's probability of success and
travel time; you may launch as soon as you find these satisfactory.
If several civilizations are building spacecraft, they are faced
with the decision of whether to launch quickly and start their
craft on its way, or continue building in the hopes of launching a
faster spacecraft later, or one with a higher probability of
success.
</p>
<p>Both during construction and after its launch, the spacecraft is
considered a building of your capital city, and will be lost if
your capital is taken or destroyed.
</p>
<br>
<h1><span class="editsection"><a id="Specific_Technologies"
 name="Specific_Technologies" rel="nofollow"></a></span> <span
 class="mw-headline">Specific Technologies </span></h1>
<p>Here each technology is shown, together with any prerequisite
advances and with a summary of its effects.
</p>
<p>For a graphical technology tree, see this link.
</p>
<table
 style="background: transparent none repeat scroll 0% 50%; -moz-background-clip: -moz-initial; -moz-background-origin: -moz-initial; -moz-background-inline-policy: -moz-initial;"
 border="1" cellpadding="4">
  <tbody>
    <tr bgcolor="#000000">
      <th>Tech<br>
requirements </th>
      <th>Description </th>
      <th>Allows (Units, Buildings, Techs) / <br>
Obsoletes (Units, Buildings) </th>
    </tr>
    <tr id="Advanced_Flight" bgcolor="#000000">
      <td align="left"><b>Advanced Flight</b>
      <p>Radio, </p>
      <p>Machine Tools </p>
      </td>
      <td align="left">Total techs requirements: <b>55</b>
      <p>Total bulbs required: <b>44,370</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/e/e7/U.bomber.png"
 alt="image:u.bomber.png" border="0" height="48" width="64"></span>Bomber
        </li>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/c/c1/U.carrier.png"
 alt="image:u.carrier.png" border="0" height="48" width="64"></span>Carrier
        </li>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/4/4e/U.awacs.png"
 alt="image:u.awacs.png" border="0" height="48" width="64"></span>AWACS
        </li>
        <li> Combined Arms (with Mobile Warfare) </li>
        <li> Rocketry (with Electronics) </li>
        <li> Stealth (with Superconductors)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Alphabet" bgcolor="#000000">
      <td align="left"><b>Alphabet</b> </td>
      <td align="left">Total techs requirements: <b>0</b>
      <p>Total bulbs required: <b>28</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> Code of Laws </li>
        <li> Map Making </li>
        <li> Mathematics (with Masonry) </li>
        <li> Writing</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Amphibious_Warfare" bgcolor="#000000">
      <td align="left"><b>Amphibious Warfare</b>
      <p>Navigation, </p>
      <p>Tactics </p>
      </td>
      <td align="left">Total techs requirements: <b>36</b>
      <p>Total bulbs required: <b>12,889</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/1/1c/U.marines.png"
 alt="image:u.marines.png" border="0" height="48" width="64"></span>Marines
        </li>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/c/c5/B.port_facility.png"
 alt="image:b.port_facility.png" border="0" height="64" width="64"></span>Port
Facility</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Astronomy" bgcolor="#000000">
      <td align="left"><b>Astronomy</b>
      <p>Mysticism, </p>
      <p>Mathematics </p>
      </td>
      <td align="left">Total techs requirements: <b>5</b>
      <p>Total bulbs required: <b>400</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/2/20/B.copernicus_observatory.png"
 alt="image:b.copernicus_observatory.png" border="0" height="48"
 width="64"></span> Copernicus' Observatory (W) </li>
        <li> Navigation (with Seafaring) </li>
        <li> Theory of Gravity (with University)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Atomic_Theory" bgcolor="#000000">
      <td align="left"><b>Atomic Theory</b>
      <p>Theory of Gravity, </p>
      <p>Physics </p>
      </td>
      <td align="left">Total techs requirements: <b>17</b>
      <p>Total bulbs required: <b>3,633</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> Nuclear Fission (with Mass Production)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Automobile" bgcolor="#000000">
      <td rowspan="2" align="left"><b>Automobile</b>
      <p>Combustion, </p>
      <p>Steel </p>
      </td>
      <td rowspan="2" align="left">Total techs requirements: <b>44</b>
      <p>Total bulbs required: <b>28,118</b> </p>
      <ul>
        <li> Increases the pollution generated by the population. </li>
      </ul>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/b/be/U.battleship.png"
 alt="image:u.battleship.png" border="0" height="48" width="64"></span>Battleship
        </li>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/0/09/B.super_highways.png"
 alt="image:b.super_highways.png" border="0" height="64" width="64"></span>Super
Highways </li>
        <li> Mass Production (with The Corporation) </li>
        <li> Mobile Warfare (with Tactics)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/1/1c/B.leonardos_workshop.png"
 alt="image:b.leonardos_workshop.png" border="0" height="48" width="64"></span>Leonardo's
Workshop (W)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Banking" bgcolor="#000000">
      <td align="left"><b>Banking</b>
      <p>Trade, </p>
      <p>The Republic </p>
      </td>
      <td align="left">Total techs requirements: <b>8</b>
      <p>Total bulbs required: <b>928</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/8/87/B.bank.png"
 alt="image:b.bank.png" border="0" height="64" width="64"></span> Bank </li>
        <li> Democracy (with Invention) </li>
        <li> Economics (with University) </li>
        <li> Industrialization (with Railroad)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Bridge_Building" bgcolor="#000000">
      <td align="left"><b>Bridge Building</b>
      <p>Iron Working, </p>
      <p>Construction </p>
      </td>
      <td align="left">Total techs requirements: <b>6</b>
      <p>Total bulbs required: <b>552</b> </p>
      <ul>
        <li> Allows Engineers, Workers and Settlers to build roads on
river squares. </li>
      </ul>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> Railroad (with Steam Engine)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Bronze_Working" bgcolor="#000000">
      <td align="left"><b>Bronze Working</b> </td>
      <td align="left">Total techs requirements: <b>0</b>
      <p>Total bulbs required: <b>28</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/7/7b/U.phalanx.png"
 alt="image:u.phalanx.png" border="0" height="48" width="64"></span>Phalanx
        </li>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/f/fd/B.colossus.png"
 alt="image:b.colossus.png" border="0" height="48" width="64"></span>Colossus
(W) </li>
        <li> Currency </li>
        <li> Iron Working (with Warrior Code)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Ceremonial_Burial" bgcolor="#000000">
      <td align="left"><b>Ceremonial Burial</b> </td>
      <td align="left">Total techs requirements: <b>0</b>
      <p>Total bulbs required: <b>28</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/6/64/B.temple.png"
 alt="image:b.temple.png" border="0" height="64" width="64"></span>Temple
        </li>
        <li> Monarchy (with Code of Laws) </li>
        <li> Mysticism </li>
        <li> Polytheism (with Horseback Riding)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Chemistry" bgcolor="#000000">
      <td align="left"><b>Chemistry</b>
      <p>University, </p>
      <p>Medicine </p>
      </td>
      <td align="left">Total techs requirements: <b>14</b>
      <p>Total bulbs required: <b>2,298</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> Explosives (with Gunpowder) </li>
        <li> Refining (with The Corporation)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Chivalry" bgcolor="#000000">
      <td rowspan="2" align="left"><b>Chivalry</b>
      <p>Feudalism, </p>
      <p>Horseback Riding </p>
      </td>
      <td rowspan="2" align="left">Total techs requirements: <b>7</b>
      <p>Total bulbs required: <b>729</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/4/43/U.knights.png"
 alt="image:u.knights.png" border="0" height="48" width="64"></span>Knights
        </li>
        <li> Leadership (with Gunpowder)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/3/3c/U.horsemen.png"
 alt="image:u.horsemen.png" border="0" height="48" width="64"></span>Horsemen
        </li>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/c/c7/U.chariot.png"
 alt="image:u.chariot.png" border="0" height="48" width="64"></span>Chariot</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Code_of_Laws" bgcolor="#000000">
      <td align="left"><b>Code of Laws</b>
      <p>Alphabet </p>
      </td>
      <td align="left">Total techs requirements: <b>1</b>
      <p>Total bulbs required: <b>79</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/4/4a/B.courthouse.png"
 alt="image:b.courthouse.png" border="0" height="64" width="64"></span>Courthouse
        </li>
        <li> Literacy (with Writing) </li>
        <li> Monarchy (with Ceremonial Burial) </li>
        <li> The Republic (with Literacy) </li>
        <li> Trade (with Currency)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Combined_Arms" bgcolor="#000000">
      <td align="left"><b>Combined Arms</b>
      <p>Mobile Warfare, </p>
      <p>Advanced Flight </p>
      </td>
      <td align="left">Total techs requirements: <b>58</b>
      <p>Total bulbs required: <b>56,104</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/a/a2/U.paratroopers.png"
 alt="image:u.paratroopers.png" border="0" height="48" width="64"></span>Paratroopers
        </li>
        <li> <span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/b/bd/U.helicopter.png"
 alt="image:u.helicopter.png" border="0" height="48" width="64"></span>Helicopter</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Combustion" bgcolor="#000000">
      <td align="left"><b>Combustion</b>
      <p>Refining, </p>
      <p>Explosives </p>
      </td>
      <td align="left">Total techs requirements: <b>39</b>
      <p>Total bulbs required: <b>19,155</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/5/5e/U.submarine.png"
 alt="image:u.submarine.png" border="0" height="48" width="64"></span>Submarine
        </li>
        <li> Automobile (with Steel) </li>
        <li> Flight (with Theory of Gravity)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Communism" bgcolor="#000000">
      <td rowspan="2" align="left"><b>Communism</b>
      <p>Philosophy, </p>
      <p>Industrialization </p>
      </td>
      <td rowspan="2" align="left">Total techs requirements: <b>31</b>
      <p>Total bulbs required: <b>10,004</b> </p>
      <ul>
        <li> Allows changing government to Communism. </li>
        <li> Reduces the effect of Cathedrals. </li>
      </ul>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/1/1e/B.police_station.png"
 alt="image:b.police_station.png" border="0" height="64" width="64"></span>Police
Station </li>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/1/17/B.united_nations.png"
 alt="image:b.united_nations.png" border="0" height="48" width="64"></span>United
Nations (W) </li>
        <li> Espionage (with Democracy) </li>
        <li> Guerilla Warfare (with Tactics)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/5/5b/B.marco_polos_embassy.png"
 alt="image:b.marco_polos_embassy.png" border="0" height="48" width="64"></span>Marco
Polo's Embassy (W)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Computers" bgcolor="#000000">
      <td align="left"><b>Computers</b>
      <p>Mass Production, </p>
      <p>Miniaturization </p>
      </td>
      <td align="left">Total techs requirements: <b>56</b>
      <p>Total bulbs required: <b>50,380</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/4/4a/B.research_lab.png"
 alt="image:b.research_lab.png" border="0" height="64" width="64"></span>Research
Lab </li>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/f/fe/B.seti_program.png"
 alt="image:b.seti_program.png" border="0" height="48" width="64"></span>SETI
Program (W) </li>
        <li> Robotics (with Mobile Warfare) </li>
        <li> Space Flight (with Rocketry)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Conscription" bgcolor="#000000">
      <td rowspan="2" align="left"><b>Conscription</b>
      <p>Democracy, </p>
      <p>Metallurgy </p>
      </td>
      <td rowspan="2" align="left">Total techs requirements: <b>25</b>
      <p>Total bulbs required: <b>6,470</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/5/50/U.riflemen.png"
 alt="image:u.riflemen.png" border="0" height="48" width="64"></span>Riflemen
        </li>
        <li> Tactics (with Leadership)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/2/25/U.musketeers.png"
 alt="image:u.musketeers.png" border="0" height="48" width="64"></span>Musketeers</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Construction" bgcolor="#000000">
      <td align="left"><b>Construction</b>
      <p>Masonry, </p>
      <p>Currency </p>
      </td>
      <td align="left">Total techs requirements: <b>3</b>
      <p>Total bulbs required: <b>218</b> </p>
      <ul>
        <li> Allows Engineers, Workers and Settlers to build
fortresses. </li>
      </ul>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/8/85/B.aqueduct.png"
 alt="image:b.aqueduct.png" border="0" height="64" width="64"></span>Aqueduct
        </li>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/3/38/B.colosseum.png"
 alt="image:b.colosseum.png" border="0" height="64" width="64"></span>Colosseum
        </li>
        <li> Bridge Building (with Iron Working) </li>
        <li> Engineering (with The Wheel)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Currency" bgcolor="#000000">
      <td align="left"><b>Currency</b>
      <p>Bronze Working </p>
      </td>
      <td align="left">Total techs requirements: <b>1</b>
      <p>Total bulbs required: <b>79</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/6/6a/B.marketplace.png"
 alt="image:b.marketplace.png" border="0" height="64" width="64"></span>Marketplace
        </li>
        <li> Construction (with Masonry) </li>
        <li> Trade (with Code of Laws)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Democracy" bgcolor="#000000">
      <td align="left"><b>Democracy</b>
      <p>Banking, </p>
      <p>Invention </p>
      </td>
      <td align="left">Total techs requirements: <b>15</b>
      <p>Total bulbs required: <b>2,540</b> </p>
      <ul>
        <li> Allows changing government to Democracy. </li>
      </ul>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/3/38/B.statue_of_liberty.png"
 alt="image:b.statue_of_liberty.png" border="0" height="48" width="64"></span>Statue
of Liberty (W) </li>
        <li> Conscription (with Metallurgy) </li>
        <li> Espionage (with Communism) </li>
        <li> Recycling (with Mass Production)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Economics" bgcolor="#000000">
      <td align="left"><b>Economics</b>
      <p>Banking, </p>
      <p>University </p>
      </td>
      <td align="left">Total techs requirements: <b>15</b>
      <p>Total bulbs required: <b>2,405</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/5/5e/B.stock_exchange.png"
 alt="image:b.stock_exchange.png" border="0" height="64" width="64"></span>Stock
Exchange </li>
        <li> <span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/8/8d/B.asmiths_trading_co.png"
 alt="image:b.asmiths_trading_co.png" border="0" height="48" width="64"></span>A.Smith's
Trading Co. (W) </li>
        <li> The Corporation (with Industrialization)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Electricity" bgcolor="#000000">
      <td rowspan="2" align="left"><b>Electricity</b>
      <p>Metallurgy, </p>
      <p>Magnetism </p>
      </td>
      <td rowspan="2" align="left">Total techs requirements: <b>28</b>
      <p>Total bulbs required: <b>7,550</b> </p>
      <ul>
        <li> Improves the effect of Colosseums. </li>
      </ul>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/4/4c/U.destroyer.png"
 alt="image:u.destroyer.png" border="0" height="48" width="64"></span>Destroyer
        </li>
        <li> Electronics (with The Corporation) </li>
        <li> Radio (with Flight) </li>
        <li> Refrigeration (with Sanitation) </li>
        <li> Steel (with Industrialization)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/e/e7/U.ironclad.png"
 alt="image:u.ironclad.png" border="0" height="48" width="64"></span>Ironclad
        </li>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/5/54/B.great_library.png"
 alt="image:b.great_library.png" border="0" height="48" width="64"></span>Great
Library (W)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Electronics" bgcolor="#000000">
      <td align="left"><b>Electronics</b>
      <p>The Corporation, </p>
      <p>Electricity </p>
      </td>
      <td align="left">Total techs requirements: <b>38</b>
      <p>Total bulbs required: <b>17,914</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/4/44/B.hydro_plant.png"
 alt="image:b.hydro_plant.png" border="0" height="64" width="64"></span>Hydro
Plant </li>
        <li> <span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/3/37/B.hoover_dam.png"
 alt="image:b.hoover_dam.png" border="0" height="48" width="64"></span>Hoover
Dam (W) </li>
        <li> Miniaturization (with Machine Tools) </li>
        <li> Nuclear Power (with Nuclear Fission) </li>
        <li> Rocketry (with Advanced Flight)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Engineering" bgcolor="#000000">
      <td align="left"><b>Engineering</b>
      <p>The Wheel, </p>
      <p>Construction </p>
      </td>
      <td align="left">Total techs requirements: <b>6</b>
      <p>Total bulbs required: <b>523</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/8/8b/B.king_richards_crusade.png"
 alt="image:b.king_richards_crusade.png" border="0" height="48"
 width="64"></span> King Richard's Crusade (W) </li>
        <li> Invention (with Literacy) </li>
        <li> Sanitation (with Medicine)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Espionage" bgcolor="#000000">
      <td rowspan="2" align="left"><b>Espionage</b>
      <p>Communism, </p>
      <p>Democracy </p>
      </td>
      <td rowspan="2" align="left">Total techs requirements: <b>33</b>
      <p>Total bulbs required: <b>12,774</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/d/db/U.spy.png"
 alt="image:u.spy.png" border="0" height="48" width="64"></span> Spy</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/f/fc/U.diplomat.png"
 alt="image:u.diplomat.png" border="0" height="48" width="64"></span>Diplomat</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Explosives" bgcolor="#000000">
      <td rowspan="2" align="left"><b>Explosives</b>
      <p>Gunpowder, </p>
      <p>Chemistry </p>
      </td>
      <td rowspan="2" align="left">Total techs requirements: <b>23</b>
      <p>Total bulbs required: <b>5,180</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/5/55/U.engineers.png"
 alt="image:u.engineers.png" border="0" height="48" width="64"></span>Engineers
        </li>
        <li> Combustion (with Refining)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/9/9e/U.worker.png"
 alt="image:u.worker.png" border="0" height="48" width="64"></span>Workers</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Feudalism" bgcolor="#000000">
      <td rowspan="2" align="left"><b>Feudalism</b>
      <p>Warrior Code, </p>
      <p>Monarchy </p>
      </td>
      <td rowspan="2" align="left">Total techs requirements: <b>5</b>
      <p>Total bulbs required: <b>431</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/1/14/U.pikemen.png"
 alt="image:u.pikemen.png" border="0" height="48" width="64"></span>Pikemen
        </li>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/2/26/B.sun_tzus_war_academy.png"
 alt="image:b.sun_tzus_war_academy.png" border="0" height="48"
 width="64"></span> Sun Tzu's War Academy (W) </li>
        <li> Chivalry (with Horseback Riding) </li>
        <li> Theology (with Monotheism)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/e/ee/U.warriors.png"
 alt="image:u.warriors.png" border="0" height="48" width="64"></span>Warriors
        </li>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/7/7b/U.phalanx.png"
 alt="image:u.phalanx.png" border="0" height="48" width="64"></span>Phalanx</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Flight" bgcolor="#000000">
      <td rowspan="2" align="left"><b>Flight</b>
      <p>Combustion, </p>
      <p>Theory of Gravity </p>
      </td>
      <td rowspan="2" align="left">Total techs requirements: <b>41</b>
      <p>Total bulbs required: <b>22,442</b> </p>
      <ul>
        <li> Decreases one-time revenue from new trade routes. </li>
      </ul>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/3/32/U.fighter.png"
 alt="image:u.fighter.png" border="0" height="48" width="64"></span>Fighter
        </li>
        <li> Radio (with Electricity)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/f/fd/B.colossus.png"
 alt="image:b.colossus.png" border="0" height="48" width="64"></span>Colossus
(W)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Fusion_Power" bgcolor="#000000">
      <td align="left"><b>Fusion Power</b>
      <p>Nuclear Power, </p>
      <p>Superconductors </p>
      </td>
      <td align="left">Total techs requirements: <b>53</b>
      <p>Total bulbs required: <b>54,353</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left"><br>
      </td>
    </tr>
    <tr id="Genetic_Engineering" bgcolor="#000000">
      <td align="left"><b>Genetic Engineering</b>
      <p>Medicine, </p>
      <p>The Corporation </p>
      </td>
      <td align="left">Total techs requirements: <b>35</b>
      <p>Total bulbs required: <b>13,908</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/2/20/B.cure_for_cancer.png"
 alt="image:b.cure_for_cancer.png" border="0" height="48" width="64"></span>Cure
For Cancer (W)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Guerilla_Warfare" bgcolor="#000000">
      <td rowspan="2" align="left"><b>Guerilla Warfare</b>
      <p>Communism, </p>
      <p>Tactics </p>
      </td>
      <td rowspan="2" align="left">Total techs requirements: <b>42</b>
      <p>Total bulbs required: <b>20,397</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/7/76/U.partisan.png"
 alt="image:u.partisan.png" border="0" height="48" width="64"></span>Partisan
        </li>
        <li> Labor Union (with Mass Production)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/b/b9/U.explorer.png"
 alt="image:u.explorer.png" border="0" height="48" width="64"></span>Explorer</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Gunpowder" bgcolor="#000000">
      <td rowspan="2" align="left"><b>Gunpowder</b>
      <p>Invention, </p>
      <p>Iron Working </p>
      </td>
      <td rowspan="2" align="left">Total techs requirements: <b>14</b>
      <p>Total bulbs required: <b>1,980</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/2/25/U.musketeers.png"
 alt="image:u.musketeers.png" border="0" height="48" width="64"></span>Musketeers
        </li>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/9/9a/B.barracks2.png"
 alt="image:b.barracks2.png" border="0" height="64" width="64"></span>Barracks
II </li>
        <li> Explosives (with Chemistry) </li>
        <li> Leadership (with Chivalry) </li>
        <li> Metallurgy (with University)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/8/86/U.archers.png"
 alt="image:u.archers.png" border="0" height="48" width="64"></span>Archers
        </li>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/d/d0/U.legion.png"
 alt="image:u.legion.png" border="0" height="48" width="64"></span>Legion
        </li>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/1/14/U.pikemen.png"
 alt="image:u.pikemen.png" border="0" height="48" width="64"></span>Pikemen
        </li>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/2/2e/B.barracks.png"
 alt="image:b.barracks.png" border="0" height="64" width="64"></span>Barracks</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Horseback_Riding" bgcolor="#000000">
      <td align="left"><b>Horseback Riding</b> </td>
      <td align="left">Total techs requirements: <b>0</b>
      <p>Total bulbs required: <b>28</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/3/3c/U.horsemen.png"
 alt="image:u.horsemen.png" border="0" height="48" width="64"></span>Horsemen
        </li>
        <li> Chivalry (with Feudalism) </li>
        <li> Polytheism (with Ceremonial Burial) </li>
        <li> The Wheel</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Industrialization" bgcolor="#000000">
      <td rowspan="2" align="left"><b>Industrialization</b>
      <p>Railroad, </p>
      <p>Banking </p>
      </td>
      <td rowspan="2" align="left">Total techs requirements: <b>29</b>
      <p>Total bulbs required: <b>7,883</b> </p>
      <ul>
        <li> Increases the pollution generated by the population. </li>
      </ul>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/a/a5/U.transport.png"
 alt="image:u.transport.png" border="0" height="48" width="64"></span>Transport
        </li>
        <li> <span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/4/40/B.factory.png"
 alt="image:b.factory.png" border="0" height="64" width="64"></span>Factory
        </li>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/6/65/B.womens_suffrage.png"
 alt="image:b.womens_suffrage.png" border="0" height="48" width="64"></span>Women's
Suffrage (W) </li>
        <li> Communism (with Philosophy) </li>
        <li> Steel (with Electricity) </li>
        <li> The Corporation (with Economics)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/e/ef/U.galleon.png"
 alt="image:u.galleon.png" border="0" height="48" width="64"></span>Galleon</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Invention" bgcolor="#000000">
      <td align="left"><b>Invention</b>
      <p>Engineering, </p>
      <p>Literacy </p>
      </td>
      <td align="left">Total techs requirements: <b>11</b>
      <p>Total bulbs required: <b>1,232</b> </p>
      <ul>
        <li> Increases units' vision when in fortresses. </li>
      </ul>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/1/1c/B.leonardos_workshop.png"
 alt="image:b.leonardos_workshop.png" border="0" height="48" width="64"></span>Leonardo's
Workshop (W) </li>
        <li> Democracy (with Banking) </li>
        <li> Gunpowder (with Iron Working) </li>
        <li> Steam Engine (with Physics)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Iron_Working" bgcolor="#000000">
      <td align="left"><b>Iron Working</b>
      <p>Bronze Working, </p>
      <p>Warrior Code </p>
      </td>
      <td align="left">Total techs requirements: <b>2</b>
      <p>Total bulbs required: <b>136</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/d/d0/U.legion.png"
 alt="image:u.legion.png" border="0" height="48" width="64"></span>Legion
        </li>
        <li> Bridge Building (with Construction) </li>
        <li> Gunpowder (with Invention) </li>
        <li> Magnetism (with Physics)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Labor_Union" bgcolor="#000000">
      <td align="left"><b>Labor Union</b>
      <p>Mass Production, </p>
      <p>Guerilla Warfare </p>
      </td>
      <td align="left">Total techs requirements: <b>55</b>
      <p>Total bulbs required: <b>45,896</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/0/0f/U.mech_inf.png"
 alt="image:u.mech_inf.png" border="0" height="48" width="64"></span>Mech.
Inf.</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Laser" bgcolor="#000000">
      <td align="left"><b>Laser</b>
      <p>Mass Production, </p>
      <p>Nuclear Power </p>
      </td>
      <td align="left">Total techs requirements: <b>51</b>
      <p>Total bulbs required: <b>46,307</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/c/c4/B.sdi_defense.png"
 alt="image:b.sdi_defense.png" border="0" height="64" width="64"></span>SDI
Defense </li>
        <li> Superconductors (with Nuclear Power)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Leadership" bgcolor="#000000">
      <td rowspan="2" align="left"><b>Leadership</b>
      <p>Chivalry, </p>
      <p>Gunpowder </p>
      </td>
      <td rowspan="2" align="left">Total techs requirements: <b>19</b>
      <p>Total bulbs required: <b>3,536</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/2/23/U.dragoons.png"
 alt="image:u.dragoons.png" border="0" height="48" width="64"></span>Dragoons
        </li>
        <li> Tactics (with Conscription)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/4/43/U.knights.png"
 alt="image:u.knights.png" border="0" height="48" width="64"></span>Knights</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Literacy" bgcolor="#000000">
      <td align="left"><b>Literacy</b>
      <p>Writing, </p>
      <p>Code of Laws </p>
      </td>
      <td align="left">Total techs requirements: <b>3</b>
      <p>Total bulbs required: <b>241</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/5/54/B.great_library.png"
 alt="image:b.great_library.png" border="0" height="48" width="64"></span>Great
Library (W) </li>
        <li> Invention (with Engineering) </li>
        <li> Philosophy (with Mysticism) </li>
        <li> Physics (with Navigation) </li>
        <li> The Republic (with Code of Laws)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Machine_Tools" bgcolor="#000000">
      <td rowspan="2" align="left"><b>Machine Tools</b>
      <p>Steel, </p>
      <p>Tactics </p>
      </td>
      <td rowspan="2" align="left">Total techs requirements: <b>44</b>
      <p>Total bulbs required: <b>23,516</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/a/a9/U.artillery.png"
 alt="image:u.artillery.png" border="0" height="48" width="64"></span>Artillery
        </li>
        <li> Advanced Flight (with Radio) </li>
        <li> Miniaturization (with Electronics)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/0/00/U.cannon.png"
 alt="image:u.cannon.png" border="0" height="48" width="64"></span>Cannon</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Magnetism" bgcolor="#000000">
      <td rowspan="2" align="left"><b>Magnetism</b>
      <p>Iron Working, </p>
      <p>Physics </p>
      </td>
      <td rowspan="2" align="left">Total techs requirements: <b>17</b>
      <p>Total bulbs required: <b>2,711</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/e/ef/U.galleon.png"
 alt="image:u.galleon.png" border="0" height="48" width="64"></span>Galleon
        </li>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/1/13/U.frigate.png"
 alt="image:u.frigate.png" border="0" height="48" width="64"></span>Frigate
        </li>
        <li> Electricity (with Metallurgy)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/9/93/U.caravel.png"
 alt="image:u.caravel.png" border="0" height="48" width="64"></span>Caravel
        </li>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/7/72/B.lighthouse.png"
 alt="image:b.lighthouse.png" border="0" height="48" width="64"></span>Lighthouse
(W)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Map_Making" bgcolor="#000000">
      <td align="left"><b>Map Making</b>
      <p>Alphabet </p>
      </td>
      <td align="left">Total techs requirements: <b>1</b>
      <p>Total bulbs required: <b>79</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/e/e9/U.trireme.png"
 alt="image:u.trireme.png" border="0" height="48" width="64"></span>Trireme
        </li>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/7/72/B.lighthouse.png"
 alt="image:b.lighthouse.png" border="0" height="48" width="64"></span>Lighthouse
(W) </li>
        <li> Seafaring (with Pottery)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Masonry" bgcolor="#000000">
      <td align="left"><b>Masonry</b> </td>
      <td align="left">Total techs requirements: <b>0</b>
      <p>Total bulbs required: <b>28</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/5/57/B.city_walls.png"
 alt="image:b.city_walls.png" border="0" height="64" width="64"></span>City
Walls </li>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/b/b7/B.palace.png"
 alt="image:b.palace.png" border="0" height="64" width="64"></span>Palace
        </li>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/b/b3/B.great_wall.png"
 alt="image:b.great_wall.png" border="0" height="48" width="64"></span>Great
Wall (W) </li>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/3/36/B.pyramids.png"
 alt="image:b.pyramids.png" border="0" height="48" width="64"></span>Pyramids
(W) </li>
        <li> Construction (with Currency) </li>
        <li> Mathematics (with Alphabet)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Mass_Production" bgcolor="#000000">
      <td align="left"><b>Mass Production</b>
      <p>Automobile, </p>
      <p>The Corporation </p>
      </td>
      <td align="left">Total techs requirements: <b>45</b>
      <p>Total bulbs required: <b>31,340</b> </p>
      <ul>
        <li> Increases the pollution generated by the population. </li>
      </ul>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/c/c0/B.mass_transit.png"
 alt="image:b.mass_transit.png" border="0" height="64" width="64"></span>Mass
Transit </li>
        <li> Computers (with Miniaturization) </li>
        <li> Labor Union (with Guerilla Warfare) </li>
        <li> Laser (with Nuclear Power) </li>
        <li> Nuclear Fission (with Atomic Theory) </li>
        <li> Recycling (with Democracy)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Mathematics" bgcolor="#000000">
      <td align="left"><b>Mathematics</b>
      <p>Alphabet, </p>
      <p>Masonry </p>
      </td>
      <td align="left">Total techs requirements: <b>2</b>
      <p>Total bulbs required: <b>136</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/7/77/U.catapult.png"
 alt="image:u.catapult.png" border="0" height="48" width="64"></span>Catapult
        </li>
        <li> Astronomy (with Mysticism) </li>
        <li> University (with Philosophy)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Medicine" bgcolor="#000000">
      <td align="left"><b>Medicine</b>
      <p>Philosophy, </p>
      <p>Trade </p>
      </td>
      <td align="left">Total techs requirements: <b>10</b>
      <p>Total bulbs required: <b>1,186</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/2/2e/B.shakespeares_theatre.png"
 alt="image:b.shakespeares_theatre.png" border="0" height="48"
 width="64"></span> Shakespeare's Theatre (W) </li>
        <li> Chemistry (with University) </li>
        <li> Genetic Engineering (with The Corporation) </li>
        <li> Sanitation (with Engineering)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Metallurgy" bgcolor="#000000">
      <td rowspan="2" align="left"><b>Metallurgy</b>
      <p>Gunpowder, </p>
      <p>University </p>
      </td>
      <td rowspan="2" align="left">Total techs requirements: <b>20</b>
      <p>Total bulbs required: <b>3,760</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/0/00/U.cannon.png"
 alt="image:u.cannon.png" border="0" height="48" width="64"></span>Cannon
        </li>
        <li> Conscription (with Democracy) </li>
        <li> Electricity (with Magnetism)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/7/77/U.catapult.png"
 alt="image:u.catapult.png" border="0" height="48" width="64"></span>Catapult
        </li>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/b/b3/B.great_wall.png"
 alt="image:b.great_wall.png" border="0" height="48" width="64"></span>Great
Wall (W)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Miniaturization" bgcolor="#000000">
      <td align="left"><b>Miniaturization</b>
      <p>Machine Tools, </p>
      <p>Electronics </p>
      </td>
      <td align="left">Total techs requirements: <b>48</b>
      <p>Total bulbs required: <b>32,350</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/a/ae/B.offshore_platform.png"
 alt="image:b.offshore_platform.png" border="0" height="64" width="64"></span>Offshore
Platform </li>
        <li> Computers (with Mass Production)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Mobile_Warfare" bgcolor="#000000">
      <td rowspan="2" align="left"><b>Mobile Warfare</b>
      <p>Automobile, </p>
      <p>Tactics </p>
      </td>
      <td rowspan="2" align="left">Total techs requirements: <b>52</b>
      <p>Total bulbs required: <b>37,526</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/5/57/U.armor.png"
 alt="image:u.armor.png" border="0" height="48" width="64"></span>Armor
        </li>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/f/fd/B.barracks3.png"
 alt="image:b.barracks3.png" border="0" height="64" width="64"></span>Barracks
III </li>
        <li> Combined Arms (with Advanced Flight) </li>
        <li> Robotics (with Computers)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/1/14/U.cavalry.png"
 alt="image:u.cavalry.png" border="0" height="48" width="64"></span>Cavalry
        </li>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/9/9a/B.barracks2.png"
 alt="image:b.barracks2.png" border="0" height="64" width="64"></span>Barracks
II </li>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/2/26/B.sun_tzus_war_academy.png"
 alt="image:b.sun_tzus_war_academy.png" border="0" height="48"
 width="64"></span> Sun Tzu's War Academy (W)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Monarchy" bgcolor="#000000">
      <td align="left"><b>Monarchy</b>
      <p>Ceremonial Burial, </p>
      <p>Code of Laws </p>
      </td>
      <td align="left">Total techs requirements: <b>3</b>
      <p>Total bulbs required: <b>218</b> </p>
      <ul>
        <li> Allows changing government to Monarchy. </li>
      </ul>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> Feudalism (with Warrior Code)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Monotheism" bgcolor="#000000">
      <td align="left"><b>Monotheism</b>
      <p>Philosophy, </p>
      <p>Polytheism </p>
      </td>
      <td align="left">Total techs requirements: <b>9</b>
      <p>Total bulbs required: <b>1,018</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/3/3d/B.cathedral.png"
 alt="image:b.cathedral.png" border="0" height="64" width="64"></span>Cathedral
        </li>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/7/7b/B.michelangelos_chapel.png"
 alt="image:b.michelangelos_chapel.png" border="0" height="48"
 width="64"></span> Michelangelo's Chapel (W) </li>
        <li> Theology (with Feudalism)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Mysticism" bgcolor="#000000">
      <td align="left"><b>Mysticism</b>
      <p>Ceremonial Burial </p>
      </td>
      <td align="left">Total techs requirements: <b>1</b>
      <p>Total bulbs required: <b>79</b> </p>
      <ul>
        <li> Improves the effect of Temples. </li>
      </ul>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/9/9e/B.oracle.png"
 alt="image:b.oracle.png" border="0" height="48" width="64"></span>Oracle
(W) </li>
        <li> Astronomy (with Mathematics) </li>
        <li> Philosophy (with Literacy)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Navigation" bgcolor="#000000">
      <td rowspan="2" align="left"><b>Navigation</b>
      <p>Seafaring, </p>
      <p>Astronomy </p>
      </td>
      <td rowspan="2" align="left">Total techs requirements: <b>9</b>
      <p>Total bulbs required: <b>954</b> </p>
      <ul>
        <li> Reduces the chance of losing boats on the high seas to
12%. </li>
      </ul>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/9/93/U.caravel.png"
 alt="image:u.caravel.png" border="0" height="48" width="64"></span>Caravel
        </li>
        <li> <span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/b/bd/B.magellans_expedition.png"
 alt="image:b.magellans_expedition.png" border="0" height="48"
 width="64"></span> Magellan's Expedition (W) </li>
        <li> Amphibious Warfare (with Tactics) </li>
        <li> Physics (with Literacy)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/e/e9/U.trireme.png"
 alt="image:u.trireme.png" border="0" height="48" width="64"></span>Trireme</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Nuclear_Fission" bgcolor="#000000">
      <td align="left"><b>Nuclear Fission</b>
      <p>Mass Production, </p>
      <p>Atomic Theory </p>
      </td>
      <td align="left">Total techs requirements: <b>48</b>
      <p>Total bulbs required: <b>36,171</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/4/42/B.manhattan_project.png"
 alt="image:b.manhattan_project.png" border="0" height="48" width="64"></span>Manhattan
Project (W) </li>
        <li> Nuclear Power (with Electronics)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Nuclear_Power" bgcolor="#000000">
      <td align="left"><b>Nuclear Power</b>
      <p>Nuclear Fission, </p>
      <p>Electronics </p>
      </td>
      <td align="left">Total techs requirements: <b>50</b>
      <p>Total bulbs required: <b>42,449</b> </p>
      <ul>
        <li> Gives sea units one extra move. </li>
      </ul>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/2/2d/B.nuclear_plant.png"
 alt="image:b.nuclear_plant.png" border="0" height="64" width="64"></span>Nuclear
Plant </li>
        <li> Fusion Power (with Superconductors) </li>
        <li> Laser (with Mass Production) </li>
        <li> Superconductors (with Laser)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Philosophy" bgcolor="#000000">
      <td align="left"><b>Philosophy</b>
      <p>Mysticism, </p>
      <p>Literacy </p>
      </td>
      <td align="left">Total techs requirements: <b>6</b>
      <p>Total bulbs required: <b>546</b> </p>
      <ul>
        <li> The first player to research Philosophy gets an immediate
advance. </li>
      </ul>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> Communism (with Industrialization) </li>
        <li> Medicine (with Trade) </li>
        <li> Monotheism (with Polytheism) </li>
        <li> University (with Mathematics)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Physics" bgcolor="#000000">
      <td align="left"><b>Physics</b>
      <p>Literacy, </p>
      <p>Navigation </p>
      </td>
      <td align="left">Total techs requirements: <b>13</b>
      <p>Total bulbs required: <b>1,747</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> Atomic Theory (with Theory of Gravity) </li>
        <li> Magnetism (with Iron Working) </li>
        <li> Steam Engine (with Invention)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Plastics" bgcolor="#000000">
      <td align="left"><b>Plastics</b>
      <p>Refining, </p>
      <p>Space Flight </p>
      </td>
      <td align="left">Total techs requirements: <b>63</b>
      <p>Total bulbs required: <b>76,083</b> </p>
      <ul>
        <li> Increases the pollution generated by the population. </li>
      </ul>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/1/11/B.space_component.png"
 alt="image:b.space_component.png" border="0" height="64" width="64"></span>Space
Component</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Polytheism" bgcolor="#000000">
      <td align="left"><b>Polytheism</b>
      <p>Horseback Riding, </p>
      <p>Ceremonial Burial </p>
      </td>
      <td align="left">Total techs requirements: <b>2</b>
      <p>Total bulbs required: <b>136</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> Monotheism (with Philosophy)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Pottery" bgcolor="#000000">
      <td align="left"><b>Pottery</b> </td>
      <td align="left">Total techs requirements: <b>0</b>
      <p>Total bulbs required: <b>28</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/9/9e/U.worker.png"
 alt="image:u.worker.png" border="0" height="48" width="64"></span>Workers
        </li>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/e/ed/B.granary.png"
 alt="image:b.granary.png" border="0" height="64" width="64"></span>Granary
        </li>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/c/ce/B.hanging_gardens.png"
 alt="image:b.hanging_gardens.png" border="0" height="48" width="64"></span>Hanging
Gardens (W) </li>
        <li> Seafaring (with Map Making)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Radio" bgcolor="#000000">
      <td align="left"><b>Radio</b>
      <p>Flight, </p>
      <p>Electricity </p>
      </td>
      <td align="left">Total techs requirements: <b>45</b>
      <p>Total bulbs required: <b>29,166</b> </p>
      <ul>
        <li> Allows Engineers and Workers to build airbases. </li>
      </ul>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/4/4a/B.airport.png"
 alt="image:b.airport.png" border="0" height="64" width="64"></span>Airport
        </li>
        <li> Advanced Flight (with Machine Tools)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Railroad" bgcolor="#000000">
      <td rowspan="2" align="left"><b>Railroad</b>
      <p>Steam Engine, </p>
      <p>Bridge Building </p>
      </td>
      <td rowspan="2" align="left">Total techs requirements: <b>25</b>
      <p>Total bulbs required: <b>5,549</b> </p>
      <ul>
        <li> Allows Engineers, Workers and Settlers to upgrade roads to
railroads. </li>
        <li> Decreases one-time revenue from new trade routes. </li>
      </ul>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/3/32/B.darwins_voyage.png"
 alt="image:b.darwins_voyage.png" border="0" height="48" width="64"></span>Darwin's
Voyage (W) </li>
        <li> Industrialization (with Banking)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/c/ce/B.hanging_gardens.png"
 alt="image:b.hanging_gardens.png" border="0" height="48" width="64"></span>Hanging
Gardens (W)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Recycling" bgcolor="#000000">
      <td align="left"><b>Recycling</b>
      <p>Mass Production, </p>
      <p>Democracy </p>
      </td>
      <td align="left">Total techs requirements: <b>47</b>
      <p>Total bulbs required: <b>35,470</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/b/b6/B.recycling_center.png"
 alt="image:b.recycling_center.png" border="0" height="64" width="64"></span>Recycling
Center</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Refining" bgcolor="#000000">
      <td align="left"><b>Refining</b>
      <p>Chemistry, </p>
      <p>The Corporation </p>
      </td>
      <td align="left">Total techs requirements: <b>36</b>
      <p>Total bulbs required: <b>14,640</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/8/82/B.power_plant.png"
 alt="image:b.power_plant.png" border="0" height="64" width="64"></span>Power
Plant </li>
        <li> Combustion (with Explosives) </li>
        <li> Plastics (with Space Flight)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Refrigeration" bgcolor="#000000">
      <td align="left"><b>Refrigeration</b>
      <p>Sanitation, </p>
      <p>Electricity </p>
      </td>
      <td align="left">Total techs requirements: <b>32</b>
      <p>Total bulbs required: <b>10,856</b> </p>
      <ul>
        <li> Allows Engineers, Workers and Settlers to upgrade
irrigation to farmland. </li>
      </ul>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/a/a8/B.supermarket.png"
 alt="image:b.supermarket.png" border="0" height="64" width="64"></span>Supermarket</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Robotics" bgcolor="#000000">
      <td rowspan="2" align="left"><b>Robotics</b>
      <p>Mobile Warfare, </p>
      <p>Computers </p>
      </td>
      <td rowspan="2" align="left">Total techs requirements: <b>58</b>
      <p>Total bulbs required: <b>58,995</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/7/72/U.howitzer.png"
 alt="image:u.howitzer.png" border="0" height="48" width="64"></span>Howitzer
        </li>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/8/87/B.mfg_plant.png"
 alt="image:b.mfg_plant.png" border="0" height="64" width="64"></span>Mfg.
Plant</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/a/a9/U.artillery.png"
 alt="image:u.artillery.png" border="0" height="48" width="64"></span>Artillery
        </li>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/8/8b/B.king_richards_crusade.png"
 alt="image:b.king_richards_crusade.png" border="0" height="48"
 width="64"></span> King Richard's Crusade (W)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Rocketry" bgcolor="#000000">
      <td rowspan="2" align="left"><b>Rocketry</b>
      <p>Advanced Flight, </p>
      <p>Electronics </p>
      </td>
      <td rowspan="2" align="left">Total techs requirements: <b>57</b>
      <p>Total bulbs required: <b>51,430</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/f/ff/U.aegis_cruiser.png"
 alt="image:u.aegis_cruiser.png" border="0" height="48" width="64"></span>AEGIS
Cruiser </li>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/8/8e/U.cruise_missile.png"
 alt="image:u.cruise_missile.png" border="0" height="48" width="64"></span>Cruise
Missile </li>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/f/f8/U.nuclear.png"
 alt="image:u.nuclear.png" border="0" height="48" width="64"></span>Nuclear
        </li>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/8/86/B.sam_battery.png"
 alt="image:b.sam_battery.png" border="0" height="64" width="64"></span>SAM
Battery </li>
        <li> Space Flight (with Computers)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/4/4f/U.cruiser.png"
 alt="image:u.cruiser.png" border="0" height="48" width="64"></span>Cruiser</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Sanitation" bgcolor="#000000">
      <td align="left"><b>Sanitation</b>
      <p>Engineering, </p>
      <p>Medicine </p>
      </td>
      <td align="left">Total techs requirements: <b>16</b>
      <p>Total bulbs required: <b>2,393</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/3/38/B.sewer_system.png"
 alt="image:b.sewer_system.png" border="0" height="64" width="64"></span>Sewer
System </li>
        <li> Refrigeration (with Electricity)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Seafaring" bgcolor="#000000">
      <td align="left"><b>Seafaring</b>
      <p>Pottery, </p>
      <p>Map Making </p>
      </td>
      <td align="left">Total techs requirements: <b>3</b>
      <p>Total bulbs required: <b>218</b> </p>
      <ul>
        <li> Reduces the chance of losing boats on the high seas to
25%. </li>
      </ul>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/b/b9/U.explorer.png"
 alt="image:u.explorer.png" border="0" height="48" width="64"></span>Explorer
        </li>
        <li> <span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/b/be/B.harbour.png"
 alt="image:b.harbour.png" border="0" height="64" width="64"></span>Harbour
        </li>
        <li> Navigation (with Astronomy)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Space_Flight" bgcolor="#000000">
      <td align="left"><b>Space Flight</b>
      <p>Computers, </p>
      <p>Rocketry </p>
      </td>
      <td align="left">Total techs requirements: <b>62</b>
      <p>Total bulbs required: <b>70,843</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/b/b0/B.space_structural.png"
 alt="image:b.space_structural.png" border="0" height="64" width="64"></span>Space
Structural </li>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/6/65/B.apollo_program.png"
 alt="image:b.apollo_program.png" border="0" height="48" width="64"></span>Apollo
Program (W) </li>
        <li> Plastics (with Refining)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Stealth" bgcolor="#000000">
      <td rowspan="2" align="left"><b>Stealth</b>
      <p>Superconductors, </p>
      <p>Advanced Flight </p>
      </td>
      <td rowspan="2" align="left">Total techs requirements: <b>64</b>
      <p>Total bulbs required: <b>74,539</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/b/be/U.stealth_fighter.png"
 alt="image:u.stealth_fighter.png" border="0" height="48" width="64"></span>Stealth
Fighter </li>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/6/61/U.stealth_bomber.png"
 alt="image:u.stealth_bomber.png" border="0" height="48" width="64"></span>Stealth
Bomber</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/3/32/U.fighter.png"
 alt="image:u.fighter.png" border="0" height="48" width="64"></span>Fighter
        </li>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/e/e7/U.bomber.png"
 alt="image:u.bomber.png" border="0" height="48" width="64"></span>Bomber</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Steam_Engine" bgcolor="#000000">
      <td rowspan="2" align="left"><b>Steam Engine</b>
      <p>Physics, </p>
      <p>Invention </p>
      </td>
      <td rowspan="2" align="left">Total techs requirements: <b>21</b>
      <p>Total bulbs required: <b>3,813</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/e/e7/U.ironclad.png"
 alt="image:u.ironclad.png" border="0" height="48" width="64"></span>Ironclad
        </li>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/3/3b/B.eiffel_tower.png"
 alt="image:b.eiffel_tower.png" border="0" height="48" width="64"></span>Eiffel
Tower (W) </li>
        <li> Railroad (with Bridge Building)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/1/13/U.frigate.png"
 alt="image:u.frigate.png" border="0" height="48" width="64"></span>Frigate
        </li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Steel" bgcolor="#000000">
      <td align="left"><b>Steel</b>
      <p>Electricity, </p>
      <p>Industrialization </p>
      </td>
      <td align="left">Total techs requirements: <b>36</b>
      <p>Total bulbs required: <b>14,957</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/4/4f/U.cruiser.png"
 alt="image:u.cruiser.png" border="0" height="48" width="64"></span>Cruiser
        </li>
        <li> Automobile (with Combustion) </li>
        <li> Machine Tools (with Tactics)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Superconductors" bgcolor="#000000">
      <td align="left"><b>Superconductors</b>
      <p>Nuclear Power, </p>
      <p>Laser </p>
      </td>
      <td align="left">Total techs requirements: <b>52</b>
      <p>Total bulbs required: <b>50,275</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/3/3c/B.space_modules.png"
 alt="image:b.space_modules.png" border="0" height="64" width="64"></span>Space
Module </li>
        <li> Fusion Power (with Nuclear Power) </li>
        <li> Stealth (with Advanced Flight)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Tactics" bgcolor="#000000">
      <td rowspan="2" align="left"><b>Tactics</b>
      <p>Conscription, </p>
      <p>Leadership </p>
      </td>
      <td rowspan="2" align="left">Total techs requirements: <b>30</b>
      <p>Total bulbs required: <b>9,808</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/9/96/U.alpine_troops.png"
 alt="image:u.alpine_troops.png" border="0" height="48" width="64"></span>Alpine
Troops </li>
        <li> <span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/1/14/U.cavalry.png"
 alt="image:u.cavalry.png" border="0" height="48" width="64"></span>Cavalry
        </li>
        <li> Amphibious Warfare (with Navigation) </li>
        <li> Guerilla Warfare (with Communism) </li>
        <li> Machine Tools (with Steel) </li>
        <li> Mobile Warfare (with Automobile)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/2/23/U.dragoons.png"
 alt="image:u.dragoons.png" border="0" height="48" width="64"></span>Dragoons</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="The_Corporation" bgcolor="#000000">
      <td rowspan="2" align="left"><b>The Corporation</b>
      <p>Economics, </p>
      <p>Industrialization </p>
      </td>
      <td rowspan="2" align="left">Total techs requirements: <b>33</b>
      <p>Total bulbs required: <b>11,243</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/e/ee/U.freight.png"
 alt="image:u.freight.png" border="0" height="48" width="64"></span>Freight
        </li>
        <li> Electronics (with Electricity) </li>
        <li> Genetic Engineering (with Medicine) </li>
        <li> Mass Production (with Automobile) </li>
        <li> Refining (with Chemistry)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/6/63/U.caravan.png"
 alt="image:u.caravan.png" border="0" height="48" width="64"></span>Caravan</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="The_Republic" bgcolor="#000000">
      <td align="left"><b>The Republic</b>
      <p>Code of Laws, </p>
      <p>Literacy </p>
      </td>
      <td align="left">Total techs requirements: <b>4</b>
      <p>Total bulbs required: <b>387</b> </p>
      <ul>
        <li> Allows changing government to Republic. </li>
      </ul>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> Banking (with Trade)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="The_Wheel" bgcolor="#000000">
      <td align="left"><b>The Wheel</b>
      <p>Horseback Riding </p>
      </td>
      <td align="left">Total techs requirements: <b>1</b>
      <p>Total bulbs required: <b>79</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/c/c7/U.chariot.png"
 alt="image:u.chariot.png" border="0" height="48" width="64"></span>Chariot
        </li>
        <li> Engineering (with Construction)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Theology" bgcolor="#000000">
      <td rowspan="2" align="left"><b>Theology</b>
      <p>Feudalism, </p>
      <p>Monotheism </p>
      </td>
      <td rowspan="2" align="left">Total techs requirements: <b>13</b>
      <p>Total bulbs required: <b>1,922</b> </p>
      <ul>
        <li> Improves the effect of Cathedrals. </li>
      </ul>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/9/94/B.js_bachs_cathedral.png"
 alt="image:b.js_bachs_cathedral.png" border="0" height="48" width="64"></span>J.S.
Bach's Cathedral (W)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/9/9e/B.oracle.png"
 alt="image:b.oracle.png" border="0" height="48" width="64"></span>Oracle
(W)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Theory_of_Gravity" bgcolor="#000000">
      <td align="left"><b>Theory of Gravity</b>
      <p>Astronomy, </p>
      <p>University </p>
      </td>
      <td align="left">Total techs requirements: <b>11</b>
      <p>Total bulbs required: <b>1,671</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/c/cd/B.isaac_newtons_college.png"
 alt="image:b.isaac_newtons_college.png" border="0" height="48"
 width="64"></span> Isaac Newton's College (W) </li>
        <li> Atomic Theory (with Physics) </li>
        <li> Flight (with Combustion)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Trade" bgcolor="#000000">
      <td align="left"><b>Trade</b>
      <p>Currency, </p>
      <p>Code of Laws </p>
      </td>
      <td align="left">Total techs requirements: <b>4</b>
      <p>Total bulbs required: <b>304</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/6/63/U.caravan.png"
 alt="image:u.caravan.png" border="0" height="48" width="64"></span>Caravan
        </li>
        <li> <span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/5/5b/B.marco_polos_embassy.png"
 alt="image:b.marco_polos_embassy.png" border="0" height="48" width="64"></span>Marco
Polo's Embassy (W) </li>
        <li> Banking (with The Republic) </li>
        <li> Medicine (with Philosophy)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="University" bgcolor="#000000">
      <td align="left"><b>University</b>
      <p>Mathematics, </p>
      <p>Philosophy </p>
      </td>
      <td align="left">Total techs requirements: <b>9</b>
      <p>Total bulbs required: <b>1,018</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/0/08/B.university.png"
 alt="image:b.university.png" border="0" height="64" width="64"></span>University
        </li>
        <li> Chemistry (with Medicine) </li>
        <li> Economics (with Banking) </li>
        <li> Metallurgy (with Gunpowder) </li>
        <li> Theory of Gravity (with Astronomy)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Warrior_Code" bgcolor="#000000">
      <td align="left"><b>Warrior Code</b> </td>
      <td align="left">Total techs requirements: <b>0</b>
      <p>Total bulbs required: <b>28</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/8/86/U.archers.png"
 alt="image:u.archers.png" border="0" height="48" width="64"></span>Archers
        </li>
        <li> Feudalism (with Monarchy) </li>
        <li> Iron Working (with Bronze Working)</li>
      </ul>
      </div>
      </td>
    </tr>
    <tr id="Writing" bgcolor="#000000">
      <td align="left"><b>Writing</b>
      <p>Alphabet </p>
      </td>
      <td align="left">Total techs requirements: <b>1</b>
      <p>Total bulbs required: <b>79</b> </p>
      </td>
      <td style="background-color: rgb(102, 102, 102);" align="left">
      <div>
      <ul>
        <li> <span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/f/fc/U.diplomat.png"
 alt="image:u.diplomat.png" border="0" height="48" width="64"></span>Diplomat
        </li>
        <li> <span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/5/53/B.library.png"
 alt="image:b.library.png" border="0" height="64" width="64"></span>Library
        </li>
        <li> Literacy (with Code of Laws)</li>
      </ul>
      </div>
      </td>
    </tr>
  </tbody>
</table>
<p><br>
</p>
</div>
</body>
</html>
