<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
</head>
<body>
<h1>Units</h1>
<div id="bodyContent"><br>
Units both offer mobility to your civilization and supply the violence
with which it will survive and expand. The available units may be
classified as military units, whose talents are those of defense and
aggression, and a few <i>noncombatants</i> which support expansion
(explorers, settlers, workers, and engineers), diplomacy (the diplomat
and spy), and trade (caravans and freight).
<p></p>
<p>The support of your units will be one of your major expenses. Each
unit requires one production point per turn, and settlers  the
units derived from citizens  also require one or two food
points per turn depending on your form of government. Note that
autocratic governments force cities to support several units for free,
which can save production points for other uses.
</p>
<p>Under representative governments, aggressive units standing outside
your borders each cause one or two workers to become unhappy. This
makes war quite expensive under representative government, since
production points are required to support each unit and luxury points
must be produced to mollify the citizenry.
<a id="Movement" name="Movement" rel="nofollow"></a></p>
<h2><span class="mw-headline"><a id="Movement" name="Movement"
 rel="nofollow">Movement</a></span></h2>
<p><a id="Movement" name="Movement" rel="nofollow"><u>Units</u> begin
every turn with one or more movement points, depending upon their
natural mobility  shown for each unit in the catalogue below
 reduced, for </a>damaged land and sea units, in proportion
to the extent of their damage. Movement points not consumed by the end
of the turn are lost and cannot be stored or transferred. Sea units
gain extra movement points if their civilization possesses the
Lighthouse, Magellan's expedition, or nuclear power.
</p>
<p>Every action undertaken by a unit consumes movement points. This
manual describes each action in the section where it is most relevant;
see the index for the full list of actions. Actions require one
movement point unless otherwise noted.
</p>
<p>The most basic action is movement. Units can move into any of the
eight surrounding squares under fairly obvious constraints: land units
are confined to land and transport vessels; ships are confined to ocean
squares and port cities (which are thus the only cities that can build
them); and aircraft ignore terrain, though they must often end their
turn where they can refuel&nbsp; see the description of each unit for
specific restrictions. Moving one square usually consumes one movement
point, and units can always move one square regardless of their wounds.
Rough terrain, however, can be more costly for land units as detailed
in the terrain catalogue, and land units disembarking from ships lose
all remaining movement points.
</p>
<div id="ZOC">
<p>Enemy units impose <i>zones of control</i>, such that military
units, settlers, workers, and engineers cannot move between squares
adjacent to enemy units without retreating into unthreatened territory
first, unless the square they enter already holds a friendly city or
unit, or the unit is one that ignores zones of control. Note also that
land units can embark and disembark from transports whenever the
transport is adjacent to land or another transport&nbsp; this does not
require ports or other facilities.
</p>
<p>Land units can move instantly between airports in friendly cities
with the <b>airlift</b> action. An airport can participate in only one
airlift per turn.
</p>
<a id="Unit_Catalogue" name="Unit_Catalogue" rel="nofollow"></a>
<h2><span class="editsection"
 style="position: relative; top: -3px; margin-bottom: -2px;"><span
 class="wikia_button"><span></span></span></span><span
 class="mw-headline">Unit Catalogue</span></h2>
<p>Several schemes are possible for organizing the variety of units
available in Freeciv. This manual arranges them chronologically: each
of the eras in the following table groups units which require similar
numbers of advances before they can be built. While the eras have been
given picturesque names to suggest the periods of history to which they
correspond, the choice of which units were arranged together was
determined strictly by their technological cost.
</p>
<p>About a half-dozen attributes define each unit in the following
table. The Cost specifies how many production points a city must invest
to build one unit. Next comes M the number of <b>movement</b> points
the unit is granted each turn, followed by C the number of other units
that the unit can <b>carry</b> (called its capacity). The combat
statistics A <b>attack</b> strength, D <b>defense</b> strength, HP <b>hit
points</b>, and FP <b>firepower</b> are all explained in the section
describing combat.
</p>
<a id="Bronze_age" name="Bronze_age" rel="nofollow"></a>
<h3><span class="editsection"><a id="Bronze_age" name="Bronze_age"
 rel="nofollow"></a></span><span class="mw-headline">Bronze age</span></h3>
<table>
  <tbody>
    <tr id="Settlers">
      <td><span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/f/f6/U.settlers.png"
 alt="image:u.settlers.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Settlers</b> cost:<b>40</b> M:<b>1</b>
      <p>A:<b>0</b> D:<b>1</b> HP:<b>20</b> FP:<b>1</b>
      </p>
      </td>
    </tr>
    <tr id="Warriors">
      <td><span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/e/ee/U.warriors.png"
 alt="image:u.warriors.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Warriors</b> cost:<b>10</b> M:<b>1</b>
      <p>A:<b>1</b> D:<b>1</b> HP:<b>10</b> FP:<b>1</b>
      </p>
      </td>
    </tr>
  </tbody>
</table>
<p>Expansion and primitive warfare require no technology. Settlers can
not only found new cities, but improve land and build roads.
</p>
<table>
  <tbody>
    <tr id="Workers">
      <td><span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/9/9e/U.worker.png"
 alt="image:u.worker.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Workers</b> cost:<b>30</b> M:<b>1</b>
      <p>A:<b>0</b> D:<b>1</b> HP:<b>10</b> FP:<b>1</b>
      </p>
      </td>
    </tr>
    <tr id="Horsemen">
      <td><span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/3/3c/U.horsemen.png"
 alt="image:u.horsemen.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Horsemen</b> cost:<b>20</b> M:<b>2</b>
      <p>A:<b>2</b> D:<b>1</b> HP:<b>10</b> FP:<b>1</b>
      </p>
      </td>
    </tr>
    <tr id="Archers">
      <td><span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/8/86/U.archers.png"
 alt="image:u.archers.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Archers</b> cost:<b>30</b> M:<b>1</b>
      <p>A:<b>3</b> D:<b>2</b> HP:<b>10</b> FP:<b>1</b>
      </p>
      </td>
    </tr>
    <tr id="Phalanx">
      <td><span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/7/7b/U.phalanx.png"
 alt="image:u.phalanx.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Phalanx</b> cost:<b>20</b> M:<b>1</b>
      <p>A:<b>1</b> D:<b>2</b> HP:<b>10</b> FP:<b>1</b>
      </p>
      </td>
    </tr>
  </tbody>
</table>
<p>These four units require only one technology each. Workers can
improve land but cannot build cities. Horsemen, Archers and Phalanx
provide mobile offense, heavy offense, and heavy defense, respectively.
</p>
<a id="Iron_Age" name="Iron_Age" rel="nofollow"></a>
<h3><span class="editsection"><a id="Iron_Age" name="Iron_Age"
 rel="nofollow"></a></span><span class="mw-headline">Iron Age</span></h3>
<table>
  <tbody>
    <tr id="Trireme">
      <td><span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/e/e9/U.trireme.png"
 alt="image:u.trireme.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Trireme</b> cost:<b>40</b> M:<b>3</b> C:<b>2</b>
      <p>A:<b>1</b> D:<b>1</b> HP:<b>10</b> FP:<b>1</b>
      </p>
      </td>
    </tr>
  </tbody>
</table>
<p>This simple transport must end each turn near shore or suffer a 50%
chance of sinking. This risk is reduced with increasing veterancy
(Veteran: 25%; Hardened: 5%; Elite: 0%); if a trireme survives a turn
on the high seas, there is a chance of gaining a level of veterancy.
The risk is also reduced (but not eliminated) by the advances Seafaring
and Navigation; it is eliminated by possession of the Lighthouse
wonder.
</p>
<table>
  <tbody>
    <tr id="Chariot">
      <td><span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/c/c7/U.chariot.png"
 alt="image:u.chariot.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Chariot</b> cost:<b>30</b> M:<b>2</b>
      <p>A:<b>3</b> D:<b>1</b> HP:<b>10</b> FP:<b>1</b>
      </p>
      </td>
    </tr>
    <tr id="Catapult">
      <td><span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/7/77/U.catapult.png"
 alt="image:u.catapult.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Catapult</b> cost:<b>40</b> M:<b>1</b>
      <p>A:<b>6</b> D:<b>1</b> HP:<b>10</b> FP:<b>1</b>
      </p>
      </td>
    </tr>
    <tr id="Legion">
      <td><span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/d/d0/U.legion.png"
 alt="image:u.legion.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Legion</b> cost:<b>40</b> M:<b>1</b>
      <p>A:<b>4</b> D:<b>2</b> HP:<b>10</b> FP:<b>1</b>
      </p>
      </td>
    </tr>
  </tbody>
</table>
<p>A second tier of more expensive and capable units becomes available.
Attack strength outpaces defense strength, making defense difficult
outside of walled cities.
</p>
<table>
  <tbody>
    <tr id="Diplomat">
      <td><span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/f/fc/U.diplomat.png"
 alt="image:u.diplomat.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Diplomat</b> cost:<b>30</b> M:<b>2</b>
      <p>A:<b>0</b> D:<b>0</b> HP:<b>10</b> FP:<b>1</b>
      </p>
      </td>
    </tr>
  </tbody>
</table>
<p>Besides building an embassy, your diplomat can attempt to bribe or
incite rebellion, and perform espionage and sabotage; see Diplomacy.
</p>
<a id="Age_of_Exploration" name="Age_of_Exploration" rel="nofollow"></a>
<h3><span class="editsection"><a id="Age_of_Exploration"
 name="Age_of_Exploration" rel="nofollow"></a></span><span
 class="mw-headline">Age of Exploration</span></h3>
<table>
  <tbody>
    <tr id="Explorer">
      <td><span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/b/b9/U.explorer.png"
 alt="image:u.explorer.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Explorer</b> cost:<b>30</b> M:<b>1</b>
      <p>A:<b>0</b> D:<b>1</b> HP:<b>10</b> FP:<b>1</b>
      </p>
      </td>
    </tr>
  </tbody>
</table>
<p>Because explorers treat all terrain as roads, each move expends only
one third of their one point.
</p>
<table>
  <tbody>
    <tr id="Caravan">
      <td><span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/6/63/U.caravan.png"
 alt="image:u.caravan.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Caravan</b> cost:<b>50</b> M:<b>1</b>
      <p>A:<b>0</b> D:<b>1</b> HP:<b>10</b> FP:<b>1</b>
      </p>
      </td>
    </tr>
  </tbody>
</table>
<p>Each caravan can enhance trade by creating a trade route, or can
carry production points to contribute toward a Wonder.
</p>
<table>
  <tbody>
    <tr id="Pikemen">
      <td><span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/1/14/U.pikemen.png"
 alt="image:u.pikemen.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Pikemen</b> cost:<b>20</b> M:<b>1</b>
      <p>A:<b>1</b> D:<b>2</b> HP:<b>10</b> FP:<b>1</b>
      </p>
      <p><i>Obsoletes Warriors, Phalanx</i>
      </p>
      </td>
    </tr>
    <tr id="Knights">
      <td><span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/4/43/U.knights.png"
 alt="image:u.knights.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Knights</b> cost:<b>40</b> M:<b>2</b>
      <p>A:<b>4</b> D:<b>2</b> HP:<b>10</b> FP:<b>1</b>
      </p>
      <p><i>Obsoletes Horsemen, Chariot</i>
      </p>
      </td>
    </tr>
  </tbody>
</table>
<p>Both feudalism and chivalry advance military organization and make
most Bronze Age units obsolete. Pikemen are similar to the phalanx but
are doubly effective against horsemen, chariots, knights, and dragoons.
</p>
<table>
  <tbody>
    <tr id="Caravel">
      <td><span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/9/93/U.caravel.png"
 alt="image:u.caravel.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Caravel</b> cost:<b>40</b> M:<b>3</b> C:<b>3</b>
      <p>A:<b>2</b> D:<b>1</b> HP:<b>10</b> FP:<b>1</b>
      </p>
      <p><i>Obsoletes Trireme</i>
      </p>
      </td>
    </tr>
  </tbody>
</table>
<p>The caravel offers greater capacity than the trireme and does not
need to remain near shore.
</p>
<a id="Age_of_Gunpowder" name="Age_of_Gunpowder" rel="nofollow"></a>
<h3><span class="editsection"><a id="Age_of_Gunpowder"
 name="Age_of_Gunpowder" rel="nofollow"></a></span><span
 class="mw-headline">Age of Gunpowder</span></h3>
<table>
  <tbody>
    <tr id="Galleon">
      <td><span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/e/ef/U.galleon.png"
 alt="image:u.galleon.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Galleon</b> cost:<b>40</b> M:<b>4</b> C:<b>4</b>
      <p>A:<b>0</b> D:<b>2</b> HP:<b>20</b> FP:<b>1</b>
      </p>
      <p><i>Obsoletes Caravel</i>
      </p>
      </td>
    </tr>
    <tr id="Frigate">
      <td><span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/1/13/U.frigate.png"
 alt="image:u.frigate.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Frigate</b> cost:<b>50</b> M:<b>4</b> C:<b>2</b>
      <p>A:<b>4</b> D:<b>2</b> HP:<b>20</b> FP:<b>1</b>
      </p>
      </td>
    </tr>
    <tr id="Ironclad">
      <td><span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/e/e7/U.ironclad.png"
 alt="image:u.ironclad.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Ironclad</b> cost:<b>60</b> M:<b>4</b>
      <p>A:<b>4</b> D:<b>4</b> HP:<b>30</b> FP:<b>1</b>
      </p>
      <p><i>Obsoletes Frigate</i>
      </p>
      </td>
    </tr>
  </tbody>
</table>
<p>Magnetism replaces the caravel with two ships: the high capacity
galleon and the heavily armed frigate. The steam engine offers the even
more specialized ironclad warship.
</p>
<table>
  <tbody>
    <tr id="Musketeers">
      <td><span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/2/25/U.musketeers.png"
 alt="image:u.musketeers.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Musketeers</b> cost:<b>30</b> M:<b>1</b>
      <p>A:<b>3</b> D:<b>3</b> HP:<b>20</b> FP:<b>1</b>
      </p>
      <p><i>Obsoletes Archers, Legion, Pikemen</i>
      </p>
      </td>
    </tr>
    <tr id="Dragoons">
      <td><span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/2/23/U.dragoons.png"
 alt="image:u.dragoons.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Dragoons</b> cost:<b>50</b> M:<b>2</b>
      <p>A:<b>5</b> D:<b>2</b> HP:<b>20</b> FP:<b>1</b>
      </p>
      <p><i>Obsoletes Knights</i>
      </p>
      </td>
    </tr>
    <tr id="Cannon">
      <td><span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/0/00/U.cannon.png"
 alt="image:u.cannon.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Cannon</b> cost:<b>40</b> M:<b>1</b>
      <p>A:<b>8</b> D:<b>1</b> HP:<b>20</b> FP:<b>1</b>
      </p>
      <p><i>Obsoletes Catapult</i>
      </p>
      </td>
    </tr>
  </tbody>
</table>
<p>The advent of gunpowder and the advances which follow make all
earlier combat units obsolete. Since this advance does not require
feudalism, the medieval units may be skipped by those eager to reach
powder. The new units follow roughly the bronze age pattern of heavy
defense, mobile offense, and heavy offense, except that musketeers are
really as strong attacking as defending.
</p>
<table>
  <tbody>
    <tr id="Engineers">
      <td><span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/5/55/U.engineers.png"
 alt="image:u.engineers.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Engineers</b> cost:<b>40</b> M:<b>2</b>
      <p>A:<b>0</b> D:<b>2</b> HP:<b>20</b> FP:<b>1</b>
      </p>
      <p><i>Obsoletes Workers</i>
      </p>
      </td>
    </tr>
  </tbody>
</table>
<p>Engineers work twice as fast as workers or settlers and offer more
ways in which land can be transformed.
</p>
<a id="The_Industrial_Age" name="The_Industrial_Age" rel="nofollow"></a>
<h3><span class="editsection"><a id="The_Industrial_Age"
 name="The_Industrial_Age" rel="nofollow"></a></span><span
 class="mw-headline">The Industrial Age</span></h3>
<table>
  <tbody>
    <tr id="Transport">
      <td><span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/a/a5/U.transport.png"
 alt="image:u.transport.png" border="0" height="48" width="64"></span>
      </td>
      <td>
      <p><b>Transport</b> cost:<b>50</b> M:<b>5</b> C:<b>8</b>
      </p>
      <p>A:<b>0</b> D:<b>3</b> HP:<b>30</b> FP:<b>1</b>
      </p>
      <p><i>Obsoletes Galleon</i>
      </p>
      </td>
    </tr>
    <tr id="Destroyer">
      <td><span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/4/4c/U.destroyer.png"
 alt="image:u.destroyer.png" border="0" height="48" width="64"></span>
      </td>
      <td>
      <p><b>Destroyer</b> cost:<b>60</b> M:<b>6</b>
      </p>
      <p>A:<b>4</b> D:<b>4</b> HP:<b>30</b> FP:<b>1</b>
      </p>
      <p><i>Obsoletes Ironclad</i>
      </p>
      </td>
    </tr>
  </tbody>
</table>
<p>Both the galleon and ironclad are replaced by more powerful
versions. These and all later ships can see two squares away rather
than one.
</p>
<table>
  <tbody>
    <tr id="Riflemen">
      <td><span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/5/50/U.riflemen.png"
 alt="image:u.riflemen.png" border="0" height="48" width="64"></span>
      </td>
      <td>
      <p><b>Riflemen</b> cost:<b>40</b> M:<b>1</b>
      </p>
      <p>A:<b>5</b> D:<b>4</b> HP:<b>20</b> FP:<b>1</b>
      </p>
      <p><i>Obsoletes Musketeers</i>
      </p>
      </td>
    </tr>
    <tr id="Cavalry">
      <td><span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/1/14/U.cavalry.png"
 alt="image:u.cavalry.png" border="0" height="48" width="64"></span>
      </td>
      <td>
      <p><b>Cavalry</b> cost:<b>60</b> M:<b>2</b>
      </p>
      <p>A:<b>8</b> D:<b>3</b> HP:<b>20</b> FP:<b>1</b>
      </p>
      <p><i>Obsoletes Dragoons</i>
      </p>
      </td>
    </tr>
  </tbody>
</table>
<p>Rifles give foot soldiers greater attack than defense strength for
the first time since the ancient legions. Cavalry are simply an
improvement over dragoons.
</p>
<table>
  <tbody>
    <tr id="Alpine_Troops">
      <td><span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/9/96/U.alpine_troops.png"
 alt="image:u.alpine_troops.png" border="0" height="48" width="64"></span>
      </td>
      <td>
      <p><b>Alpine Troops</b> cost:<b>50</b> M:<b>1</b>
      </p>
      <p>A:<b>5</b> D:<b>5</b> HP:<b>20</b> FP:<b>1</b>
      </p>
      </td>
    </tr>
  </tbody>
</table>
<p>Like explorers, alpine troops expend only one-third of a movement
point to move one square regardless of terrain; this makes alpine
troops a powerful unit in mountainous regions.
</p>
<table>
  <tbody>
    <tr id="Freight">
      <td><span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/e/ee/U.freight.png"
 alt="image:u.freight.png" border="0" height="48" width="64"></span>
      </td>
      <td>
      <p><b>Freight</b> cost:<b>50</b> M:<b>2</b>
      </p>
      <p>A:<b>0</b> D:<b>1</b> HP:<b>10</b> FP:<b>1</b>
      </p>
      <p><i>Obsoletes Caravan</i>
      </p>
      </td>
    </tr>
    <tr id="Spy">
      <td><span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/d/db/U.spy.png"
 alt="image:u.spy.png" border="0" height="48" width="64"></span>
      </td>
      <td>
      <p><b>Spy</b> cost:<b>30</b> M:<b>3</b>
      </p>
      <p>A:<b>0</b> D:<b>0</b> HP:<b>10</b> FP:<b>1</b>
      </p>
      <p><i>Obsoletes Diplomat</i>
      </p>
      </td>
    </tr>
  </tbody>
</table>
<p>Both trade and diplomacy gain mobility. Spies are capable of more
actions than diplomats; can be given more precise orders; and often
survive and can be reused.
</p>
<a id="Modern_Technology" name="Modern_Technology" rel="nofollow"></a>
<h3><span class="editsection"><a id="Modern_Technology"
 name="Modern_Technology" rel="nofollow"></a></span><span
 class="mw-headline">Modern Technology</span></h3>
<table>
  <tbody>
    <tr id="Cruiser">
      <td><span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/4/4f/U.cruiser.png"
 alt="image:u.cruiser.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Cruiser</b> cost:<b>80</b> M:<b>5</b>
      <p>A:<b>6</b> D:<b>6</b> HP:<b>30</b> FP:<b>2</b>
      </p>
      </td>
    </tr>
    <tr id="Battleship">
      <td><span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/b/be/U.battleship.png"
 alt="image:u.battleship.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Battleship</b> cost:<b>160</b> M:<b>4</b>
      <p>A:<b>12</b> D:<b>12</b> HP:<b>40</b> FP:<b>2</b>
      </p>
      </td>
    </tr>
  </tbody>
</table>
<p>Two new warships offer less mobility but vastly enhanced firepower.
</p>
<table>
  <tbody>
    <tr id="Submarine">
      <td><span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/5/5e/U.submarine.png"
 alt="image:u.submarine.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Submarine</b> cost:<b>50</b> M:<b>5</b> C:<b>8</b>
      <p>A:<b>15</b> D:<b>2</b> HP:<b>30</b> FP:<b>2</b>
      </p>
      </td>
    </tr>
  </tbody>
</table>
<p>The submarine compensates for its weak defense by stealth&nbsp; the
ship is invisible to any units or cities that are not immediately
adjacent. Unlike other ships it cannot attack land units, and can only
carry missiles.
</p>
<table>
  <tbody>
    <tr id="Marines">
      <td><span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/1/1c/U.marines.png"
 alt="image:u.marines.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Marines</b> cost:<b>60</b> M:<b>1</b>
      <p>A:<b>8</b> D:<b>5</b> HP:<b>20</b> FP:<b>1</b>
      </p>
      </td>
    </tr>
  </tbody>
</table>
<p>Not only are marines powerful troops, but they are the only land
units that can attack directly from ships (instead of having to move
onto land first).
</p>
<table>
  <tbody>
    <tr id="Partisan">
      <td><span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/7/76/U.partisan.png"
 alt="image:u.partisan.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Partisan</b> cost:<b>50</b> M:<b>1</b>
      <p>A:<b>4</b> D:<b>4</b> HP:<b>20</b> FP:<b>1</b>
      </p>
      <p><i>Obsoletes Explorer</i>
      </p>
      </td>
    </tr>
  </tbody>
</table>
<p>The partisan behaves like an armed explorer, treating all terrain as
roads and thus requiring only one-third movement point to move one
square. Some cities will generate them when conquered (see details page).
</p>
<table>
  <tbody>
    <tr id="Artillery">
      <td><span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/a/a9/U.artillery.png"
 alt="image:u.artillery.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Artillery</b> cost:<b>50</b> M:<b>1</b>
      <p>A:<b>10</b> D:<b>1</b> HP:<b>20</b> FP:<b>2</b>
      </p>
      <p><i>Obsoletes Cannon</i>
      </p>
      </td>
    </tr>
  </tbody>
</table>
<p>Bombardment continues its steady advance.
</p>
<table>
  <tbody>
    <tr id="Fighter">
      <td><span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/3/32/U.fighter.png"
 alt="image:u.fighter.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Fighter</b> cost:<b>60</b> M:<b>10</b>
      <p>A:<b>4</b> D:<b>3</b> HP:<b>20</b> FP:<b>2</b>
      </p>
      </td>
    </tr>
  </tbody>
</table>
<p>With flight, combat takes to the air. While aircraft can attack
ground units, they can themselves be engaged only by other aircraft,
and cannot enter and take undefended enemy cities. Fighters need fuel
to avoid crashing and thus must end every turn in a city, on a carrier
or an airbase.
</p>
<a id="High_Technology" name="High_Technology" rel="nofollow"></a>
<h3><span class="editsection"><a id="High_Technology"
 name="High_Technology" rel="nofollow"></a></span><span
 class="mw-headline">High Technology</span></h3>
<table>
  <tbody>
    <tr id="AEGIS_Cruiser">
      <td><span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/f/ff/U.aegis_cruiser.png"
 alt="image:u.aegis_cruiser.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>AEGIS Cruiser</b> cost:<b>100</b> M:<b>5</b>
      <p>A:<b>8</b> D:<b>8</b> HP:<b>30</b> FP:<b>2</b>
      </p>
      <p><i>Obsoletes Cruiser</i>
      </p>
      </td>
    </tr>
    <tr id="Carrier">
      <td><span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/c/c1/U.carrier.png"
 alt="image:u.carrier.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Carrier</b> cost:<b>160</b> M:<b>5</b> C:<b>8</b>
      <p>A:<b>1</b> D:<b>9</b> HP:<b>40</b> FP:<b>2</b>
      </p>
      </td>
    </tr>
  </tbody>
</table>
<p>The defense strength of the AEGIS cruiser is multiplied by 5 when
attacked by an aircraft (including helicopters) or missile. While
transports can carry only land units, the carrier may bear only
aircraft (including helicopters).
</p>
<table>
  <tbody>
    <tr id="Armor">
      <td><span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/5/57/U.armor.png"
 alt="image:u.armor.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Armor</b> cost:<b>80</b> M:<b>3</b>
      <p>A:<b>10</b> D:<b>5</b> HP:<b>30</b> FP:<b>1</b>
      </p>
      <p><i>Obsoletes Cavalry</i>
      </p>
      </td>
    </tr>
    <tr id="Mech._Inf.">
      <td><span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/0/0f/U.mech_inf.png"
 alt="image:u.mech_inf.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Mech. Inf.</b> cost:<b>50</b> M:<b>3</b>
      <p>A:<b>6</b> D:<b>6</b> HP:<b>30</b> FP:<b>1</b>
      </p>
      </td>
    </tr>
    <tr id="Howitzer">
      <td><span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/7/72/U.howitzer.png"
 alt="image:u.howitzer.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Howitzer</b> cost:<b>70</b> M:<b>2</b>
      <p>A:<b>12</b> D:<b>2</b> HP:<b>30</b> FP:<b>2</b>
      </p>
      <p><i>Obsoletes Artillery</i>
      </p>
      </td>
    </tr>
    <tr>
      <td><span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/a/a2/U.paratroopers.png"
 alt="Image:u.paratroopers.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Paratroopers</b> cost:<b>60</b> M:<b>1</b>
      <p>A:<b>6</b> D:<b>4</b> HP:<b>20</b> FP:<b>1</b>
      </p>
      </td>
    </tr>
  </tbody>
</table>
<p>The final generation of ground forces offers the familiar choice
between heavy attack strength and defense capability. When attacking
units within cities, the howitzer negates any defense advantage that
would be offered by city walls. Paratroopers can be paradropped from
friendly cities or airbases, allowing long range actions; they have a
range of 10 squares, and may move immediately after being paradropped.
</p>
<table>
  <tbody>
    <tr id="Helicopter">
      <td><span class="image"><img
 src="http://images4.wikia.nocookie.net/freeciv/images/b/bd/U.helicopter.png"
 alt="image:u.helicopter.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Helicopter</b> cost:<b>100</b> M:<b>6</b>
      <p>A:<b>10</b> D:<b>3</b> HP:<b>20</b> FP:<b>2</b>
      </p>
      </td>
    </tr>
  </tbody>
</table>
<p>Unlike other airborne units, the helicopter can conquer an
undefended enemy city like a land unit. Like bombers they expend all
their remaining movement points when they attack an enemy target.
Though they do not crash for ending their turn outside a friendly city
or airbase, it does cause two hit points of damage, and they can be
attacked by ground units.
</p>
<table>
  <tbody>
    <tr id="Bomber">
      <td><span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/e/e7/U.bomber.png"
 alt="image:u.bomber.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Bomber</b> cost:<b>120</b> M:<b>8</b>
      <p>A:<b>12</b> D:<b>1</b> HP:<b>20</b> FP:<b>2</b>
      </p>
      </td>
    </tr>
    <tr id="AWACS">
      <td><span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/4/4e/U.awacs.png"
 alt="Image:u.awacs.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>AWACS</b> cost:<b>140</b> M:<b>16</b>
      <p>A:<b>0</b> D:<b>1</b> HP:<b>20</b> FP:<b>1</b>
      </p>
      </td>
    </tr>
  </tbody>
</table>
<p>Bombers can end one turn aloft before returning to a city, carrier,
or airbase to refuel. They can make only one attack each turn which
expends all their remaining movement points, stranding them until their
next turn when to survive they must return to refuel. AWACS offers
greatly enlarged vision.
</p>
<table>
  <tbody>
    <tr id="Nuclear">
      <td><span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/f/f8/U.nuclear.png"
 alt="image:u.nuclear.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Nuclear</b> cost:<b>160</b> M:<b>16</b>
      <p>A:<b>99</b> D:<b>0</b> HP:<b>10</b> FP:<b>1</b>
      </p>
      </td>
    </tr>
    <tr id="Cruise_Missile">
      <td><span class="image"><img
 src="http://images1.wikia.nocookie.net/freeciv/images/8/8e/U.cruise_missile.png"
 alt="image:u.cruise_missile.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Cruise Missile</b> cost:<b>60</b> M:<b>12</b>
      <p>A:<b>18</b> D:<b>0</b> HP:<b>10</b> FP:<b>3</b>
      </p>
      </td>
    </tr>
  </tbody>
</table>
<p>To survive, missiles must end each turn in a city or upon a carrier,
submarine or airbase. They are always destroyed when they finally
attack. The effects of a nuclear missile are described here. (Beware of
nuclear winter when using nukes.)
</p>
<a id="The_Space_Age" name="The_Space_Age" rel="nofollow"></a>
<h3><span class="editsection"><a id="The_Space_Age" name="The_Space_Age"
 rel="nofollow"></a></span><span class="mw-headline">The Space Age</span></h3>
<table>
  <tbody>
    <tr id="Stealth_Bomber">
      <td><span class="image"><img
 src="http://images3.wikia.nocookie.net/freeciv/images/6/61/U.stealth_bomber.png"
 alt="image:u.stealth_bomber.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Stealth Bomber</b> cost:<b>160</b> M:<b>12</b>
      <p>A:<b>18</b> D:<b>5</b> HP:<b>20</b> FP:<b>2</b>
      </p>
      <p><i>Obsoletes Bomber</i>
      </p>
      </td>
    </tr>
    <tr id="Stealth_Fighter">
      <td><span class="image"><img
 src="http://images2.wikia.nocookie.net/freeciv/images/b/be/U.stealth_fighter.png"
 alt="image:u.stealth_fighter.png" border="0" height="48" width="64"></span>
      </td>
      <td><b>Stealth Fighter</b> cost:<b>80</b> M:<b>14</b>
      <p>A:<b>8</b> D:<b>4</b> HP:<b>20</b> FP:<b>2</b>
      </p>
      <p><i>Obsoletes Fighter</i>
      </p>
      </td>
    </tr>
  </tbody>
</table>
<p>The final military advances produce stealth aircraft. They offer
greater strength and longer range than the aircraft they replace, and
are invisible to enemy units and cities except when in an adjacent
square.
</p>
</div>
</div>
</body>
</html>
