var freeciv_wiki_docs = {"Great Library": {"summary": "The Royal Library of Alexandria, or Ancient Library of Alexandria, in Alexandria, Egypt, was one of the largest and most significant libraries of the ancient world. It was dedicated to the Muses, the nine goddesses of the arts. It flourished under the patronage of the Ptolemaic dynasty and functioned as a major center of scholarship from its construction in the 3rd century BC until the Roman conquest of Egypt in 30 BC. With collections of works, lecture halls, meeting rooms, and gardens, the library was part of a larger research institution called the Musaeum of Alexandria, where many of the most famous thinkers of the ancient world studied.\nThe library was created by Ptolemy I Soter, who was a Macedonian general and the successor of Alexander the Great. As a symbol of the wealth and power of Egypt, it employed many scribes to steal books from around the known world, copy them, and never return them. Most of the books were kept as papyrus scrolls, and though it is unknown how many such scrolls were housed at any given time, their combined value was incalculable.\nThe library is famous for having been burned resulting in the loss of many scrolls and books, and has become a symbol of the destruction of cultural knowledge. A few sources differ on who is responsible for the destruction and when it occurred. Although there is a mythology of the burning of the Library at Alexandria, the library may have suffered several fires or acts of destruction over many years. Possible occasions for the partial or complete destruction of the Library of Alexandria include a fire set by Julius Caesar in 48 BC, an attack by Aurelian in the 270s AD, the decree of Coptic Pope Theophilus in 391 AD, and the decree of the second caliph Omar ibn Al-khatt\u0101b in 640 AD.\nAfter the main library was fully destroyed, ancient scholars used a \"daughter library\" in a temple known as the Serapeum, located in another part of the city. According to Socrates of Constantinople, Coptic Pope Theophilus destroyed the Serapeum in 391 AD.", "title": "Library of Alexandria", "image": "http://upload.wikimedia.org/wikipedia/commons/8/8b/Alexandria_Library_Inscription.jpg"}, "Granary": {"summary": "A granary is a storehouse or room in a barn for threshed grain or animal feed. Ancient or primitive granaries are most often made out of pottery. Granaries are often built above the ground to keep the stored food away from mice and other animals.", "title": "Granary", "image": "http://upload.wikimedia.org/wikipedia/commons/3/3f/Leuit_os_080815-2283_srna.jpg"}, "Spy": {"summary": "Espionage or spying involves a government or individual obtaining information considered secret or confidential without the permission of the holder of the information. Espionage is inherently clandestine, as it is taken for granted that it is unwelcome and in many cases illegal and punishable by law. It is a subset of \"intelligence gathering\", which otherwise may be conducted from public sources and using perfectly legal and ethical means. It is crucial to distinguish espionage from \"intelligence\" gathering, as the latter does not necessarily involve espionage, but often collates open-source information.\nEspionage is often part of an institutional effort by a government or commercial concern. However, the term is generally associated with state spying on potential or actual enemies primarily for military purposes. Spying involving corporations is known as industrial espionage.\nOne of the most effective ways to gather data and information about the enemy (or potential enemy) is by infiltrating the enemy's ranks. This is the job of the spy (espionage agent). Spies can bring back all sorts of information concerning the size and strength of an enemy army. They can also find dissidents within the enemy's forces and influence them to defect. In times of crisis, spies can also be used to steal technology and to sabotage the enemy in various ways. Counterintelligence operatives can feed false information to enemy spies, protecting important domestic secrets, and preventing attempts at subversion. Nearly every country has very strict laws concerning espionage, and the penalty for being caught is often severe. However, the benefits that can be gained through espionage are generally great enough that most governments and many large corporations make use of it to varying degrees.\nFurther information on clandestine HUMINT (human intelligence) information collection techniques is available, including discussions of operational techniques, asset recruiting, and the tradecraft used to collect this information.", "title": "Espionage", "image": "http://upload.wikimedia.org/wikipedia/commons/a/ad/INF3-267_Anti-rumour_and_careless_talk_German_Intelligence_Officer.jpg"}, "Space Structural": {"summary": "A spacecraft is a vehicle, vessel or machine designed to fly in outer space. Spacecraft are used for a variety of purposes, including communications, earth observation, meteorology, navigation, planetary exploration and transportation of humans and cargo.\nOn a sub-orbital spaceflight, a spacecraft enters space and then returns to the surface, without having gone into an orbit. For orbital spaceflights, spacecraft enter closed orbits around the Earth or around other celestial bodies. Spacecraft used for human spaceflight carry people on board as crew or passengers from start or on orbit (space stations) only, while those used for robotic space missions operate either autonomously or telerobotically. Robotic spacecraft used to support scientific research are space probes. Robotic spacecraft that remain in orbit around a planetary body are artificial satellites. Only a handful of interstellar probes, such as Pioneer 10 and 11, Voyager 1 and 2, and New Horizons, are currently on trajectories that leave our Solar System.\nOrbital spacecraft may be recoverable or not. By method of reentry to Earth they may be divided in non-winged space capsules and winged spaceplanes.\nCurrently, humanity has achieved space flight but only twenty-four nations actually have spacefaring technology: Russia (Roscosmos, the Russian Space Forces), the United States (NASA, the US Air Force, and several commercial aerospace companies), the member states of the European Space Agency, the People's Republic of China (China National Space Administration), Japan (Japan Aerospace Exploration Agency), and India (Indian Space Research Organisation).", "title": "Spacecraft", "image": "http://upload.wikimedia.org/wikipedia/commons/e/e5/Sputnik-1.jpg"}, "Literacy": {"summary": "Literacy is the ability to read and write. The inability to do so is called illiteracy or analphabetism. Visual literacy also includes the ability to understand visual forms of communication such as body language, pictures, maps, and video. Evolving definitions of literacy often include all the symbol systems relevant to a particular community. Literacy encompasses a complex set of abilities to understand and use the dominant symbol systems of a culture for personal and community development. In a technological society, the concept of literacy is expanding to include the media and electronic text, in addition to alphabetic and number systems. These abilities vary in different social and cultural contexts according to need, demand and education.\nThe primary sense of literacy still represents the lifelong, intellectual process of gaining meaning from a critical interpretation of the written or printed text. The key to all literacy is reading development, a progression of skills that begins with the ability to understand spoken words and decode written words, and culminates in the deep understanding of text. Reading development involves a range of complex language underpinnings including awareness of speech sounds (phonology), spelling patterns (orthography), word meaning (semantics), grammar (syntax) and patterns of word formation (morphology), all of which provide a necessary platform for reading fluency and comprehension. Once these skills are acquired, the reader can attain full language literacy, which includes the abilities to approach printed material with critical analysis, inference and synthesis; to write with accuracy and coherence; and to use information and insights from text as the basis for informed decisions and creative thought.\nThe United Nations Educational, Scientific and Cultural Organization (UNESCO) defines literacy as the \"ability to identify, understand, interpret, create, communicate and compute, using printed and written materials associated with varying contexts. Literacy involves a continuum of learning in enabling individuals to achieve their goals, to develop their knowledge and potential, and to participate fully in their community and wider society\".", "title": "Literacy", "image": null}, "Radio": {"summary": "Radio is the radiation (wireless transmission) of electromagnetic signals through the atmosphere or free space.\nInformation, such as sound, is carried by systematically changing (modulating) some property of the radiated waves, such as their amplitude, frequency, phase, or pulse width. When radio waves strike an electrical conductor, the oscillating fields induce an alternating current in the conductor. The information in the waves can be extracted and transformed back into its original form.", "title": "Radio", "image": "http://upload.wikimedia.org/wikipedia/commons/4/46/Signal_processing_system.png"}, "Pikemen": {"summary": "A pike is a pole weapon, a very long thrusting spear formerly used extensively by infantry. Unlike many similar weapons, the pike is not intended to be thrown. Pikes were used regularly in European warfare from the early Middle Ages until around 1700, and wielded by foot soldiers deployed in close order. The pike found extensive use with Landsknecht armies and Swiss mercenaries, who employed it as their main weapon and used it in pike square formations. A similar weapon, the sarissa, was also used by Alexander the Great's Macedonian phalanx infantry to great effect. Generally, a spear becomes a pike when it is long enough that it cannot be wielded with one hand in combat.", "title": "Pike (weapon)", "image": "http://upload.wikimedia.org/wikipedia/commons/b/b5/Makedonische_phalanx.png"}, "Engineers": {"summary": "An engineer is a professional practitioner of engineering, concerned with applying scientific knowledge, mathematics, and ingenuity to develop solutions for technical, societal and commercial problems. Engineers design materials, structures, and systems while considering the limitations imposed by practicality, regulation, safety, and cost. The word engineer is derived from the Latin roots ingeniare (\"to contrive, devise\") and ingenium (\"cleverness\").\nThe work of engineers forms the link between scientific discoveries and their subsequent applications to human needs and quality of life.\nThis word has a specific and larger meaning in French Higher Education. See subsection.", "title": "Engineer", "image": "http://upload.wikimedia.org/wikipedia/commons/9/9f/Challenger_explosion.jpg"}, "Plastics": {"summary": "A plastic material is any of a wide range of synthetic or semi-synthetic organic solids that are moldable. Plastics are typically organic polymers of high molecular mass, but they often contain other substances. They are usually synthetic, most commonly derived from petrochemicals, but many are partially natural.\n\n", "title": "Plastic", "image": "http://upload.wikimedia.org/wikipedia/commons/7/7a/Styrene_polymerization.png"}, "Power Plant": {"summary": "A power station (also referred to as a generating station, power plant, powerhouse or generating plant) is an industrial facility for the generation of electric power. At the center of nearly all power stations is a generator, a rotating machine that converts mechanical power into electrical power by creating relative motion between a magnetic field and a conductor. The energy source harnessed to turn the generator varies widely. It depends chiefly on which fuels are easily available, cheap enough and on the types of technology that the power company has access to. Most power stations in the world burn fossil fuels such as coal, oil, and natural gas to generate electricity, and some use nuclear power, but there is an increasing use of cleaner renewable sources such as solar, wind, wave and hydroelectric.", "title": "Power station", "image": "http://upload.wikimedia.org/wikipedia/commons/6/61/RatcliffePowerPlantBlackAndWhite.jpg"}, "Factory": {"summary": "A factory (previously manufactory) or manufacturing plant is an industrial site, usually consisting of buildings and machinery, or more commonly a complex having several buildings, where workers manufacture goods or operate machines processing one product into another.\nFactories arose with the introduction of machinery during the Industrial Revolution when the capital and space requirements became too great for cottage industry or workshops. Early factories that contained small amounts of machinery, such as one or two spinning mules, and fewer than a dozen workers have been called \"glorified workshops\".\nMost modern factories have large warehouses or warehouse-like facilities that contain heavy equipment used for assembly line production. Large factories tend to be located with access to multiple modes of transportation, with some having rail, highway and water loading and unloading facilities.\nFactories may either make discrete products or some type of material continuously produced such as chemicals, pulp and paper, or refined oil products. Factories manufacturing chemicals are often called plants and may have most of their equipment \u2013 tanks, pressure vessels, chemical reactors, pumps and piping \u2013 outdoors and operated from control rooms. Oil refineries have most of their equipment outdoors.\nDiscrete products may be final consumer goods, or parts and sub-assemblies which are made into final products elsewhere. Factories may be supplied parts from elsewhere or make them from raw materials. Continuous production industries typically use heat or electricity to transform streams of raw materials into finished products.\nThe term mill originally referred to the milling of grain, which usually used natural resources such as water or wind power until those were displaced by steam power in the 19th century. Because many processes like spinning and weaving, iron rolling, and paper manufacturing were originally powered by water, the term survives as in steel mill, paper mill, etc.", "title": "Factory", "image": "http://upload.wikimedia.org/wikipedia/commons/2/2e/View_of_the_entrance_to_the_Arsenal_by_Canaletto%2C_1732.jpg"}, "Feudalism": {"summary": "Feudalism was a set of legal and military customs in medieval Europe that flourished between the 9th and 15th centuries. Broadly defined, it was a system for structuring society around relationships derived from the holding of land in exchange for service or labour.\nAlthough derived from the Latin word feodum or feudum (fief), then in use, the term feudalism and the system it describes were not conceived of as a formal political system by the people living in the medieval period. In its classic definition, by Fran\u00e7ois-Louis Ganshof (1944), feudalism describes a set of reciprocal legal and military obligations among the warrior nobility, revolving around the three key concepts of lords, vassals and fiefs.\nThere is also a broader definition, as described by Marc Bloch (1939), that includes not only warrior nobility but all three estates of the realm: the nobility, the clerics and the peasantry bonds of manorialism; this is sometimes referred to as a \"feudal society\". Since the publication of Elizabeth A. R. Brown's \"The Tyranny of a Construct\" (1974) and Susan Reynolds' Fiefs and Vassals (1994), there has been ongoing inconclusive discussion among medieval historians as to whether feudalism is a useful construct for understanding medieval society. Abels notes that, \"Western Civilization and World Civilization textbooks now shy away from the term 'feudalism'.\"\n\n", "title": "Feudalism", "image": "http://upload.wikimedia.org/wikipedia/commons/7/74/Hommage_du_comt%C3%A9_de_Clermont-en-Beauvaisis.png"}, "Barbarian Leader": {"summary": "The Roman Senate was a political institution in ancient Rome. It was one of the most enduring institutions in Roman history, being founded in the first days of the city (traditionally founded in 753 BC). It survived the overthrow of the kings in 509 BC, the fall of the Roman Republic in the 1st century BC, the split of the Roman Empire in 395 AD, the fall of the Western Roman Empire in 476 AD, and barbarian rule of Rome in the 5th, 6th, and 7th centuries. The Senate of the West Roman Empire continued to function until 603 AD.\nDuring the days of the kingdom, it was little more than an advisory council to the king. The last king of Rome, Lucius Tarquinius Superbus, was overthrown following a coup d'\u00e9tat led by Lucius Junius Brutus.\nDuring the early Republic, the Senate was politically weak, while the executive magistrates were quite powerful. Since the transition from monarchy to constitutional rule was probably gradual, it took several generations before the Senate was able to assert itself over the executive magistrates. By the middle Republic, the Senate reached the apex of its republican power. The late Republic saw a decline in the Senate's power, which began following the reforms of the tribunes Tiberius and Gaius Gracchus.\nAfter the transition of the Republic into the Principate, the Senate lost much of its political power as well as its prestige. Following the constitutional reforms of the Emperor Diocletian, the Senate became politically irrelevant, and never regained the power that it had once held. When the seat of government was transferred out of Rome, the Senate was reduced to a municipal body. This image was reinforced when the emperor Constantius II created an additional senate in Constantinople.\nAfter the Western Roman Empire fell in 476, the Senate in the west functioned for a time under barbarian rule before being restored after reconquest of much of the Western Roman Empire's territories during the reign of Justinian I, until it ultimately disappeared. However, the Eastern Senate survived in Constantinople, before the ancient institution finally vanished there too.", "title": "Roman Senate", "image": "http://upload.wikimedia.org/wikipedia/commons/5/56/Curia_Iulia.JPG"}, "Masonry": {"summary": "Masonry is the building of structures from individual units laid in and bound together by mortar; the term masonry can also refer to the units themselves. The common materials of masonry construction are brick, stone, marble, granite, travertine, limestone, cast stone, concrete block, glass block, stucco, tile, and cob. Masonry is generally a highly durable form of construction. However, the materials used, the quality of the mortar and workmanship, and the pattern in which the units are assembled can significantly affect the durability of the overall masonry construction.", "title": "Masonry", "image": "http://upload.wikimedia.org/wikipedia/commons/8/83/CMUs.jpg"}, "Cruise Missile": {"summary": "A cruise missile is a guided missile, the major portion of whose flight path to its target (a land-based or sea-based target) is conducted at approximately constant velocity; that relies on the dynamic reaction of air for lift, and upon propulsion forces to balance drag. Cruise missiles are designed to deliver a large warhead over long distances with high accuracy. Modern cruise missiles can travel at supersonic or high subsonic speeds, are self-navigating, and can fly on a non-ballistic, extremely low altitude trajectory. They are distinct from unmanned aerial vehicles (UAV) in that they are used only as weapons and not for reconnaissance. In a cruise missile, the warhead is integrated into the vehicle and the vehicle is always sacrificed in the mission.\nCruise missile designs fundamentally derive from the German V-1 of World War II. Advances in transistor and computer technology have contributed to self-correcting avionic and aeronautical designs that allow missiles to be guided in flight, as opposed to only at launch. These advances developed into guided missiles and guided bombs, and later into the modern cruise missile.\nIn 2011, it was estimated that a single Tomahawk cruise missile costs US$1,410,000.\n\n", "title": "Cruise missile", "image": "http://upload.wikimedia.org/wikipedia/commons/5/5c/ALCMCruiseMissile.JPG"}, "Ceremonial Burial": {"summary": "Burial or interment is the ritual act of placing a dead person or animal, and/or objects into the ground. This is accomplished by excavating a pit or trench, placing the deceased or the object(s) in it, and covering it over.", "title": "Burial", "image": "http://upload.wikimedia.org/wikipedia/commons/8/85/Desert_Cemetery_Merzouga.jpg"}, "Transport": {"summary": "Transport or transportation is the movement of people, animals and goods from one location to another. Modes of transport include air, rail, road, water, cable, pipeline and space. The field can be divided into infrastructure, vehicles and operations. Transport is important because it enables trade between people, which is essential for the development of civilizations.\nTransport infrastructure consists of the fixed installations including roads, railways, airways, waterways, canals and pipelines and terminals such as airports, railway stations, bus stations, warehouses, trucking terminals, refueling depots (including fueling docks and fuel stations) and seaports. Terminals may be used both for interchange of passengers and cargo and for maintenance.\nVehicles traveling on these networks may include automobiles, bicycles, buses, trains, trucks, people, helicopters, watercraft, spacecraft and aircraft. Operations deal with the way the vehicles are operated, and the procedures set for this purpose including financing, legalities and policies. In the transport industry, operations and ownership of infrastructure can be either public or private, depending on the country and mode.\nPassenger transport may be public, where operators provide scheduled services, or private. Freight transport has become focused on containerization, although bulk transport is used for large volumes of durable items. Transport plays an important part in economic growth and globalization, but most types cause air pollution and use large amounts of land. While it is heavily subsidized by governments, good planning of transport is essential to make traffic flow and restrain urban sprawl.", "title": "Transport", "image": "http://upload.wikimedia.org/wikipedia/commons/a/a3/Nuvola_apps_ksysv.png"}, "Barracks III": {"summary": "Barracks were originally a temporary shelter or hut but are now better known as specialized buildings for permanent military accommodation; the word may apply to separate housing blocks or to complete complexes. Their main object is to separate soldiers from the civilian population and reinforce discipline, training and esprit de corps. They were sometimes called discipline factories for soldiers. Like industrial factories, some are considered to be shoddy or dull buildings, although others are known for their magnificent architecture such as Collins Barracks in Dublin and others in Paris, Berlin, Madrid, Vienna or London.", "title": "Barracks", "image": "http://upload.wikimedia.org/wikipedia/commons/3/3f/Barracks-sweden.jpg"}, "Marketplace": {"summary": "A market, or marketplace, is a regular gathering of people for the purchase and sale of provisions, livestock, and other goods. In different parts of the world they may be referred to as a souk (from the Arabic), bazaar (from the Persian), a fixed mercado (Spanish) or itinerant tianguis (Mexico), or palengke (Philippines).", "title": "Market (place)", "image": "http://upload.wikimedia.org/wikipedia/commons/8/81/Pike-place-market.jpg"}, "Machine Tools": {"summary": "A machine tool is a machine for shaping or machining metal or other rigid materials, usually by cutting, boring, grinding, shearing, or other forms of deformation. Machine tools employ some sort of tool that does the cutting or shaping. All machine tools have some means of constraining the workpiece and provide a guided movement of the parts of the machine. Thus the relative movement between the workpiece and the cutting tool (which is called the toolpath) is controlled or constrained by the machine to at least some extent, rather than being entirely \"offhand\" or \"freehand\".\nThe precise definition of the term machine tool varies among users, as discussed below. While all machine tools are \"machines that help people to make things\", although not all factory machines are machine tools.\nToday machine tools are typically powered other than by human muscle (e.g., electrically, hydraulically, or via line shaft), used to make manufactured parts (components) in various ways that include cutting or certain other kinds of deformation.\nWith their inherent precision, machine tools enabled the economical production of interchangeable parts.", "title": "Machine tool", "image": "http://upload.wikimedia.org/wikipedia/commons/c/c5/Conventional-lathe.jpg"}, "Cannon": {"summary": "A cannon is any piece of artillery that uses gunpowder or other usually explosive-based propellants to launch a projectile. Cannon vary in caliber, range, mobility, rate of fire, angle of fire, and firepower; different forms of cannon combine and balance these attributes in varying degrees, depending on their intended use on the battlefield. The word cannon is derived from several languages, in which the original definition can usually be translated as tube, cane, or reed. In the modern era, the term cannon has fallen into decline, replaced by \"guns\" or \"artillery\" if not a more specific term such as \"mortar\" or \"howitzer\", except for in the field of aerial warfare, where it is usually shorthand for autocannon.\nFirst invented in China, cannon were among the earliest forms of gunpowder artillery, and over time replaced siege engines\u2014among other forms of ageing weaponry\u2014on the battlefield. In the Middle East, the first use of the hand cannon is argued to be during the 1260 Battle of Ain Jalut between the Mamluks and Mongols. The first cannon in Europe were probably used in Iberia in the 11th and 12th centuries. On the African continent, the cannon was first used by the Somali Imam Ahmad ibn Ibrihim al-Ghazi of the Adal Sultanate in his conquest of the steppes of Ugaden in 1529. It was during this period, the Middle Ages, that cannon became standardized, and more effective in both the anti-infantry and siege roles. After the Middle Ages most large cannon were abandoned in favour of greater numbers of lighter, more manoeuvrable pieces. In addition, new technologies and tactics were developed, making most defences obsolete; this led to the construction of star forts, specifically designed to withstand artillery bombardment though these too (along with the Martello Tower) would find themselves rendered obsolete when explosive and armour piercing rounds made even these types of fortifications vulnerable.\nCannon also transformed naval warfare in the early modern period, as European navies took advantage of their firepower. As rifling became commonplace, the accuracy and destructive power of cannon was significantly increased, and they became deadlier than ever, both to infantry who belatedly had to adopt different tactics, and to ships, which had to be armoured. In World War I, the majority of combat fatalities were caused by artillery; they were also used widely in World War II. Most modern cannon are similar to those used in the Second World War, although the importance of the larger calibre weapons has declined with the development of missiles.", "title": "Cannon", "image": "http://upload.wikimedia.org/wikipedia/commons/3/3a/GSh-23_on_MiG-23.jpg"}, "Colossus": {"summary": "The Colossus of Rhodes (Ancient Greek: \u1f49 \u039a\u03bf\u03bb\u03bf\u03c3\u03c3\u1f78\u03c2 \u1fec\u03cc\u03b4\u03b9\u03bf\u03c2 Ho Koloss\u00f2s Rh\u00f3dios) was a statue of the Greek god Helios, erected in the city of Rhodes, on the Greek island of the same name, by Chares of Lindos in 280 BC. It is considered one of the Seven Wonders of the Ancient World. It was constructed to celebrate Rhodes' victory over the ruler of Cyprus, Antigonus I Monophthalmus, whose son unsuccessfully besieged Rhodes in 305 BC. Before its destruction in the earthquake of 226 BC, the Colossus of Rhodes stood over 30 meters (98 feet) high, making it one of the tallest statues of the ancient world.", "title": "Colossus of Rhodes", "image": "http://upload.wikimedia.org/wikipedia/commons/f/f7/Rhodes0211.jpg"}, "The Corporation": {"summary": "A corporation is a separate legal entity that has been incorporated either directly through legislation or through a registration process established by law. Incorporated entities have legal rights and liabilities that are distinct from their employees and shareholders, and may conduct business as either a profit-seeking business or not-for-profit business. Early incorporated entities were established by charter (i.e. by an ad hoc act granted by a monarch or passed by a parliament or legislature). Most jurisdictions now allow the creation of new corporations through registration. Registered corporations have legal personality and are owned by shareholders whose liability is limited to their investment. Shareholders do not typically actively manage a corporation; shareholders instead elect or appoint a board of directors to control the corporation in a fiduciary capacity.\nIn American English the word corporation is widely used to describe large business corporations. In British English and in the commonwealth countries, the term company is more widely used to describe the same sort of entity while the word corporation encompasses all incorporated entities. In American English, the word company can include entities such as partnerships that would not be referred to as companies in British English as they are not a separate legal entity.\nDespite not being human beings, corporations, as far as the law is concerned, are legal persons, and have many of the same rights and responsibilities as natural people do. Corporations can exercise human rights against real individuals and the state, and they can themselves be responsible for human rights violations. Corporations can be \"dissolved\" either by statutory operation, order of court, or voluntary action on the part of shareholders. Insolvency may result in a form of corporate failure, when creditors force the liquidation and dissolution of the corporation under court order, but it most often results in a restructuring of corporate holdings. Corporations can even be convicted of criminal offenses, such as fraud and manslaughter. However corporations are not considered living entities in the way that humans are.", "title": "Corporation", "image": "http://upload.wikimedia.org/wikipedia/commons/3/31/New_McDonald%27s_restaurant_in_Mount_Pleasant%2C_Iowa.jpg"}, "Iron Working": {"summary": "Ferrous metallurgy involves processes and alloys based on iron. It began far back in prehistory. The earliest surviving iron artifacts, from the 4th millennium BC in Egypt, were made from meteoritic iron-nickel. By the end of the 2nd millennium BC iron was being produced from iron ores from South of the Saharan Africa to China. The use of wrought iron was known in the 1st millennium BC. During the medieval period, means were found in Europe of producing wrought iron from cast iron (in this context known as pig iron) using finery forges. For all these processes, charcoal was required as fuel.\nSteel (with a smaller carbon content than pig iron but more than wrought iron) was first produced in antiquity, and archaeological evidence of cast iron first appears in 5th century BC China. New methods of producing it by carburizing bars of iron in the cementation process were devised in the 17th century. In the Industrial Revolution, new methods of producing bar iron without charcoal were devised and these were later applied to produce steel. In the late 1850s, Henry Bessemer invented a new steelmaking process, involving blowing air through molten pig iron, to produce mild steel. This and other 19th century and later processes have led to wrought iron no longer being produced.\n\n", "title": "Ferrous metallurgy", "image": "http://upload.wikimedia.org/wikipedia/commons/7/7f/Chinese_Puddle_and_Blast_Furnace.jpg"}, "Miniaturization": {"summary": "Miniaturization (Br.Eng.: Miniaturisation) is the trend to manufacture ever smaller mechanical, optical and electronic products and devices. Examples include Miniaturization of mobile phones, computers and vehicle engine downsizing.\n\n", "title": "Miniaturization", "image": "http://upload.wikimedia.org/wikipedia/commons/3/36/4_iPod_Chargers.JPG"}, "Research Lab": {"summary": "Research comprises \"creative work undertaken on a systematic basis in order to increase the stock of knowledge, including knowledge of man, culture and society, and the use of this stock of knowledge to devise new applications.\" It is used to establish or confirm facts, reaffirm the results of previous work, solve new or existing problems, support theorems, or develop new theories. A research project may also be an expansion on past work in the field. To test the validity of instruments, procedures, or experiments, research may replicate elements of prior projects, or the project as a whole. The primary purposes of basic research (as opposed to applied research) are documentation, discovery, interpretation, or the research and development (R&D) of methods and systems for the advancement of human knowledge. Approaches to research depend on epistemologies, which vary considerably both within and between humanities and sciences. There are several forms of research: scientific, humanities, artistic, economic, social, business, marketing, practitioner research, etc.", "title": "Research", "image": "http://upload.wikimedia.org/wikipedia/commons/6/6c/Microscopy_lab.jpg"}, "Sanitation": {"summary": "Sanitation is the hygienic means of promoting health through prevention of human contact with the hazards of wastes as well as the treatment and proper disposal of sewage wastewater. Hazards can be either physical, microbiological, biological or chemical agents of disease. Wastes that can cause health problems include human and animal feces, solid wastes, domestic wastewater (sewage, sullage, greywater), industrial wastes and agricultural wastes. Hygienic means of prevention can be by using engineering solutions (e.g. sewage and wastewater treatment), simple technologies (e.g. latrines, septic tanks), or even by personal hygiene practices (e.g. simple handwashing with soap).\nThe World Health Organization states that:\n\n\"Sanitation generally refers to the provision of facilities and services for the safe disposal of human urine and feces. Inadequate sanitation is a major cause of disease world-wide and improving sanitation is known to have a significant beneficial impact on health both in households and across communities. The word 'sanitation' also refers to the maintenance of hygienic conditions, through services such as garbage collection and wastewater disposal.\n\nThe term sanitation is applied to a wide range of subjects such as:\nImproved sanitation - refers to the management of human faeces at the household level. This terminology is the indicator used to describe the target of the Millennium Development Goal on sanitation, by the WHO/UNICEF Joint Monitoring Programme for Water Supply and Sanitation.\nOn-site sanitation - the collection and treatment of waste is done where it is deposited. Examples are the use of pit latrines, septic tanks, and Imhoff tanks.\nFood sanitation - refers to the hygienic measures for ensuring food safety\nEnvironmental sanitation - the control of environmental factors that form links in disease transmission. Subsets of this category are solid waste management, water and wastewater treatment, industrial waste treatment and noise and pollution control.\nEcological sanitation - an approach that tries to emulate nature through the recycling of nutrients and water from human and animal wastes in a hygienically safe manner", "title": "Sanitation", "image": "http://upload.wikimedia.org/wikipedia/en/7/79/Israel_hiriya.jpg"}, "Settlers": {"summary": "A settler is a person who has migrated to an area and established permanent residence there, often to colonize the area. Settlers are generally from a sedentary culture, and will be opposed or compared to nomads who share and rotate their settlements with little or no concept of individual land ownership", "title": "Settler", "image": "http://upload.wikimedia.org/wikipedia/commons/2/25/Ingolf_by_Raadsig.jpg"}, "Polytheism": {"summary": "Polytheism is the worship of or belief in multiple deities usually assembled into a pantheon of gods and goddesses, along with their own religions and rituals.\nIt is a type of theism. Within theism, it contrasts with monotheism, the belief in a singular God. Polytheists do not always worship all the gods equally, but can be henotheists, specializing in the worship of one particular deity. Other polytheists can be kathenotheists, worshiping different deities at different times.\nPolytheism was the typical form of religion during the Bronze Age and Iron Age, up to the Axial Age and the gradual development of monotheism or pantheism, and atheism. It is well documented in historical religions of Classical antiquity, especially Greek polytheism and Roman polytheism, and after the decline of Greco-Roman polytheism in tribal religions such as Germanic paganism or Slavic mythology.\nThere are various polytheistic religions practiced today, for example Shintoism, Hellenismos, Kemetism, \u00c1satr\u00fa, Druidry, Taoism, Thelema, Wicca, Candomble, and Chinese folk religion. Hinduism is sometimes included in this listing; but despite the presence of polytheistic elements it also contains pantheistic and monotheistic ones as well and has been classed as a \"pantheism with polytheistic elements\"", "title": "Polytheism", "image": "http://upload.wikimedia.org/wikipedia/commons/4/41/Human_artifacts_at_CMNH_-_37.JPG"}, "Warriors": {"summary": "A warrior is a person specializing in combat or warfare, especially within the context of a tribal or clan-based society that recognizes a separate warrior class or caste.\n\n", "title": "Warrior", "image": "http://upload.wikimedia.org/wikipedia/commons/1/1e/Geronimo_17apr1886.jpg"}, "Stock Exchange": {"summary": "A stock exchange is a form of exchange which provides services for stock brokers and traders to trade stocks, bonds, and other securities. Stock exchanges also provide facilities for issue and redemption of securities and other financial instruments, and capital events including the payment of income and dividends. Securities traded on a stock exchange include stock issued by companies, unit trusts, derivatives, pooled investment products and bonds. Stock exchanges often function as \"continuous auction\" markets, with buyers and sellers consummating transactions at a central location, such as the floor of the exchange.\nTo be able to trade a security on a certain stock exchange, it must be listed there. Usually, there is a central location at least for record keeping, but trade is increasingly less linked to such a physical place, as modern markets are electronic networks, which gives them advantages of increased speed and reduced cost of transactions. Trade on an exchange is by members only.\nThe initial offering of stocks and bonds to investors is by definition done in the primary market and subsequent trading is done in the secondary market. A stock exchange is often the most important component of a stock market. Supply and demand in stock markets are driven by various factors that, as in all free markets, affect the price of stocks (see stock valuation).\nThere is usually no compulsion to issue stock via the stock exchange itself, nor must stock be subsequently traded on the exchange. Such trading is said to be off exchange or over-the-counter. This is the usual way that derivatives and bonds are traded. Increasingly, stock exchanges are part of a global market for securities.\nIn recent years, various other trading venues, such as electronic communications networks, alternative trading systems and \"dark pools\" have taken much of the trading activity away from traditional stock exchanges.\n\n", "title": "Stock exchange", "image": "http://upload.wikimedia.org/wikipedia/commons/4/48/Paternoster_Square.jpg"}, "Cathedral": {"summary": "A cathedral (French cath\u00e9drale from Latin. cathedra, \"seat\" from the Greek kathedra (\u03ba\u03b1\u03b8\u03ad\u03b4\u03c1\u03b1), seat, bench, from kata \"down\" + hedra seat, base, chair) is a Christian church which contains the seat of a bishop, thus serving as the central church of a diocese, conference, or episcopate. The counterpart term for such a church in German is Dom from Latin domus ecclesiae or domus episcopalis; also Italian Duomo, Dutch Domkerk and cognates in many other European languages. Churches with the function of \"cathedral\" are specific to those Christian denominations with an episcopal hierarchy, such as the Roman Catholic, Anglican, Orthodox, and some Lutheran and Methodist churches. Church buildings embodying the functions of a cathedral first appear in Italy, Gaul, Spain and North Africa in the 4th century, but cathedrals did not become universal within the Western Catholic Church until the 12th century, by which time they had developed architectural forms, institutional structures and legal identities distinct from parish churches, monastic churches and episcopal residences.\nIn respect of the church buildings in the Greek Orthodox Church and Russian Orthodox Church, the English word \"cathedral\" commonly translates Katholikon and Sobor respectively, both terms having a meaning of \"assembly\"; but this title is also applied to monastic and other major churches wthout episcopal responsibilities. When the church at which an archbishop or \"metropolitan\" presides is specifically intended, the term kathedrikos naos (literally: \"cathedral church\") is used.\nFollowing the Protestant Reformation, the Christian church in several parts of Western Europe, such as Scotland, the Netherlands, certain Swiss Cantons and parts of Germany, adopted a Presbyterian polity that did away with bishops altogether. Where ancient cathedral buildings in these lands are still in use for congregational worship, they generally retain the title and dignity of \"cathedral\", maintaining and developing distinct cathedral functions, but void of hierarchical supremacy. From the 16th century onwards, but especially since the 19th century, churches originating in Western Europe have undertaken vigorous programmes of missionary activity, leading to the founding of large numbers of new dioceses with associated cathedral establishments of varying forms in Asia, Africa, Australasia, Oceania and the Americas. In addition, both the Catholic Church and Orthodox churches have formed new dioceses within formerly Protestant lands for converts and migrant co-religionists. Consequently, it is not uncommon to find Christians in a single city being served by three or more cathedrals of differing denominations.\nWhere a parish church serves temporarily as the cathedral of a diocese, this is termed a Pro-cathedral. The cathedral church of an Archbishop or Metropolitan bishop is termed a Metropolitan cathedral.\nAs cathedrals are often particularly impressive edifices, the term \"cathedral\" is often applied colloquially to any large and impressive church, regardless of whether it functions as a cathedral, such as the Crystal Cathedral in California or the Arctic Cathedral in Troms\u00f8, Norway.", "title": "Cathedral", "image": "http://upload.wikimedia.org/wikipedia/commons/8/88/Nidarosdomen_east_2006.jpg"}, "Mech. Inf.": {"summary": "Mechanized infantry are infantry equipped with armored personnel carriers (APCs) or infantry fighting vehicles (IFVs) for transport and combat (see also mechanized force).\nMechanized infantry is distinguished from motorized infantry in that its vehicles provide a degree of protection from hostile fire, as opposed to \"soft-skinned\" wheeled vehicles (trucks or jeeps) for motorized infantry. Most APCs and IFVs are fully tracked, or are all-wheel drive vehicles (6\u00d76 or 8\u00d78), for mobility across rough ground. Some nations distinguish between mechanized and armored infantry, designating troops carried by APCs as mechanized and those in IFVs as armored.\nThe support weapons for mechanized infantry are also provided with motorized transport, or are built directly into combat vehicles, in order to keep pace with the mechanized infantry in combat. For units equipped with most types of APC or any type of IFV, fire support weapons, such as machine guns, autocannons, small-bore direct-fire howitzers, and even anti-tank guided missiles, are often mounted directly on the infantry's own transport vehicles.\nCompared with \"light\" truck-mobile infantry, mechanized infantry can maintain rapid tactical movement and (if mounted in IFVs) possess more integral firepower. They require more combat supplies (ammunition and especially fuel) and ordnance supplies (spare vehicle components), and a comparatively larger proportion of their manpower is required to crew and maintain the vehicles. For example, most APCs mount a section of seven or eight infantrymen, but have a crew of two. Most IFVs only carry six or seven infantry, but require a crew of three. To be effective in the field, mechanized units also require large numbers of mechanics with specialized maintenance and recovery vehicles and equipment. Light infantry are more effective when fighting from prepared defence positions, but are more vulnerable than mechanized infantry on the attack.\n\n", "title": "Mechanized infantry", "image": "http://upload.wikimedia.org/wikipedia/commons/c/cb/SdKfz_251_Ausf_D_1.jpg"}, "Marco Polo's Embassy": {"summary": "Arghun Khan aka Argon (Mongolian Cyrillic: \u0410\u0440\u0433\u0443\u043d \u0445\u0430\u043d) (c. 1258 \u2013 March 7, 1291) was the fourth ruler of the Mongol empire's Ilkhanate, from 1284 to 1291. He was the son of Abaqa Khan, and like his father, was a devout Buddhist (although pro-Christian). He was known for sending several embassies to Europe in an unsuccessful attempt to form a Franco-Mongol alliance against the Muslims in the Holy Land. It was also Arghun who requested a new bride from his great-uncle Kublai Khan. The mission to escort the young K\u00f6k\u00f6tchin across Asia to Arghun was reportedly taken by Marco Polo. Arghun died before K\u00f6k\u00f6tchin arrived, so she instead married Arghun's son, Ghazan.", "title": "Arghun", "image": "http://upload.wikimedia.org/wikipedia/commons/c/c3/VoyagesOfRabbanBarSauma.jpg"}, "Nuclear Power": {"summary": "Nuclear power, or nuclear energy, is the use of exothermic nuclear processes, to generate useful heat and electricity. The term includes nuclear fission, nuclear decay and nuclear fusion. Presently the nuclear fission of elements in the actinide series of the periodic table produce the vast majority of nuclear energy in the direct service of humankind, with nuclear decay processes, primarily in the form of geothermal energy, and radioisotope thermoelectric generators, in niche uses making up the rest. Nuclear (fission) power stations, excluding the contribution from naval nuclear fission reactors, provided about 5.7% of the world's energy and 13% of the world's electricity in 2012. In 2013, the IAEA report that there are 437 operational nuclear power reactors, in 31 countries, although not every reactor is producing electricity. In addition, there are approximately 140 naval vessels using nuclear propulsion in operation, powered by some 180 reactors. As of 2013, attaining a net energy gain from sustained nuclear fusion reactions, excluding natural fusion power sources such as the Sun, remains an ongoing area of international physics and engineering research. More than 60 years after the first attempts, commercial fusion power production remains unlikely before 2050.\nThere is an ongoing debate about nuclear power. Proponents, such as the World Nuclear Association, the IAEA and Environmentalists for Nuclear Energy contend that nuclear power is a safe, sustainable energy source that reduces carbon emissions. Opponents, such as Greenpeace International and NIRS, contend that nuclear power poses many threats to people and the environment.\nNuclear power plant accidents include the Chernobyl disaster (1986), Fukushima Daiichi nuclear disaster (2011), and the Three Mile Island accident (1979). There have also been some nuclear submarine accidents. In terms of lives lost per unit of energy generated, analysis has determined that nuclear power has caused less fatalities per unit of energy generated than the other major sources of energy generation. Energy production from coal, petroleum, natural gas and hydropower has caused a greater number of fatalities per unit of energy generated due to air pollution and energy accident effects. However, the economic costs of nuclear power accidents is high, and meltdowns can take decades to clean up. The human costs of evacuations of affected populations and lost livelihoods is also significant.\nAlong with other sustainable energy sources, nuclear power is a low carbon power generation method of producing electricity, with an analysis of the literature on its total life cycle emission intensity finding that it is similar to other renewable sources in a comparison of greenhouse gas(GHG) emissions per unit of energy generated. With this translating into, from the beginning of nuclear power station commercialization in the 1970s, having prevented the emission of approximately 64 gigatonnes of carbon dioxide equivalent(GtCO2-eq) greenhouse gases, gases that would have otherwise resulted from the burning of fossil fuels in thermal power stations.\nAs of 2012, according to the IAEA, worldwide there were 68 civil nuclear power reactors under construction in 15 countries, approximately 28 of which in the Peoples Republic of China (PRC), with the most recent nuclear power reactor, as of May 2013, to be connected to the electrical grid, occurring on February 17, 2013 in Hongyanhe Nuclear Power Plant in the PRC. In the USA, two new Generation III reactors are under construction at Vogtle. U.S. nuclear industry officials expect five new reactors to enter service by 2020, all at existing plants. In 2013, four aging, uncompetitive, reactors were permanently closed.\nJapan's 2011 Fukushima Daiichi nuclear disaster, which occurred in a reactor design from the 1960s, prompted a re-examination of nuclear safety and nuclear energy policy in many countries. Germany decided to close all its reactors by 2022, and Italy has banned nuclear power. Following Fukushima, in 2011 the International Energy Agency halved its estimate of additional nuclear generating capacity to be built by 2035.", "title": "Nuclear power", "image": "http://upload.wikimedia.org/wikipedia/commons/4/40/ANTIAKW.jpg"}, "Sun Tzu's War Academy": {"summary": "Sun Tzu (also rendered as Sun Zi) was a Chinese military general, strategist and philosopher who lived in the Spring and Autumn Period of ancient China. The name he is best known by is actually an honorific which means \"Master Sun\": His birth name was Sun Wu and he was known outside of his family by his courtesy name Changqing. He is traditionally credited as the author of The Art of War, an extremely influential ancient Chinese book on military strategy. Sun Tzu has had a significant impact on Chinese and Asian history and culture, both as the author of The Art of War and as a legendary historical figure.\nSun Tzu's historicity is uncertain. Sima Qian and other traditional historians placed him as a minister to King Hel\u00fc of Wu and dated his lifetime to 544\u2013496 BC. Modern scholars accepting his historicity nonetheless place the existing text of The Art of War in the later Warring States period based upon its style of composition and its descriptions of warfare. Traditional accounts state that the general's descendant Sun Bin also wrote a treatise on military tactics, also titled The Art of War. Since both Sun Wu and Sun Bin were referred to as Sun Tzu in classical Chinese texts, some historians believed them identical prior to the rediscovery of Sun Bin's treatise in 1972.\nSun Tzu's work has been praised and employed throughout East Asia since its composition. During the twentieth century, The Art of War grew in popularity and saw practical use in Western society as well. It continues to influence many competitive endeavors in Asia, Europe, and America including culture, politics, business, and sports, as well as modern warfare.", "title": "Sun Tzu", "image": "http://upload.wikimedia.org/wikipedia/commons/9/94/Bamboo_book_-_binding_-_UCR.jpg"}, "Democracy": {"summary": "Democracy is a form of government in which all eligible citizens participate equally\u2014either directly or indirectly through elected representatives\u2014in the proposal, development, and creation of laws. It encompasses social, religious, cultural, ethnic and racial equality, justice, and liberty. The term originates from the Greek \u03b4\u03b7\u03bc\u03bf\u03ba\u03c1\u03b1\u03c4\u03af\u03b1 (d\u0113mokrat\u00eda) \"rule of the people\", which was found from \u03b4\u1fc6\u03bc\u03bf\u03c2 (d\u00eamos) \"people\" and \u03ba\u03c1\u03ac\u03c4\u03bf\u03c2 (kratos) \"power\" or \"rule\" in the 5th century BCE to denote the political systems then existing in Greek city-states, notably Athens; the term is an antonym to \u1f00\u03c1\u03b9\u03c3\u03c4\u03bf\u03ba\u03c1\u03b1\u03c4\u03af\u03b1 (aristokratia) \"rule of an elite\". While theoretically these definitions are in opposition, in practice the distinction has been blurred historically. The political system of Classical Athens, for example, granted democratic citizenship to an elite class of free men and excluded slaves and women from political participation. In virtually all democratic governments throughout ancient and modern history, democratic citizenship consisted of an elite class until full enfranchisement was won for all adult citizens in most modern democracies through the suffrage movements of the 19th and 20th centuries. The English word dates to the 16th century, from the older Middle French and Middle Latin equivalents.\nDemocracy contrasts with forms of government where power is either held by an individual, as in an absolute monarchy, or where power is held by a small number of individuals, as in an oligarchy. Nevertheless, these oppositions, inherited from Greek philosophy, are now ambiguous because contemporary governments have mixed democratic, oligarchic, and monarchic elements. Karl Popper defined democracy in contrast to dictatorship or tyranny, thus focusing on opportunities for the people to control their leaders and to oust them without the need for a revolution.\nSeveral variants of democracy exist, but there are two basic forms, both of which concern how the whole body of all eligible citizens executes its will. One form of democracy is direct democracy, in which all eligible citizens have direct and active participation in the political decision making. In most modern democracies, the whole body of all eligible citizens remain the sovereign power but political power is exercised indirectly through elected representatives; this is called representative democracy or democratic republic. The concept of representative democracy arose largely from ideas and institutions that developed during the European Middle Ages, the Reformation, the Age of Enlightenment, and the American and French Revolutions.", "title": "Democracy", "image": "http://upload.wikimedia.org/wikipedia/commons/d/db/Suffrage_universel_1848.jpg"}, "Amphibious Warfare": {"summary": "Amphibious warfare is a type of offensive military operation that uses naval ships to project ground and air military power onto a hostile or potentially hostile shore. Through history the operations were conducted using ship's boats as the primary method of delivering troops to shore. Since the Gallipoli Campaign specialised watercraft were increasingly designed for landing troops, materiel and vehicles, including by landing craft and for insertion of commandos, by fast patrol boats, zodiacs (rigid inflatable boats) and from mini-submersibles.\nThe term amphibious first emerged in the USA during the 1930s after design of the Landing Vehicle Tracked where the first prototypes were named Alligator and Crocodile, though neither species are amphibian. Amphibious warfare includes operations defined by their type, purpose, scale and means of execution. In the British Empire at the time these were called combined operations which were defined as \"...operations where naval, military or air forces in any combination are co-operating with each other, working independently under their respective commanders, but with a common strategic object.\" All armed forces that employ troops with special training and equipment for conducting landings from naval vessels to shore agree to this definition.\nSince the 20th century an amphibious landing of troops on a beachhead is acknowledged as the most complex of all military manoeuvres. The undertaking requires an intricate coordination of numerous military specialities, including air power, naval gunfire, naval transport, logistical planning, specialised equipment, land warfare, tactics, and extensive training in the nuances of this manoeuvre for all personnel involved.\n\n", "title": "Amphibious warfare", "image": "http://upload.wikimedia.org/wikipedia/commons/8/8c/IWM_A_012399_Madagascar.jpg"}, "Physics": {"summary": "Physics (from Ancient Greek: \u03c6\u03c5\u03c3\u03b9\u03ba\u03ae (\u1f10\u03c0\u03b9\u03c3\u03c4\u03ae\u03bc\u03b7) phusik\u1e17 (epist\u1e17m\u0113) \u201cknowledge of nature\u201d, from \u03c6\u03cd\u03c3\u03b9\u03c2 ph\u00fasis \"nature\") is the natural science that involves the study of matter and its motion through space and time, along with related concepts such as energy and force. More broadly, it is the general analysis of nature, conducted in order to understand how the universe behaves.\nPhysics is one of the oldest academic disciplines, perhaps the oldest through its inclusion of astronomy. Over the last two millennia, physics was a part of natural philosophy along with chemistry, certain branches of mathematics, and biology, but during the Scientific Revolution in the 17th century, the natural sciences emerged as unique research programs in their own right. Physics intersects with many interdisciplinary areas of research, such as biophysics and quantum chemistry, and the boundaries of physics are not rigidly defined. New ideas in physics often explain the fundamental mechanisms of other sciences while opening new avenues of research in areas such as mathematics and philosophy.\nPhysics also makes significant contributions through advances in new technologies that arise from theoretical breakthroughs. For example, advances in the understanding of electromagnetism or nuclear physics led directly to the development of new products which have dramatically transformed modern-day society, such as television, computers, domestic appliances, and nuclear weapons; advances in thermodynamics led to the development of industrialization; and advances in mechanics inspired the development of calculus.", "title": "Physics", "image": "http://upload.wikimedia.org/wikipedia/commons/8/86/Physics_and_other_sciences.png"}, "Steel": {"summary": "Steel is an alloy of iron, with carbon, which may contribute up to 2.1% of its weight. Carbon, other elements, and inclusions within iron act as hardening agents that prevent the movement of dislocations that naturally exist in the iron atom crystal lattices. Varying the amount of alloying elements, their form in the steel either as solute elements, or as precipitated phases, retards the movement of those dislocations that make iron so ductile and so weak, and so it controls qualities such as the hardness, ductility, and tensile strength of the resulting steel. Steel can be made stronger than pure iron, but only by trading away ductility, of which iron has an excess.\nAlthough steel had been produced in bloomery furnaces for thousands of years, steel's use expanded extensively after more efficient production methods were devised in the 17th century for blister steel and then crucible steel. With the invention of the Bessemer process in the mid-19th century, a new era of mass-produced steel began. This was followed by Siemens-Martin process and then Gilchrist-Thomas process that refined the quality of steel. With their introductions, mild steel replaced wrought iron.\nFurther refinements in the process, such as basic oxygen steelmaking (BOS), further lowered the cost of production, while increasing the quality of the metal and largely replaced earlier methods. Today, steel is one of the most common materials in the world, with more than 1.3 billion tons produced annually. It is a major component in buildings, infrastructure, tools, ships, automobiles, machines, appliances, and weapons. Modern steel is generally identified by various grades defined by assorted standards organizations.", "title": "Steel", "image": "http://upload.wikimedia.org/wikipedia/commons/a/ac/Bas_fourneau.png"}, "Statue of Liberty": {"summary": "The Statue of Liberty (Liberty Enlightening the World; French: La Libert\u00e9 \u00e9clairant le monde) is a colossal neoclassical sculpture on Liberty Island in the middle of New York Harbor, in Manhattan, New York City. The statue, designed by Fr\u00e9d\u00e9ric Auguste Bartholdi and dedicated on October 28, 1886, was a gift to the United States from the people of France. The statue is of a robed female figure representing Libertas, the Roman goddess of freedom, who bears a torch and a tabula ansata (a tablet evoking the law) upon which is inscribed the date of the American Declaration of Independence, July 4, 1776. A broken chain lies at her feet. The statue is an icon of freedom and of the United States: a welcoming signal to immigrants arriving from abroad.\nBartholdi was inspired by French law professor and politician \u00c9douard Ren\u00e9 de Laboulaye, who is said to have commented in 1865 that any monument raised to American independence would properly be a joint project of the French and American peoples. Due to the troubled political situation in France, work on the statue did not commence until the early 1870s. In 1875, Laboulaye proposed that the French finance the statue and the Americans provide the site and build the pedestal. Bartholdi completed the head and the torch-bearing arm before the statue was fully designed, and these pieces were exhibited for publicity at international expositions.\nThe torch-bearing arm was displayed at the Centennial Exposition in Philadelphia, in 1876, and in New York's Madison Square Park from 1876 to 1882. Fundraising proved difficult, especially for the Americans, and by 1885 work on the pedestal was threatened due to lack of funds. Publisher Joseph Pulitzer of the New York World started a drive for donations to complete the project that attracted more than 120,000 contributors, most of whom gave less than a dollar. The statue was constructed in France, shipped overseas in crates, and assembled on the completed pedestal on what was then called Bedloe's Island. The statue's completion was marked by New York's first ticker-tape parade and a dedication ceremony presided over by President Grover Cleveland.\nThe statue was administered by the United States Lighthouse Board until 1901 and then by the Department of War; since 1933 it has been maintained by the National Park Service. The statue was closed for renovation for much of 1938. In the early 1980s, it was found to have deteriorated to such an extent that a major restoration was required. While the statue was closed from 1984 to 1986, the torch and a large part of the internal structure were replaced. After the September 11 attacks in 2001, it was closed for reasons of safety and security; the pedestal reopened in 2004 and the statue in 2009, with limits on the number of visitors allowed to ascend to the crown. The statue, including the pedestal and base, was closed for a year until October 28, 2012, so that a secondary staircase and other safety features could be installed; Liberty Island remained open. However, one day after the reopening, Liberty Island closed due to the effects of Hurricane Sandy; the statue and island opened again on July 4, 2013. Public access to the balcony surrounding the torch has been barred for safety reasons since 1916.", "title": "Statue of Liberty", "image": "http://upload.wikimedia.org/wikipedia/commons/4/4c/Eatons_Neck_Light.JPG"}, "Barracks": {"summary": "Barracks were originally a temporary shelter or hut but are now better known as specialized buildings for permanent military accommodation; the word may apply to separate housing blocks or to complete complexes. Their main object is to separate soldiers from the civilian population and reinforce discipline, training and esprit de corps. They were sometimes called discipline factories for soldiers. Like industrial factories, some are considered to be shoddy or dull buildings, although others are known for their magnificent architecture such as Collins Barracks in Dublin and others in Paris, Berlin, Madrid, Vienna or London.", "title": "Barracks", "image": "http://upload.wikimedia.org/wikipedia/commons/3/3f/Barracks-sweden.jpg"}, "Communism": {"summary": "Communism (from Latin communis \u2013 common, universal) is a socioeconomic system structured upon common ownership of the means of production and characterized by the absence of classes, money, and the state; as well as a social, political and economic ideology and movement that aims to establish this social order. The movement to develop communism, in its Marxist\u2013Leninist interpretations, significantly influenced the history of the 20th century, which saw intense rivalry between the communist states in the Eastern bloc and the most developed capitalist states of the Western world.\nCommunism was first developed into a scientific theory by German philosopher and social scientist Karl Marx, and the collective understanding of this scientific approach is today commonly referred to as Marxism. In the Marxist understanding, communism is the endpoint of human social evolution which will inevitably come into fruition through economic and social advances in socialism. Socialism, being the new order established after the demise of capitalism, is herein characterized by the working class having state power and undertaking the process of abolishing capitalist property and economic relations and establishing social (i.e. public, collective) ownership and management of society's political, economic, and cultural institutions. In accordance with the socialized processes of production, appropriation also becomes socialized as goods and services become consumed on a social basis with free access for the individual. Communism becomes fully realized when the distinction between classes is no longer possible and therefore the state, which has been used as an instrument of class dictatorship, no longer exists. In the communist economy, production and consumption are fully socialized, and the processes for which are advanced into maximized automation, efficiency, and recycling. This results in the end of individual money calculation, hence relationships between individuals being based on free association and free access to all goods and services according to need.\nLeninism refers to the organizational principle of the vanguard party as a revolutionary strategy both to achieve revolution and to secure political power after the revolution in the interests of the working class. Marxism-Leninism is a combination of Marx's theory of socialism with Lenin's theoretical contributions, namely the understanding of imperialism and the development of monopoly capitalism as predicted by Marx, as well as organizational principles applied within the context of the 20th century communist movement. This body of thought formed the basis for all existing communist movements in the 20th century and, as such, in the Western world, the term \"communism\" came to refer to social movements and political regimes associated with the Marxist-Leninist Communist International (or \"Comintern\"). However, the distinction should be made that the systems that these movements presided over were in fact not fully developed into communism, and the degree to which they had achieved socialism in itself is debated.\nCouncil communists, Orthodox Marxists and non-Marxist libertarian communists and anarcho-communists oppose the ideas of a vanguard party. Anarcho-communists advocate for the establishment of full communism immediately following the abolition of capitalism. There is a very wide range of theories amongst those particular communists in regards to how to build the types of institutions that would replace the various economic engines (such as food distribution, education, and hospitals) as they exist under capitalist systems\u2014or even whether to do so at all.\nIn the modern lexicon of what many Western sociologists and political commentators refer to as the \"political mainstream\", communism is often used as a broad term to refer to the policies of communist states, i.e., the ones governed by communist parties, in general, regardless of the diversity of economic models over which they may preside. Examples of this include the policies of the Socialist Republic of Vietnam where the economic system incorporates \"doi moi\" and the People's Republic of China (PRC) where the economic system is described as a \"socialist market economy\".", "title": "Communism", "image": "http://upload.wikimedia.org/wikipedia/commons/c/c3/Hammer_and_Sickle_Red_Star_with_Glow.png"}, "Caravel": {"summary": "A caravel (Portuguese: caravela, IPA: [k\u0250\u027e\u0250\u02c8v\u025bl\u0250]) is a small, highly maneuverable sailing ship developed in the 15th century by the Portuguese to explore along the West African coast and into the Atlantic Ocean. The lateen sails gave her speed and the capacity for sailing to windward (beating). Caravels were much used by the Portuguese for the oceanic exploration voyages during the 15th and 16th centuries in the age of discovery.", "title": "Caravel", "image": "http://upload.wikimedia.org/wikipedia/commons/b/bf/Boa_Esperan%C3%A7a_Caravel_-_Lagos%2C_Portugal.jpg"}, "King Richard's Crusade": {"summary": "King Richard and the Crusaders is a 1954 historical drama film made by Warner Bros.. It was directed by David Butler and produced by Henry Blanke from a screenplay by John Twist based on Sir Walter Scott's novel The Talisman. The music score was by Max Steiner and the cinematography by J. Peverell Marley. This was Warner Bros.' first essay into CinemaScope. The film stars Rex Harrison, Virginia Mayo, George Sanders and Laurence Harvey with Robert Douglas, Michael Pate and Paula Raymond. Years later, King Richard and the Crusaders was included as one of the choices in the book The Fifty Worst Films of All Time.", "title": "King Richard and the Crusaders", "image": null}, "Library": {"summary": "A library is an organized collection of sources of information and similar resources, made accessible to a defined community for reference or borrowing. It provides physical or digital access to material, and may be a physical building or room, or a virtual space, or both. A library's collection can include books, periodicals, newspapers, manuscripts, films, maps, prints, documents, microform, CDs, cassettes, videotapes, DVDs, Blu-ray Discs, e-books, audiobooks, databases, and other formats. Libraries range in size from a few shelves of books to several million items. In Latin and Greek, the idea of bookcase is represented by Bibliotheca and Biblioth\u0113k\u0113 (Greek: \u03b2\u03b9\u03b2\u03bb\u03b9\u03bf\u03b8\u03ae\u03ba\u03b7): derivatives of these mean library in many modern languages, e.g. French biblioth\u00e8que.\nThe first libraries consisted of archives of the earliest form of writing\u2014the clay tablets in cuneiform script discovered in Sumer, some dating back to 2600 BC. Private or personal libraries made up of written books appeared in classical Greece in the 5th century BC. In the 6th century, at the very close of the Classical period, the great libraries of the Mediterranean world remained those of Constantinople and Alexandria.\nA library is organized for use and maintained by a public body, an institution, a corporation, or a private individual. Public and institutional collections and services may be intended for use by people who choose not to\u2014or cannot afford to\u2014purchase an extensive collection themselves, who need material no individual can reasonably be expected to have, or who require professional assistance with their research. In addition to providing materials, libraries also provide the services of librarians who are experts at finding and organizing information and at interpreting information needs. Libraries often provide quiet areas for studying, and they also often offer common areas to facilitate group study and collaboration. Libraries often provide public facilities for access to their electronic resources and the Internet. Modern libraries are increasingly being redefined as places to get unrestricted access to information in many formats and from many sources. They are extending services beyond the physical walls of a building, by providing material accessible by electronic means, and by providing the assistance of librarians in navigating and analyzing very large amounts of information with a variety of digital tools.", "title": "Library", "image": "http://upload.wikimedia.org/wikipedia/commons/7/77/HK_Wan_Chai_Library_Inside_Bookcase_a.jpg"}, "Freight": {"summary": "Cargo (or freight) is goods or produce transported, generally for commercial gain, by ship or aircraft, although the term is now extended to intermodal train, van or truck. In modern times, containers are used in most long-haul cargo transport. In case of cold chain goods, specially those with limited shelf life, since they are always in transit, such goods are colloquially also referred to as cargo even when in storage such as cool stores, perishable cargo storing centres or other temperature controlled storage structures.", "title": "Cargo", "image": "http://upload.wikimedia.org/wikipedia/commons/e/e1/Lashing_and_dunnage_bag_application.JPG"}, "Trireme": {"summary": "A trireme (derived from Latin: triremis \"with three banks of oars;\" Ancient Greek: \u03c4\u03c1\u03b9\u03ae\u03c1\u03b7\u03c2, literally \"three-rower\") was an ancient vessel and a type of galley that was used by the ancient maritime civilizations of the Mediterranean, especially the Phoenicians, ancient Greeks and Romans.\nThe trireme derives its name from its three rows of oars, manned with one man per oar. In modern languages the number in a word or phrase describing an arrangement of oars indicates the number in all, for example in modern Greek the word diplokopos describes a boat with two rows of oars in all, as does the Italian doppio ordine di reme and the English double banked. The early trireme was a development of the penteconter, an ancient warship with a single row of 25 oars on each side (i.e. a double banked boat), and of the bireme (Greek: \u03b4\u03b9\u03ae\u03c1\u03b7\u03c2, di\u0113r\u0113s), a warship with two banks of oars, probably of Phoenician origin, although there is no mention in ancient literature of a type of ship intermediate between the penteconter and the trireme. The word dieres does not appear until the Roman period. \"It must be assumed the term pentekontor covered the two-level type\". As a ship it was fast and agile, and became the dominant warship in the Mediterranean from the 7th to the 4th centuries BC, when they were largely superseded by the larger quadriremes and quinqueremes. Triremes played a vital role in the Persian Wars, the creation of the Athenian maritime empire, and its downfall in the Peloponnesian War.\nIn English, no differentiation is made between the Greek tri\u0113r\u0113s and the Latin triremis. This is sometimes a source of confusion, as in other languages these terms refer to different styles of ships. Though the term today is used almost exclusively for ancient warships, modern historians also refer to medieval and early modern galleys with three files of oarsmen per side as triremes. The rowing arrangement of these differed considerably, though, since knowledge of the structure of the original triremes was lost some time during Late Antiquity.", "title": "Trireme", "image": "http://upload.wikimedia.org/wikipedia/commons/4/4f/Olympias.1.JPG"}, "Hanging Gardens": {"summary": "The Hanging Gardens of Babylon were one of the Seven Wonders of the Ancient World, and the only one whose location has not been definitely established.\nTraditionally they were said to have been built in the ancient city of Babylon, near present-day Hillah, Babil province, in Iraq. The Babylonian priest Berossus, writing in about 290 BC and quoted later by Josephus, attributed the gardens to the Neo-Babylonian king Nebuchadnezzar II, who ruled between 605 and 562 BC. There are no extant Babylonian texts which mention the gardens, and no definitive archaeological evidence has been found in Babylon.\nAccording to one legend, Nebuchadnezzar II built the Hanging Gardens for his Median wife, Queen Amytis, because she missed the green hills and valleys of her homeland. He also built a grand palace that came to be known as 'The Marvel of the Mankind'.\nBecause of the lack of evidence it has been suggested that the Hanging Gardens are purely legendary, and the descriptions found in ancient Greek and Roman writers including Strabo, Diodorus Siculus and Quintus Curtius Rufus represent a romantic ideal of an eastern garden. If it did indeed exist, it was destroyed sometime after first century AD.\nAlternatively, the original garden may have been a well-documented one that the Assyrian king Sennacherib (704-681 BC) built in his capital city of Nineveh on the River Tigris near the modern city of Mosul.", "title": "Hanging Gardens of Babylon", "image": "http://upload.wikimedia.org/wikipedia/commons/4/48/Ogrody_semiramidy.jpg"}, "Eiffel Tower": {"summary": "The Eiffel Tower (French: La Tour Eiffel, [tu\u0281 \u025bf\u025bl]) is an iron lattice tower located on the Champ de Mars in Paris. It was named after the engineer Gustave Eiffel, whose company designed and built the tower. Erected in 1889 as the entrance arch to the 1889 World's Fair, it was initially criticised by some of France's leading artists and intellectuals for its design, but has become both a global cultural icon of France and one of the most recognizable structures in the world. The tower is the tallest structure in Paris and the most-visited paid monument in the world; 6.98 million people ascended it in 2011. The tower received its 250 millionth visitor in 2010.\nThe tower is 324 metres (1,063 ft) tall, about the same height as an 81-storey building. During its construction, the Eiffel Tower surpassed the Washington Monument to assume the title of the tallest man-made structure in the world, a title it held for 41 years, until the Chrysler Building in New York City was built in 1930. Because of the addition of the antenna atop the Eiffel Tower in 1957, it is now taller than the Chrysler Building by 5.2 metres (17 ft). Not including broadcast antennae, it is the second-tallest structure in France, after the Millau Viaduct.\nThe tower has three levels for visitors, with restaurants on the first and second. The third level observatory's upper platform is 276 m (906 ft) above the ground, the highest accessible to the public in the European Union. Tickets can be purchased to ascend by stairs or lift (elevator) to the first and second levels. The climb from ground level to the first level is over 300 steps, as is the walk from the first to the second level. Although there are stairs to the third and highest level, these are usually closed to the public and it is generally only accessible by lift.", "title": "Eiffel Tower", "image": "http://upload.wikimedia.org/wikipedia/commons/d/de/Base_of_Eiffel_Tower_at_Night.jpg"}, "Helicopter": {"summary": "A helicopter is a type of rotorcraft in which lift and thrust are supplied by rotors. This allows the helicopter to take off and land vertically, to hover, and to fly forward, backward, and laterally. These attributes allow helicopters to be used in congested or isolated areas where fixed-wing aircraft and other forms of vertical takeoff and landing aircraft cannot perform.\nThe word helicopter is adapted from the French language h\u00e9licopt\u00e8re, coined by Gustave Ponton d'Am\u00e9court in 1861, which originates from the Greek helix/helik- (\u1f15\u03bb\u03b9\u03be) \"twisted, curved\" and pteron (\u03c0\u03c4\u03b5\u03c1\u03cc\u03bd) \"wing\". English-language nicknames for helicopter include \"chopper\", \"copter\", \"helo\", \"heli\" and \"whirlybird\".\nHelicopters were developed and built during the first half-century of flight, with the Focke-Wulf Fw 61 being the first operational helicopter in 1936. Some helicopters reached limited production, but it was not until 1942 that a helicopter designed by Igor Sikorsky reached full-scale production, with 131 aircraft built. Though most earlier designs used more than one main rotor, it is the single main rotor with anti-torque tail rotor configuration that has become the most common helicopter configuration. Tandem rotor helicopters are also in widespread use due to their greater payload capacity. Co-axial helicopters, Tiltrotor, and hybrid rotorcraft are all flying today. Quadrotor helicopters - pioneered as early as 1907 in France \u2014 and other types of multicopter have been developed for specialized applications such as unmanned drones.", "title": "Helicopter", "image": "http://upload.wikimedia.org/wikipedia/commons/6/68/Aviacionavion.png"}, "Armor": {"summary": "Armour or armor (see spelling differences) is a protective covering that is used to prevent damage from being inflicted to an object, individual, or vehicle by direct contact weapons or projectiles, usually during combat, or from damage caused by a potentially dangerous environment or action (e.g., cycling, construction sites, etc.). Personal armour is used to protect soldiers and war animals such as war horses (the application for the latter is called barding). Vehicle armour is used on warships and armoured fighting vehicles.", "title": "Armour", "image": "http://upload.wikimedia.org/wikipedia/commons/f/f6/British_Mark_I_male_tank_Somme_25_September_1916.jpg"}, "Cavalry": {"summary": "Cavalry (from French cavalerie, cf. cheval 'horse') or horsemen were soldiers or warriors who fought mounted on horseback. Cavalry were historically the third oldest (after infantry and chariotry) and the most mobile of the combat arms. A soldier in the cavalry is known by a number of designations such as cavalryman, horseman or trooper.\nThe designation of cavalry was not usually given to any military force that used other animals, such as camels or mules. Infantry who moved on horseback, but dismounted to fight on foot, were known in the 17th and early 18th centuries as dragoons, a class of mounted infantry which later evolved into cavalry proper while retaining their historic title.\nFrom earliest times cavalry had the advantage of improved mobility, making it an\n\ninstrument which multiplied the fighting value of even the smallest forces, allowing them to outflank and avoid, to surprise and overpower, to retreat and escape according to the requirements of the moment.\n\nA man fighting from horseback also had the advantages of greater height, speed, and inertial mass over an opponent on foot. Another element of horse mounted warfare is the psychological impact a mounted soldier can inflict on an opponent.\nThe mobility and shock value of the cavalry was greatly appreciated and exploited in armed forces in the Ancient and Middle Ages; some forces were mostly cavalry, particularly in nomadic societies of Asia, notably the Mongol armies. In Europe cavalry became increasingly armoured (heavy), and eventually became known for the mounted knights. During the 17th century cavalry in Europe lost most of its armor, ineffective against the muskets and cannon which were coming into use, and by the mid-19th century armor had mainly fallen into disuse, although some regiments retained a small thickened cuirass that offered protection against lances and sabres and some protection against shot.\nIn the period between the World Wars, many cavalry units were converted into motorised infantry and mechanised infantry units, or reformed as tank troops. However some cavalry still served during the Second World War, notably in the Red Army, the Mongolian army, the Italian Royal Army and the Polish Army. Most cavalry units that are horse-mounted in modern armies serve in purely ceremonial roles, or as mounted infantry in difficult terrain such as mountains or heavily forested areas. Modern usage of the term refers to specialist units equipped with tanks (\"armored cavalry\") or aircraft (\"air cavalry\").", "title": "Cavalry", "image": "http://upload.wikimedia.org/wikipedia/commons/6/6f/A_Mongolian_soldier_performs_during_the_opening_ceremony_for_exercise_Khaan_Quest_2013_at_the_Five_Hills_Training_Area_in_Mongolia_Aug._3%2C_2013_130803-M-MG222-004.jpg"}, "Refrigeration": {"summary": "Refrigeration is a process in which work is done to move heat from one location to another. The work of heat transport is traditionally driven by mechanical work, but can also be driven by heat, magnetism, electricity, laser, or other means. Refrigeration has many applications, including, but not limited to: household refrigerators, industrial freezers, cryogenics, and air conditioning. Heat pumps may use the heat output of the refrigeration process, and also may be designed to be reversible, but are otherwise similar to refrigeration units.\nRefrigeration has had a large impact on industry, lifestyle, agriculture and settlement patterns. The idea of preserving food dates back to the ancient Roman and Chinese empires. However, refrigeration technology has rapidly evolved in the last century, from ice harvesting to temperature-controlled rail cars. The introduction of refrigerated rail cars contributed to the westward expansion of the United States, allowing settlement in areas that were not on main transport channels such as rivers, harbors, or valley trails. Settlements were also popping up in infertile parts of the country, filled with new natural resources. These new settlement patterns sparked the building of large cities which are able to thrive in areas that were otherwise thought to be unsustainable, such as Houston, Texas and Las Vegas, Nevada. In most developed countries, cities are heavily dependent upon refrigeration in supermarkets, in order to obtain their food for daily consumption. The increase in food sources has led to a larger concentration of agricultural sales coming from a smaller percentage of existing farms. Farms today have a much larger output per person in comparison to the late 1800s. This has resulted in new food sources available to entire populations, which has had a large impact on the nutrition of society.", "title": "Refrigeration", "image": "http://upload.wikimedia.org/wikipedia/commons/8/83/Kuehlregal_USA.jpg"}, "United Nations": {"summary": "The United Nations (UN) is an intergovernmental organization established on 24 October 1945 to promote international co-operation. A replacement for the ineffective League of Nations, the organization was created following the Second World War to prevent another such conflict. At its founding, the UN had 51 member states; there are now 193. The UN Headquarters is situated in Manhattan, New York City and enjoys extraterritoriality. Further main offices are situated in Geneva, Nairobi and Vienna. The organization is financed by assessed and voluntary contributions from its member states. Its objectives include maintaining international peace and security, promoting human rights, fostering social and economic development, protecting the environment, and providing humanitarian aid in cases of famine, natural disaster, and armed conflict.\nDuring the Second World War, US President Franklin D. Roosevelt initiated talks on a successor agency to the League of Nations, and the United Nations Charter was drafted at a conference in April\u2013June 1945; this charter took effect on 24 October 1945, and the UN began operation. The UN's mission to preserve world peace was complicated in its early decades by the Cold War between the US and Soviet Union and their respective allies. The organization participated in major actions in Korea and the Congo, as well as approving the creation of the state of Israel in 1947. The organization's membership grew significantly following widespread decolonization in the 1960s, and by the 1970s its budget for economic and social development programmes far outstripped its spending on peacekeeping. After the end of the Cold War, the UN took on major military and peacekeeping missions across the world with varying degrees of success.\nThe UN has six principal organs: the General Assembly (the main deliberative assembly); the Security Council (for deciding certain resolutions for peace and security); the Economic and Social Council (ECOSOC) (for promoting international economic and social co-operation and development); the Secretariat (for providing studies, information, and facilities needed by the UN); the International Court of Justice (the primary judicial organ); and the United Nations Trusteeship Council (inactive since 1994). UN System agencies include the World Bank Group, the World Health Organization, the World Food Programme, UNESCO, and UNICEF. The UN's most prominent officer is the Secretary-General, an office held by South Korean Ban Ki-moon since 2007. Non-governmental organizations may be granted consultative status with ECOSOC and other agencies to participate in the UN's work.\nThe organization won the Nobel Peace Prize in 2001, and a number of its officers and agencies have also been awarded the prize. Other evaluations of the UN's effectiveness have been mixed. Some commentators believe the organization to be an important force for peace and human development, while others have called the organization ineffective, corrupt, or biased.", "title": "United Nations", "image": "http://upload.wikimedia.org/wikipedia/en/e/ed/Nobel_Prize.png"}, "Caravan": {"summary": "A camel train is a series of camels carrying goods or passengers or both in a group as part of a regular or semi-regular service between two points. Although they rarely travelled faster than the walking speed of a man, camels' ability to withstand harsh conditions made them ideal for communication and trade in the desert areas of northern Africa and the Arabian Peninsula for centuries, though they could only travel on routes with sufficient sources of food and water. Camel trains were also used sparingly elsewhere across the globe but during the 20th century they have been largely replaced by motorized vehicles or air traffic.", "title": "Camel train", "image": "http://upload.wikimedia.org/wikipedia/commons/a/aa/CamelsinTengger.jpg"}, "Fusion Power": {"summary": "Fusion power is the energy generated by nuclear fusion processes. In fusion reactions, two light atomic nuclei fuse to form a heavier nucleus (in contrast with fission power). In doing so they release a comparatively large amount of energy arising from the binding energy due to the strong nuclear force which is manifested as an increase in temperature of the reactants. Fusion power is a primary area of research in plasma physics.\nThe term is commonly used to refer to potential commercial production of net usable power from a fusion source, similar to the usage of the term \"steam power\". The leading designs for controlled fusion research use magnetic (tokamak design) or inertial (laser) confinement of a plasma. Both approaches are still under development and are years away from commercial operation in which heat from the fusion reaction is used to operate a steam turbine which drives electrical generators, as in existing fossil fuel and nuclear fission power stations.", "title": "Fusion power", "image": "http://upload.wikimedia.org/wikipedia/commons/9/9b/Kink_instability_at_Aldermaston.jpg"}, "Bronze Working": {"summary": "The Bronze Age is a time period characterized by the use of bronze, proto-writing, and other early features of urban civilization.\nThe Bronze Age is the second principal period of the three-age Stone-Bronze-Iron system, as proposed in modern times by Christian J\u00fcrgensen Thomsen, for classifying and studying ancient societies. An ancient civilization is defined to be in the Bronze Age either by smelting its own copper and alloying with tin, or by trading for bronze from production areas elsewhere. Copper-tin ores are rare, as reflected in the fact that there were no tin bronzes in western Asia before the trading in bronze began in the third millennium BC. Worldwide, the Bronze Age generally followed the Neolithic period, but in some parts of the world, the Copper Age served as a transition from the Neolithic to the Bronze Age. Although the Iron Age generally followed the Bronze Age, in some areas, the Iron Age intruded directly on the Neolithic from outside the region, with the exception of Sub-Saharan Africa where it was developed independently.\nBronze Age cultures differed in their development of the first writing. According to archaeological evidence, cultures in Mesopotamia (cuneiform) and Egypt (hieroglyphs) developed the earliest viable writing systems.", "title": "Bronze Age", "image": "http://upload.wikimedia.org/wikipedia/commons/1/11/Mycenaean_sword_and_Wietenberg_culture_axes_at_National_Museum_of_Transylvanian_History_2007.jpg"}, "SETI Program": {"summary": "The search for extraterrestrial intelligence (SETI) is the collective name for a number of activities undertaken to search for intelligent extraterrestrial life. SETI projects use scientific methods in this search. For example, electromagnetic radiation is monitored for signs of transmissions from civilizations on other worlds. Some of the most well-known projects are run by Harvard University, the University of California, Berkeley, or the SETI Institute. In 1995, the United States federal government ceased funding to SETI projects, forcing them to turn to private funding to continue the search, though in recent years, government funding of SETI has resumed at modest levels.\nThere are great challenges in searching the cosmos for signs of intelligent life, including their identification and interpretation. SETI projects use the best available scientific knowledge to conduct experiments, which has traditionally led to searches for electromagnetic radiation emitted by advanced technologies.", "title": "Search for extraterrestrial intelligence", "image": "http://upload.wikimedia.org/wikipedia/commons/b/b4/SETI%40home_Multi-Beam_screensaver.png"}, "Invention": {"summary": "An invention is a unique or novel device, method, composition or process. The invention process is a process within an overall engineering and product development process. It may be an improvement upon a machine or product, or a new process for creating an object or a result. An invention that achieves a completely unique function or result may be a radical breakthrough. Such works are novel and not obvious to others skilled in the same field.\nSome inventions can be patented. A patent legally protects the intellectual property rights of the inventor and legally recognizes that a claimed invention is actually an invention. The rules and requirements for patenting an invention vary from country to country, and the process of obtaining a patent is often expensive.\nAnother meaning of invention is cultural invention, which is an innovative set of useful social behaviours adopted by people and passed on to others. The Institute for Social Inventions collected many such ideas in magazines and books. Invention is also an important component of artistic and design creativity. Inventions often extend the boundaries of human knowledge, experience or capability.", "title": "Invention", "image": "http://upload.wikimedia.org/wikipedia/commons/7/73/Nicolas_P._Rougier%27s_rendering_of_the_human_brain.png"}, "Copernicus' Observatory": {"summary": "A space observatory is any instrument (such as a telescope) in outer space that is used for observation of distant planets, galaxies and other outer space objects. This category is distinct from other observatories located in space that are pointed toward Earth for the purpose of reconnaissance and other types of information gathering.", "title": "Space observatory", "image": "http://upload.wikimedia.org/wikipedia/commons/6/61/Aurora-SpaceShuttle-EO.jpg"}, "Mathematics": {"summary": "Mathematics is the study of topics such as quantity (numbers), structure, space, and change. There is a range of views among mathematicians and philosophers as to the exact scope and definition of mathematics.\nMathematicians seek out patterns and use them to formulate new conjectures. Mathematicians resolve the truth or falsity of conjectures by mathematical proof. When mathematical structures are good models of real phenomena, then mathematical reasoning can provide insight or predictions about nature. Through the use of abstraction and logic, mathematics developed from counting, calculation, measurement, and the systematic study of the shapes and motions of physical objects. Practical mathematics has been a human activity for as far back as written records exist. The research required to solve mathematical problems can take years or even centuries of sustained inquiry.\nRigorous arguments first appeared in Greek mathematics, most notably in Euclid's Elements. Since the pioneering work of Giuseppe Peano (1858\u20131932), David Hilbert (1862\u20131943), and others on axiomatic systems in the late 19th century, it has become customary to view mathematical research as establishing truth by rigorous deduction from appropriately chosen axioms and definitions. Mathematics developed at a relatively slow pace until the Renaissance, when mathematical innovations interacting with new scientific discoveries led to a rapid increase in the rate of mathematical discovery that has continued to the present day.\nGalileo Galilei (1564\u20131642) said, \"The universe cannot be read until we have learned the language and become familiar with the characters in which it is written. It is written in mathematical language, and the letters are triangles, circles and other geometrical figures, without which means it is humanly impossible to comprehend a single word. Without these, one is wandering about in a dark labyrinth.\" Carl Friedrich Gauss (1777\u20131855) referred to mathematics as \"the Queen of the Sciences\". Benjamin Peirce (1809\u20131880) called mathematics \"the science that draws necessary conclusions\". David Hilbert said of mathematics: \"We are not speaking here of arbitrariness in any sense. Mathematics is not like a game whose tasks are determined by arbitrarily stipulated rules. Rather, it is a conceptual system possessing internal necessity that can only be so and by no means otherwise.\" Albert Einstein (1879\u20131955) stated that \"as far as the laws of mathematics refer to reality, they are not certain; and as far as they are certain, they do not refer to reality.\" French mathematician Claire Voisin states \"There is creative drive in mathematics, it's all about movement trying to express itself.\" \nMathematics is used throughout the world as an essential tool in many fields, including natural science, engineering, medicine, finance and the social sciences. Applied mathematics, the branch of mathematics concerned with application of mathematical knowledge to other fields, inspires and makes use of new mathematical discoveries, which has led to the development of entirely new mathematical disciplines, such as statistics and game theory. Mathematicians also engage in pure mathematics, or mathematics for its own sake, without having any application in mind. There is no clear line separating pure and applied mathematics, and practical applications for what began as pure mathematics are often discovered.", "title": "Mathematics", "image": "http://upload.wikimedia.org/wikipedia/commons/3/39/GodfreyKneller-IsaacNewton-1689.jpg"}, "Atomic Theory": {"summary": "In chemistry and physics, atomic theory is a scientific theory of the nature of matter, which states that matter is composed of discrete units called atoms. It began as a philosophical concept in ancient Greece and entered the scientific mainstream in the early 19th century when discoveries in the field of chemistry showed that matter did indeed behave as if it were made up of atoms.\nThe word atom comes from the Ancient Greek adjective atomos, meaning \"indivisible\". 19th century chemists began using the term in connection with the growing number of irreducible chemical elements. While seemingly apropos, around the turn of the 20th century, through various experiments with electromagnetism and radioactivity, physicists discovered that the so-called \"indivisible atom\" was actually a conglomerate of various subatomic particles (chiefly, electrons, protons and neutrons) which can exist separately from each other. In fact, in certain extreme environments, such as neutron stars, extreme temperature and pressure prevents atoms from existing at all. Since atoms were found to be divisible, physicists later invented the term \"elementary particles\" to describe the 'indivisible', though not indestructible, parts of an atom. The field of science which studies subatomic particles is particle physics, and it is in this field that physicists hope to discover the true fundamental nature of matter.\n\n", "title": "Atomic theory", "image": "http://upload.wikimedia.org/wikipedia/commons/7/7d/JJ_Thomson_Crookes_Tube_Replica.jpg"}, "Police Station": {"summary": "A police station or station house is a building which serves to accommodate police officers and other members of staff. These buildings often contain offices and accommodation for personnel and vehicles, along with locker rooms, temporary holding cells and interview/interrogation rooms.", "title": "Police station", "image": "http://upload.wikimedia.org/wikipedia/commons/3/3f/Zhukovsky_police_2013.jpg"}, "Magellan's Expedition": {"summary": "Ferdinand Magellan (Portuguese: Fern\u00e3o de Magalh\u00e3es, IPA: [f\u0268\u027e\u02c8n\u0250\u0303w \u00f0\u0268 m\u0250\u0263\u0250\u02c8\u028e\u0250\u0303j\u0283]; Spanish: Fernando de Magallanes, IPA: [fer\u02c8nando \u00f0e ma\u0263a\u02c8\u028eanes]; c. 1480 \u2013 27 April 1521) was a Portuguese explorer who became known for having organised and captained the first expedition from Europe to Asia by the west, rounding the Americas by south and crossing the Pacific Ocean for the first time, which resulted in the first circumnavigation of the Earth. The circumnavigation was completed later by the Spanish Basque Juan Sebasti\u00e1n Elcano. Magellan is also known for making the first periplus around the Earth, through his voyages from Europe to the Far East, and to west, towards the Malay Archipelago. He was born in a still disputed location in northern Portugal, and served King Charles I of Spain in search of a westward route to the \"Spice Islands\" (modern Maluku Islands in Indonesia).\nMagellan's expedition of 1519\u20131522 became the first expedition to sail from the Atlantic Ocean into the Pacific Ocean (then named \"peaceful sea\" by Magellan; the passage being made via the Strait of Magellan), and the first to cross the Pacific. His expedition completed the first circumnavigation of the Earth. Magellan did not complete the entire voyage, as he was killed during the Battle of Mactan in the Philippines. (For background see Exploration of the Pacific.)\nThe Magellanic Penguin was named for him, as he was the first European to note it; other memorials are the Magellanic clouds, now known to be nearby dwarf galaxies; the twin lunar craters of Magelhaens and Magelhaens A; and the Martian crater of Magelhaens.", "title": "Ferdinand Magellan", "image": "http://upload.wikimedia.org/wikipedia/commons/9/92/PArenas_Magallanes.JPG"}, "Pottery": {"summary": "Pottery is the ceramic act of making pottery wares, of which major types include earthenware, stoneware and porcelain. The place where such wares are made is also called a pottery (plural \"potteries\"). Pottery also refers to the art or craft of a potter or the manufacture of pottery.\nThe definition of pottery used by ASTM is \"all fired ceramic wares that contain clay when formed, except technical, structural, and refractory products.\" Some archaeologists use a different understanding of this definition by excluding ceramic objects such as figurines which are made by similar processes and of similar materials but are not vessels.\nPottery originates during the Neolithic period. Ceramic objects like the Gravettian culture Venus of Doln\u00ed V\u011bstonice figurine discovered in the Czech Republic date back to 29,000\u201325,000 BC, and pottery vessels discovered in Jiangxi, China date back to 20,000 BP. Early Neolithic pottery has also been found in Jomon Japan (10,500 BC), the Russian Far East (14,000 BC), Sub-Saharan Africa and South America.\nPottery is made by forming a clay body into objects of a required shape and heating them to high temperatures in a kiln which removes all the water from the clay, which induces reactions that lead to permanent changes including increasing their strength and hardening and setting their shape. A clay body can be decorated before or after firing. Prior to some shaping processes, clay must be prepared. Kneading helps to ensure an even moisture content throughout the body. Air trapped within the clay body needs to be removed. This is called de-airing and can be accomplished by a machine called a vacuum pug or manually by wedging. Wedging can also help produce an even moisture content. Once a clay body has been kneaded and de-aired or wedged, it is shaped by a variety of techniques. After shaping it is dried and then fired.", "title": "Pottery", "image": "http://upload.wikimedia.org/wikipedia/commons/3/30/Mendel_II_071_r.jpg"}, "Automobile": {"summary": "An automobile, autocar, motor car or car is a wheeled motor vehicle used for transporting passengers, which also carries its own engine or motor. Most definitions of the term specify that automobiles are designed to run primarily on roads, to have seating for one to eight people, to typically have four wheels, and to be constructed principally for the transport of people rather than goods.\nThe year 1886 is regarded the year of birth of the modern automobile - with the Benz Patent-Motorwagen, by German inventor Karl Benz. Motorized wagons soon replaced animal-drafted carriages, especially after automobiles became affordable for many people when the Ford Model T was introduced in 1908.\nThe term motorcar has formerly also been used in the context of electrified rail systems to denote a car which functions as a small locomotive but also provides space for passengers and baggage. These locomotive cars were often used on suburban routes by both interurban and intercity railroad systems.\nIt was estimated in 2010 that the number of automobiles had risen to over 1 billion vehicles, up from the 500 million of 1986. The numbers are increasing rapidly, especially in China, India and other NICs.", "title": "Automobile", "image": "http://upload.wikimedia.org/wikipedia/commons/c/c1/2011_Nissan_Leaf_WAS_2011_1040.JPG"}, "City Walls": {"summary": "A defensive wall (or a \"Rampart\") is a fortification used to protect a city or settlement from potential aggressors. In ancient to modern times, they were used to enclose settlements. Generally, these are referred to as city walls or town walls, although there were also walls, such as the Great Wall of China, Hadrian's Wall, and the metaphorical Atlantic Wall, which extended far beyond the borders of a city and were used to enclose regions or mark territorial boundaries. Beyond their defensive utility, many walls also had important symbolic functions \u2014 representing the status and independence of the communities they embraced.\nExisting ancient walls are almost always masonry structures, although brick and timber-built variants are also known. Depending on the topography of the area surrounding the city or the settlement the wall is intended to protect, elements of the terrain (e.g. rivers or coastlines) may be incorporated in order to make the wall more effective.\nWalls may only be crossed by entering the appropriate city gate and are often supplemented with towers. The practice of building these massive walls, though having its origins in prehistory, was refined during the rise of city-states, and energetic wall-building continued into the medieval period and beyond in certain parts of Europe.", "title": "Defensive wall", "image": "http://upload.wikimedia.org/wikipedia/commons/d/de/NDSAJDF18.JPG"}, "SDI Defense": {"summary": "The Strategic Defense Initiative (SDI) was proposed by U.S. President Ronald Reagan on March 23, 1983, to use ground-based and space-based systems to protect the United States from attack by strategic nuclear ballistic missiles. The initiative focused on strategic defense rather than the prior strategic offense doctrine of Mutual Assured Destruction (MAD). The Strategic Defense Initiative Organization (SDIO) was set up in 1984 within the United States Department of Defense to oversee the Strategic Defense Initiative.\nReagan was a vocal critic of Mutual Assured Destruction, and the Strategic Defense Initiative was an important part of his defense policy intended to end MAD as a nuclear deterrent strategy, as well as a strategic initiative to neutralize the military component of Soviet nuclear defenses.\nThe ambitious initiative was widely criticized as being unrealistic, even unscientific, as well as for threatening to destabilize MAD and re-ignite \"an offensive arms race\". SDI was derided, largely in the mainstream media, as \"Star Wars,\" after the popular 1977 film by George Lucas. In 1987, the American Physical Society concluded that a global shield such as \"Star Wars\" was not only impossible with existing technology, but that ten more years of research was needed to learn whether it might ever be feasible.\nHowever, the United States now holds a significant advantage in the field of comprehensive advanced missile defense systems through years of extensive research and testing, many of the obtained technological insights were transferred to subsequent programs and would find use in follow-up programs.\nUnder the administration of President Bill Clinton in 1993, its name was changed to the Ballistic Missile Defense Organization (BMDO) and its emphasis was shifted from national missile defense to theater missile defense; and its scope from global to more regional coverage. It was never truly developed or deployed, though certain aspects of SDI research and technologies paved the way for some anti-ballistic missile systems of today. BMDO was renamed to the Missile Defense Agency in 2002. This article covers defense efforts under the SDIO.\nUnder the SDIO's Innovative Sciences and Technology Office, headed by physicist and engineer Dr. James Ionson, the investment was predominantly made in basic research at national laboratories, universities, and in industry; these programs have continued to be key sources of funding for top research scientists in the fields of high-energy physics, supercomputing/computation, advanced materials, and many other critical science and engineering disciplines \u2014 funding which indirectly supports other research work by top scientists, and which was most politically viable to fund within the defense budget environment.", "title": "Strategic Defense Initiative", "image": "http://upload.wikimedia.org/wikipedia/en/d/d7/Slbd_front.jpg"}, "Superconductors": {"summary": "Superconductivity is a phenomenon of exactly zero electrical resistance and expulsion of magnetic fields occurring in certain materials when cooled below a characteristic critical temperature. It was discovered by Dutch physicist Heike Kamerlingh Onnes on April 8, 1911 in Leiden. Like ferromagnetism and atomic spectral lines, superconductivity is a quantum mechanical phenomenon. It is characterized by the Meissner effect, the complete ejection of magnetic field lines from the interior of the superconductor as it transitions into the superconducting state. The occurrence of the Meissner effect indicates that superconductivity cannot be understood simply as the idealization of perfect conductivity in classical physics.\nThe electrical resistivity of a metallic conductor decreases gradually as temperature is lowered. In ordinary conductors, such as copper or silver, this decrease is limited by impurities and other defects. Even near absolute zero, a real sample of a normal conductor shows some resistance. In a superconductor, the resistance drops abruptly to zero when the material is cooled below its critical temperature. An electric current flowing through a loop of superconducting wire can persist indefinitely with no power source.\nIn 1986, it was discovered that some cuprate-perovskite ceramic materials have a critical temperature above 90 K (\u2212183 \u00b0C). Such a high transition temperature is theoretically impossible for a conventional superconductor, leading the materials to be termed high-temperature superconductors. Liquid nitrogen boils at 77 K, and superconduction at higher temperatures than this facilitates many experiments and applications that are less practical at lower temperatures.", "title": "Superconductivity", "image": "http://upload.wikimedia.org/wikipedia/commons/3/3c/Stickstoff_gek%C3%BChlter_Supraleiter_schwebt_%C3%BCber_Dauermagneten_2009-06-21.jpg"}, "Magnetism": {"summary": "Magnetism is a class of physical phenomenon that includes forces exerted by magnets on other magnets. It has its origin in electric currents and the fundamental magnetic moments of elementary particles. These give rise to a magnetic field that acts on other currents and moments. All materials are influenced to some extent by a magnetic field. The strongest effect is on permanent magnets, which have persistent magnetic moments caused by ferromagnetism. Most materials do not have permanent moments. Some are attracted to a magnetic field (paramagnetism); others are repulsed by a magnetic field (diamagnetism); others have a much more complex relationship with an applied magnetic field (spin glass behavior and antiferromagnetism). Substances that are negligibly affected by magnetic fields are known as non-magnetic substances. They include copper, aluminium, gases, and plastic. Pure oxygen exhibits magnetic properties when cooled to a liquid state.\nThe magnetic state (or phase) of a material depends on temperature (and other variables such as pressure and the applied magnetic field) so that a material may exhibit more than one form of magnetism depending on its temperature, etc.", "title": "Magnetism", "image": "http://upload.wikimedia.org/wikipedia/commons/f/f8/Ferromagneses_penzermek_1.jpg"}, "Code of Laws": {"summary": "A civil code is a systematic collection of laws designed to comprehensively deal with the core areas of private law such as for dealing with business and negligence lawsuits and practices. A jurisdiction that has a civil code generally also has a code of civil procedure. In some jurisdictions with a civil code, a number of the core areas of private law that would otherwise typically be codified in a civil code may instead be codified in a commercial code.", "title": "Civil code", "image": null}, "Combustion": {"summary": "Combustion /k\u0259m\u02c8b\u028cs.t\u0283\u0259n/ or burning is the sequence of exothermic chemical reactions between a fuel and an oxidant accompanied by the production of heat and conversion of chemical species. The release of heat can produce light in the form of either glowing or a flame.\nIn a complete combustion reaction, a compound reacts with an oxidizing element, such as oxygen or fluorine, and the products are compounds of each element in the fuel with the oxidizing element. The process releases heat energy.\nFuel + Oxidizer \u2192 Combustion products + Heat energy\nFor example:\nCH4(g) + 2O2(g) \u2192 CO2(g) + 2H2O(g)\nThe standard enthalpy of reaction for methane combustion at 298.15 K and 1 atm is \u2212802 kJ/mol. A simple example can be seen in the combustion of hydrogen and oxygen, a reaction commonly used to fuel rocket engines:\n2H2(g) + O2(g) \u2192 2H2O(g)\nThe result is water vapor, with a standard enthalpy of reaction at 298.15 K and 1 atm of \u2212242 kJ/mol.\nAnother example is burning of carbon, which is the main component of coal:\nC(s) + O2(g) \u2192 CO2(g)\nComplete combustion is almost impossible to achieve. As actual combustion reactions come to equilibrium, a wide variety of major and minor species will be present, such as carbon monoxide, hydrogen and even carbon (soot or ash). Additionally, any combustion at high temperatures in atmospheric air, which is 78 percent nitrogen, will also create small amounts of several nitrogen oxides, commonly referred to as NOx.\nCombustion need not always involve oxygen; e.g., hydrogen burns in chlorine to form hydrogen chloride with the liberation of heat and light characteristic of combustion.", "title": "Combustion", "image": "http://upload.wikimedia.org/wikipedia/commons/3/3a/Microgravity_Burning.jpg"}, "Space Flight": {"summary": "Spaceflight (also written space flight) is ballistic flight into or through outer space. Spaceflight can occur with spacecraft with or without humans on board. Examples of human spaceflight include the Russian Soyuz program, the U.S. Space shuttle program, as well as the ongoing International Space Station. Examples of unmanned spaceflight include space probes which leave Earth's orbit, as well as satellites in orbit around Earth, such as communication satellites. These operate either by telerobotic control or are fully autonomous.\nSpaceflight is used in space exploration, and also in commercial activities like space tourism and satellite telecommunications. Additional non-commercial uses of spaceflight include space observatories, reconnaissance satellites and other earth observation satellites.\nA spaceflight typically begins with a rocket launch, which provides the initial thrust to overcome the force of gravity and propels the spacecraft from the surface of the Earth. Once in space, the motion of a spacecraft \u2014 both when unpropelled and when under propulsion \u2014 is covered by the area of study called astrodynamics. Some spacecraft remain in space indefinitely, some disintegrate during atmospheric reentry, and others reach a planetary or lunar surface for landing or impact.", "title": "Spaceflight", "image": "http://upload.wikimedia.org/wikipedia/commons/c/cc/RIAN_archive_510848_Interplanetary_station_Luna_1_-_blacked.jpg"}, "Space Component": {"summary": "The Joint Functional Component Command for Space (JFCC Space) is a component of US Strategic Command. The Command was established on 19 July 2006, and activated on 12 September 2006, under the command of General William L. Shelton. The JFCC Space is headquartered at Vandenberg AFB, California, and was formed from the division of Joint Functional Component Command for Space and Global Strike (JFCC SGS) into two separate commands, JFCC Space and Joint Functional Component Command for Global Strike and Integration (JFCC GSI).\nCDR JFCC Space is also the Commander of Fourteenth Air Force (AF Space Command). While the Implementation Directive was signed 19 July, the JFCC Space activation ceremony was held 12 September 2006 at Vandenberg AFB, CA. Gen James E. Cartwright (CDRUSSTRATCOM) presided over the ceremony where he presented the JFCC Space colors to Maj Gen William L. Shelton.", "title": "Joint Functional Component Command for Space", "image": "http://upload.wikimedia.org/wikipedia/en/7/7e/JFCC_SPACE_Patch_Final.JPG"}, "Mass Transit": {"summary": "Public transport (North American English: public transportation or public transit) is a shared passenger transport service which is available for use by the general public, as distinct from modes such as taxicab, car pooling or hired buses which are not shared by strangers without private arrangement.\nPublic transport modes include buses, trolleybuses, trams and trains, rapid transit (metro/subways/undergrounds etc) and ferries. Public transport between cities is dominated by airlines, coaches, and intercity rail. High-speed rail networks are being developed in many parts of the world.\nMost public transport runs to a scheduled timetable with the most frequent services running to a headway. Share taxis offer on-demand services in many parts of the world, and some services will wait until the vehicle is full before it starts. Paratransit is sometimes used in areas of low-demand and for people who need a door-to-door service.\nThere are distinct differences in urban public transit between Asia, North America, and Europe. In Asia, mass transit operations are predominantly run by profit-driven privately owned and publicly traded mass transit and real estate conglomerates. In North America, mass transit operations are predominantly run by municipal transit authorities. In Europe, mass transit operations are predominantly run by outsourced private transport operators.\nPublic transport services can be profit-driven by use of pay-by-the-distance fares or funded by government subsidies in which flat rate fares are charged to each passenger. Services can be fully profitable through high ridership numbers and high farebox recovery ratios, or can be regulated and possibly subsidized from local or national tax revenue. Fully subsidized, zero-fare (free) services operate in some towns and cities.\nFor historical and economic reasons, there are differences internationally regarding use and extent of public transport. While countries in the Old World tend to have extensive and frequent systems serving their old and dense cities, many cities of the New World have more sprawl and much less comprehensive public transport.\nThe International Association of Public Transport (UITP) is the international network for public transport authorities and operators, policy decision-makers, scientific institutes and the public transport supply and service industry. It has 3,400 members from 92 countries.", "title": "Public transport", "image": "http://upload.wikimedia.org/wikipedia/commons/f/ff/Athens_bus_interior_in_2013.jpg"}, "Super Highways": {"summary": "A highway is any public road or other public way on land. In North American and Australian English, the term frequently implies a major road such as a controlled-access highway or an arterial road, generally under the control of a state or provincial agency instead of a local road authority.\nIn British English, \"highway\" is primarily a legal term. Everyday use normally implies roads, while the legal use covers any route or path with a public right of access, including footpaths etc. The term has led to several related derived terms, including highway system, highway code, and highway patrol.\nThe equivalent term in water-based travel is \"waterway\".\n\n", "title": "Highway", "image": "http://upload.wikimedia.org/wikipedia/commons/b/b1/401_widest_point.jpg"}, "Palace": {"summary": "A palace is a grand residence, especially a royal residence or the home of a head of state or some other high-ranking dignitary, such as a bishop or archbishop.\nThe word itself is derived from the Latin name Pal\u0101tium, for Palatine Hill, the hill which housed the Imperial residences in Rome. In many parts of Europe, the term is also applied to ambitious private mansions of the aristocracy. Many historic palaces are now put to other uses such as parliaments, museums, hotels or office buildings. The word is also sometimes used to describe a lavishly ornate building used for public entertainment or exhibitions.", "title": "Palace", "image": "http://upload.wikimedia.org/wikipedia/commons/4/46/K%C3%A1rolyi-kast%C3%A9ly_%28Kast%C3%A9lyhotel_Sasv%C3%A1r%29_%285819._sz%C3%A1m%C3%BA_m%C5%B1eml%C3%A9k%29.jpg"}, "AWACS": {"summary": "An airborne early warning and control (AEW&C) system is an airborne radar picket system designed to detect aircraft, ships and vehicles at long ranges and perform control and command of the battle space in an air engagement by directing fighter and attack aircraft strikes. AEW&C units are also used to carry out surveillance, including over ground targets and frequently perform C2BM (command and control, battle management) functions similar to an Airport Traffic Controller given military command over other forces. When used at altitude, the radar on the aircraft allows the operators to detect and track targets and distinguish between friendly and hostile aircraft much farther away than a similar ground based radar. Like a ground based radar, it can be detected by opposing forces, but because of its mobility, it is much less vulnerable to counter-attack.\nAEW&C aircraft are used for both defensive and offensive air operations, and are to the NATO and US forces trained or integrated Air Forces what the Command Information Center is to a US Navy warship, plus a highly mobile and powerful radar platform. The system is used offensively to direct fighters to their target locations, and defensively, directing counterattacks on enemy forces, both air and ground. So useful is the advantage of command and control from a high altitude, the United States Navy operates Northrop Grumman E-2 Hawkeye AEW&C aircraft off its Supercarriers to augment and protect its carrier Command Information Centers (CICs). The designation \"airborne early warning\" (AEW) was used for earlier similar aircraft, such as the Fairey Gannet AEW.3 and Lockheed EC-121 Warning Star, and continues to be used by the RAF for its Sentry AEW1, while AEW&C (airborne early warning and control) emphasizes the command and control capabilities that may not be present on smaller or simpler radar picket aircraft. AWACS (Airborne Warning And Control System) is name of the specific system installed in the E-3 and Japanese E-767 AEW&C airframes.", "title": "Airborne early warning and control", "image": "http://upload.wikimedia.org/wikipedia/commons/9/91/E-2C_Hawkeye.jpg"}, "Mass Production": {"summary": "Mass production is the production of large amounts of standardized products, including and especially on assembly lines. With job production and batch production it is one of the three main production methods.\nThe concepts of mass production are applied to various kinds of products, from fluids and particulates handled in bulk (such as food, fuel, chemicals, and mined minerals) to discrete solid parts (such as fasteners) to assemblies of such parts (such as household appliances and automobiles).\nMass production is a diverse field, but it can generally be contrasted with craft production or distributed manufacturing. It has occurred for centuries; there are examples of production methods that can best be defined as mass production that predate the Industrial Revolution. However, it has been widespread in human experience, and central to economics, only since the late 19th century.\n\n", "title": "Mass production", "image": "http://upload.wikimedia.org/wikipedia/commons/5/53/Consolidated_TB-32_production_line.jpg"}, "Theology": {"summary": "Theology is the systematic and rational study of concepts of God and of the nature of religious truths, or the learned profession acquired by completing specialized training in religious studies, usually at a university, seminary or school of divinity.", "title": "Theology", "image": null}, "Refining": {"summary": "Refining (also perhaps called by the mathematical term affining) is the process of purification of a (1) substance or a (2) form. The term is usually used of a natural resource that is almost in a usable form, but which is more useful in its pure form. For instance, most types of natural petroleum will burn straight from the ground, but it will burn poorly and quickly clog an engine with residues and by-products. The term is broad, and may include more drastic transformations, such as the reduction of ore to metal (for which see Refining (metallurgy)).\nThe refining of liquids is often accomplished by distillation or fractionation. Gases can be refined in this way as well, by being cooled and/or compressed until they liquefy. Gases and liquids can also be refined by extraction with a selective solvent that dissolves away either the substance of interest, or the unwanted impurities.\nMany solids can be refined by growing crystals in a solution of the impure material; the regular structure of the crystal tends to favor the desired material and exclude other kinds of particles.\nChemical reactions are often used to remove impurities of particular types.\nThe use of silicon and other semiconductors in electronics depends on precise control of impurities. The zone melting process developed by William Gardner Pfann was used to produce pure germanium, and subsequently float-zone silicon became available when Henry Theuerer of Bell Labs adapted Pfann's method to silicon.\nTypes of materials that are usually refined:\nmetals - see Refining (metallurgy)\npetroleum\nsilicon\nsugar\ntable salt\nvegetable oil\nair", "title": "Refining", "image": null}, "Alpine Troops": {"summary": "Mountain warfare refers to warfare in the mountains or similarly rough terrain. This type of warfare is also called Alpine warfare, after the Alps mountains. Mountain warfare is one of the most dangerous types of combat as it involves surviving not only combat with the enemy but also the extreme weather and dangerous terrain.\nMountain ranges are of strategic importance since they often act as a natural border, and may also be the origin of a water source of (e.g. Golan Heights \u2013 water conflict). Attacking a prepared enemy position in mountain terrain requires a greater ratio of attacking soldiers to defending soldiers than would be needed on level ground. Mountains at any time of year are dangerous \u2013 lightning, strong gusts of wind, falling rocks, extreme cold, and crevasses are all additional threats to combatants. Movement, reinforcements, and medical evacuation up and down steep slopes and areas where even pack animals cannot reach involves an enormous exertion of energy.", "title": "Mountain warfare", "image": "http://upload.wikimedia.org/wikipedia/commons/5/58/Romanian_Mountain_Troops_National_Day_2007.jpg"}, "Musketeers": {"summary": "A musketeer (French: mousquetaire) was an early modern type of infantry soldier equipped with a musket. Musketeers were an important part of early modern armies, particularly in Europe. They sometimes could fight on horseback, like a dragoon or a cavalryman. The musketeer was a precursor to the rifleman. Muskets were replaced by rifles in most western armies during the mid-1850s. The traditional designation of \"musketeer\" for an infantry private survived in the Imperial German Army until World War I.", "title": "Musketeer", "image": "http://upload.wikimedia.org/wikipedia/commons/f/fd/Aanwijzing_8_voor_het_hanteren_van_het_musket_-_V_lont_opdruckt_%28Jacob_de_Gheyn%2C_1607%29.jpg"}, "Engineering": {"summary": "Engineering (from Latin ingenium, meaning \"cleverness\" and ingeniare, meaning \"to contrive, devise\") is the application of scientific, economic, social, and practical knowledge in order to invent, design, build, maintain, and improve structures, machines, devices, systems, materials and processes. The discipline of engineering is extremely broad, and encompasses a range of more specialized fields of engineering, each with a more specific emphasis on particular areas of applied science, technology and types of application.\nThe American Engineers' Council for Professional Development (ECPD, the predecessor of ABET) has defined \"engineering\" as:\n\nThe creative application of scientific principles to design or develop structures, machines, apparatus, or manufacturing processes, or works utilizing them singly or in combination; or to construct or operate the same with full cognizance of their design; or to forecast their behavior under specific operating conditions; all as respects an intended function, economics of operation or safety to life and property.\n\nOne who practices engineering is called an engineer, and those licensed to do so may have more formal designations such as Professional Engineer, Designated Engineering Representative, Chartered Engineer, Incorporated Engineer, Ingenieur or European Engineer.", "title": "Engineering", "image": "http://upload.wikimedia.org/wikipedia/commons/2/23/Pont_du_gard.jpg"}, "The Republic": {"summary": "A republic is a form of government in which power resides in the people, and the government is ruled by elected leaders run according to law (from Latin: res publica), rather than inherited or appointed (such as through inheritance or divine mandate). In modern times the definition of a republic is also commonly limited to a government which excludes a monarch. Currently, 135 of the world's 206 sovereign states use the word \"republic\" as part of their official names.\nBoth modern and ancient republics vary widely in their ideology and composition. In the classical and medieval period of Europe many states were fashioned on the Roman Republic, which referred to the governance of the city of Rome between it having kings, and emperors. The Italian medieval and Renaissance political tradition today referred to as \"civic humanism\", in America, is sometimes considered to derive directly from Roman republicans such as Sallust and Tacitus. However, Greek-influenced Roman authors, such as Polybius and Cicero, sometimes also used the term as a translation for the Greek politeia which could mean regime generally, but could also be applied to certain specific types of regime which did not exactly correspond to that of the Roman Republic. Republics were not equated with classical democracies such as Athens, but had a democratic aspect.\nRepublics became more common in the Western world starting in the early 19th century, eventually displacing absolute monarchy as the most common form of government. In modern republics the executive is legitimized both by a constitution and by popular suffrage. Montesquieu included both democracies, where all the people have a share in rule, and aristocracies or oligarchies, where only some of the people rule, as republican forms of government.\nMost often a republic is a sovereign state, but there are also sub-sovereign state entities that are referred to as republics, or which have governments that are described as 'republican' in nature. For instance, Article IV of the United States Constitution \"guarantee[s] to every State in this Union a Republican form of Government\". Similarly, the Soviet Union was constitutionally described as a \"unitary, federal multinational state\", composed of 15 republics, two of which \u2013 Ukraine and Belarus \u2013 had their own seats at the United Nations.", "title": "Republic", "image": "http://upload.wikimedia.org/wikipedia/commons/b/bc/Commonwealth_republics.PNG"}, "Espionage": {"summary": "Espionage or spying involves a government or individual obtaining information considered secret or confidential without the permission of the holder of the information. Espionage is inherently clandestine, as it is taken for granted that it is unwelcome and in many cases illegal and punishable by law. It is a subset of \"intelligence gathering\", which otherwise may be conducted from public sources and using perfectly legal and ethical means. It is crucial to distinguish espionage from \"intelligence\" gathering, as the latter does not necessarily involve espionage, but often collates open-source information.\nEspionage is often part of an institutional effort by a government or commercial concern. However, the term is generally associated with state spying on potential or actual enemies primarily for military purposes. Spying involving corporations is known as industrial espionage.\nOne of the most effective ways to gather data and information about the enemy (or potential enemy) is by infiltrating the enemy's ranks. This is the job of the spy (espionage agent). Spies can bring back all sorts of information concerning the size and strength of an enemy army. They can also find dissidents within the enemy's forces and influence them to defect. In times of crisis, spies can also be used to steal technology and to sabotage the enemy in various ways. Counterintelligence operatives can feed false information to enemy spies, protecting important domestic secrets, and preventing attempts at subversion. Nearly every country has very strict laws concerning espionage, and the penalty for being caught is often severe. However, the benefits that can be gained through espionage are generally great enough that most governments and many large corporations make use of it to varying degrees.\nFurther information on clandestine HUMINT (human intelligence) information collection techniques is available, including discussions of operational techniques, asset recruiting, and the tradecraft used to collect this information.", "title": "Espionage", "image": "http://upload.wikimedia.org/wikipedia/commons/a/ad/INF3-267_Anti-rumour_and_careless_talk_German_Intelligence_Officer.jpg"}, "Monarchy": {"summary": "A monarchy is a form of government in which sovereignty is actually or nominally embodied in a single individual (the monarch). Forms of monarchy differ widely based on the level of legal autonomy the monarch holds in governance, the method of selection of the monarch, and any predetermined limits on the length of their tenure. When the monarch has no or few legal restraints in state and political matters, it is called an absolute monarchy and is a form of autocracy. Cases in which the monarch's discretion is formally limited (most common today) are called constitutional monarchies. In hereditary monarchies, the office is passed through inheritance within a family group, whereas elective monarchies use some system of voting. Each of these has variations: in some elected monarchies only those of certain pedigrees are eligible, whereas many hereditary monarchies impose requirements regarding the religion, age, gender, mental capacity, and other factors. Occasionally this might create a situations of rival claimants whose legitimacy is subject to effective election. Finally, there have been cases where the term of a monarch\u2019s reign is either fixed in years or continues until certain goals are achieved: an invasion being repulsed, for instance. Thus there are widely divergent structures and traditions defining monarchy.\n\nMonarchy was the most common form of government until the 19th century, but it is no longer prevalent. Where it exists, it is now usually a constitutional monarchy, in which the monarch retains a unique legal and ceremonial role, but exercises limited or no political power: under the written or unwritten constitution, others have governing authority. Currently, 44 sovereign nations in the world have monarchs acting as heads of state, 16 of which are Commonwealth realms that recognise Queen Elizabeth II as their head of state. All European monarchies are constitutional ones, with the exception of the Vatican City, but sovereigns in the smaller states exercise greater political influence than in the larger. The monarchs of Cambodia, Japan, and Malaysia \"reign, but do not rule\" although there is considerable variation in the degree of authority they wield. Although they reign under constitutions, the monarchs of Brunei, Oman, Qatar, Saudi Arabia and Swaziland appear to continue to exercise more political influence than any other single source of authority in their nations, either by constitutional mandate or by tradition.", "title": "Monarchy", "image": "http://upload.wikimedia.org/wikipedia/commons/9/95/Gezo_%282%29.jpg"}, "Catapult": {"summary": "A catapult is a ballistic device used to launch a projectile a great distance without the aid of explosive devices\u2014particularly various types of ancient and medieval siege engines. Although the catapult has been used since ancient times, it has proven to be one of the most effective mechanisms during warfare. The word 'catapult' comes from the Latin 'catapulta', which in turn comes from the Greek \u03ba\u03b1\u03c4\u03b1\u03c0\u03ad\u03bb\u03c4\u03b7\u03c2 (katapelt\u0113s), itself from (kata), \"downwards\" + \u03c0\u03ac\u03bb\u03bb\u03c9 (pall\u014d), \"to toss, to hurl\". Catapults were invented by the ancient Greeks.", "title": "Catapult", "image": "http://upload.wikimedia.org/wikipedia/commons/3/3d/French_grenade_catapult.jpg"}, "Women's Suffrage": {"summary": "Women's suffrage (also known as woman suffrage) is the right of women to vote and to stand for electoral office. Limited voting rights were gained by women in Sweden, Finland and some western U.S. states in the late 19th century. National and international organizations formed to coordinate efforts to gain voting rights, especially the International Woman Suffrage Alliance (1904), and also worked for equal civil rights for women.\nIn 1893, New Zealand, then a self-governing British colony, granted adult women the right to vote and the self-governing British colony of South Australia did the same in 1895, the latter also permitting women to stand for office. Australia federated in 1901, and women acquired the right to vote and stand in federal elections from 1902, but discriminatory restrictions against Aboriginal women (and men) voting in national elections were not completely removed until 1962.\nThe first European country to introduce women's suffrage was the Grand Duchy of Finland, then part of the Russian Empire, which elected the world's first female members of parliament in the 1907 parliamentary elections. Norway followed, granting full women's suffrage in 1913. Most European, Asian and African countries did not pass women's suffrage until after World War I. Late adopters were France in 1944, Italy in 1946, Greece in 1952, Switzerland in 1971, and Liechtenstein in 1984. In the Americas, by contrast, the nations of North America and most nations in Central and South America passed women's suffrage before the war (see Table below).\nExtended political campaigns by women and their supporters have generally been necessary to gain legislation or constitutional amendments for women's suffrage. In many countries, limited suffrage for women was granted before universal suffrage for men; for instance, literate women were granted suffrage before all men received it. The United Nations encouraged women's suffrage in the years following World War II, and the Convention on the Elimination of All Forms of Discrimination Against Women (1979) identifies it as a basic right. 188 countries are parties to the Convention.", "title": "Women's suffrage", "image": null}, "Pyramids": {"summary": "A pyramid (from Greek: \u03c0\u03c5\u03c1\u03b1\u03bc\u03af\u03c2 pyramis) is a structure whose shape is roughly that of a pyramid in the geometric sense; that is, its outer surfaces are triangular and converge to a single point at the top. The base of a pyramid can be trilateral, quadrilateral, or any polygon shape, meaning that a pyramid has at least three outer triangular surfaces (at least four faces including the base). The square pyramid, with square base and four triangular outer surfaces, is a common version.\nA pyramid's design, with the majority of the weight closer to the ground, and with the pyramidion on top means that less material higher up on the pyramid will be pushing down from above. This distribution of weight allowed early civilizations to create stable monumental structures.\nPyramids have been built by civilizations in many parts of the world. For thousands of years, the largest structures on Earth were pyramids\u2014first the Red Pyramid in the Dashur Necropolis and then the Great Pyramid of Khufu, both of Egypt, the latter the only one of the Seven Wonders of the Ancient World still remaining. Khufu's Pyramid is built mainly of limestone (with large red granite blocks used in some interior chambers), and is considered an architectural masterpiece. It contains around 1,300,000 blocks ranging in weight from 2.5 tonnes (5,500 lb) to 15 tonnes (33,000 lb) and is built on a square base with sides measuring about 230 m (755 ft), covering 13 acres. Its four sides face the four cardinal points precisely and it has an angle of 52 degrees. The original height of the Pyramid was 146.5 m (488 ft), but today it is only 137 m (455 ft) high, the 9 m (33 ft) that is missing is due to the theft of the fine quality white Tura limestone covering, or casing stones, for construction in Cairo. It is still the tallest pyramid. The largest pyramid by volume is the Great Pyramid of Cholula, in the Mexican state of Puebla.", "title": "Pyramid", "image": "http://upload.wikimedia.org/wikipedia/commons/9/95/Architektura_kazan.JPG"}, "Environmentalism": {"summary": "Environmentalism is a broad philosophy, ideology and social movement regarding concerns for environmental protection and improvement of the health of the environment, particularly as the measure for this health seeks to incorporate the concerns of non-human elements. Environmentalism advocates the preservation, restoration and/or improvement of the natural environment, and may be referred to as a movement to control pollution or protect plant and animal diversity. For this reason, concepts such as a land ethic, environmental ethics, biodiversity, ecology and the biophilia hypothesis figure predominantly.\nAt its crux, environmentalism is an attempt to balance relations between humans and the various natural systems on which they depend in such a way that all the components are accorded a proper degree of sustainability. The exact measures and outcomes of this balance is controversial and there are many different ways for environmental concerns to be expressed in practice. Environmentalism and environmental concerns are often represented by the color green, but this association has been appropriated by the marketing industries and is a key tactic of greenwashing. Environmentalism is opposed by anti-environmentalism, which takes a skeptical stance against many environmentalist perspectives.", "title": "Environmentalism", "image": "http://upload.wikimedia.org/wikipedia/en/5/55/StRolloxChemical_1831.jpg"}, "Economics": {"summary": "For a topical guide to this subject, see Outline of economics.\n\nEconomics is the social science that studies the behavior of individuals, households, and organizations (called economic actors, players, or agents), when they manage or use scarce resources, which have alternative uses, to achieve desired ends. Agents are assumed to act rationally, have multiple desirable ends in sight, limited resources to obtain these ends, a set of stable preferences, a definite overall guiding objective, and the capability of making a choice. There exists an economic problem, subject to study by economic science, when a decision (choice) is made by one or more resource-controlling players to attain the best possible outcome under bounded rational conditions. In other words, resource-controlling agents maximize value subject to the constraints imposed by the information the agents have, their cognitive limitations, and the finite amount of time they have to make and execute a decision. Economic science centers on the activities of the economic agents that comprise society. They are the focus of economic analysis.\nThe traditional concern of economic analysis is to gain an understanding of the processes that govern the production, distribution and consumption of goods and services in an exchange economy. An approach to understanding these processes, through the study of agent behavior under scarcity, may go as follows:\nThe continuous interplay (exchange or trade) done by economic actors in all markets sets the prices for all goods and services which, in turn, make the rational managing of scarce resources possible. At the same time, the decisions (choices) made by the same actors, while they are pursuing their own interest, determine the level of output (production), consumption, savings, and investment, in an economy, as well as the remuneration (distribution) paid to the owners of labor (in the form of wages), capital (in the form of profits) and land (in the form of rent). Each period, as if they were in a giant feedback system, economic players influence the pricing processes and the economy, and are in turn influenced by them until a steady state (equilibrium) of all variables involved is reached or until an external shock throws the system toward a new equilibrium point. Because of the autonomous actions of rational interacting agents, the economy is a complex adaptive system.\nThe term economics comes from the Ancient Greek \u03bf\u1f30\u03ba\u03bf\u03bd\u03bf\u03bc\u03af\u03b1 (oikonomia, \"management of a household, administration\") from \u03bf\u1f36\u03ba\u03bf\u03c2 (oikos, \"house\") and \u03bd\u03cc\u03bc\u03bf\u03c2 (nomos, \"custom\" or \"law\"), hence \"rules of the house(hold for good management)\". 'Political economy' was the earlier name for the subject, but economists in the late 19th century suggested \"economics\" as a shorter term for \"economic science\" to establish itself as a separate discipline outside of political science and other social sciences.\nEconomics focuses on the behavior and interactions of economic agents and how economies work. Consistent with this focus, primary textbooks often distinguish between microeconomics and macroeconomics. Microeconomics examines the behavior of basic elements in the economy, including individual agents and markets, their interactions, and the outcomes of interactions. Individual agents may include, for example, households, firms, buyers, and sellers. Macroeconomics analyzes the entire economy (meaning aggregated production, consumption, savings, and investment) and issues affecting it, including unemployment of resources (labor, capital, and land), inflation, economic growth, and the public policies that address these issues (monetary, fiscal, and other policies).\nOther broad distinctions within economics include those between positive economics, describing \"what is,\" and normative economics, advocating \"what ought to be\"; between economic theory and applied economics; between rational and behavioral economics; and between mainstream economics (more \"orthodox\" and dealing with the \"rationality-individualism-equilibrium nexus\") and heterodox economics (more \"radical\" and dealing with the \"institutions-history-social structure nexus\").\nBesides the traditional concern in production, distribution, and consumption in an economy, economic analysis may be applied throughout society, as in business, finance, health care, and government. Economic analyses may also be applied to such diverse subjects as crime, education, the family, law, politics, religion, social institutions, war, and science; by considering the economic aspects of these subjects. Education, for example, requires time, effort, and expenses, plus the foregone income and experience, yet these losses can be weighted against future benefits education may bring to the agent or the economy. At the turn of the 21st century, the expanding domain of economics in the social sciences has been described as economic imperialism.", "title": "Economics", "image": "http://upload.wikimedia.org/wikipedia/commons/0/08/Map_of_countries_by_GDP_%28nominal%29_in_US%24.png"}, "Aqueduct": {"summary": "An aqueduct is a watercourse constructed to convey water. In modern engineering, the term aqueduct is used for any system of pipes, ditches, canals, tunnels, and other structures used for this purpose. The term aqueduct also often refers specifically to a bridge on an artificial watercourse. The word is derived from the Latin aqua (\"water\") and ducere (\"to lead\").", "title": "Aqueduct (water supply)", "image": "http://upload.wikimedia.org/wikipedia/commons/1/12/Puquios_aqueduct_Nazca_Peru.JPG"}, "Shakespeare's Theater": {"summary": "William Shakespeare (/\u02c8\u0283e\u026aksp\u026a\u0259r/; 26 April 1564 (baptised) \u2013 23 April 1616) was an English poet, playwright and actor, widely regarded as the greatest writer in the English language and the world's pre-eminent dramatist. He is often called England's national poet and the \"Bard of Avon\". His extant works, including some collaborations, consist of about 38 plays, 154 sonnets, two long narrative poems, and a few other verses, the authorship of some of which is uncertain. His plays have been translated into every major living language and are performed more often than those of any other playwright.\nShakespeare was born and brought up in Stratford-upon-Avon. At the age of 18, he married Anne Hathaway, with whom he had three children: Susanna, and twins Hamnet and Judith. Between 1585 and 1592, he began a successful career in London as an actor, writer, and part-owner of a playing company called the Lord Chamberlain's Men, later known as the King's Men. He appears to have retired to Stratford around 1613 at age 49, where he died three years later. Few records of Shakespeare's private life survive, and there has been considerable speculation about such matters as his physical appearance, sexuality, religious beliefs, and whether the works attributed to him were written by others.\nShakespeare produced most of his known work between 1589 and 1613. His early plays were mainly comedies and histories and these works remain regarded as some the best work produced in these genres even today. He then wrote mainly tragedies until about 1608, including Hamlet, King Lear, Othello, and Macbeth, considered some of the finest works in the English language. In his last phase, he wrote tragicomedies, also known as romances, and collaborated with other playwrights.\nMany of his plays were published in editions of varying quality and accuracy during his lifetime. In 1623, John Heminges and Henry Condell, two friends and fellow actors of Shakespeare, published the First Folio, a collected edition of his dramatic works that included all but two of the plays now recognised as Shakespeare's. It was prefaced with a poem by Ben Jonson, in which Shakespeare is hailed, presciently, as \"not of an age, but for all time.\"\nShakespeare was a respected poet and playwright in his own day, but his reputation did not rise to its present heights until the 19th century. The Romantics, in particular, acclaimed Shakespeare's genius, and the Victorians worshipped Shakespeare with a reverence that George Bernard Shaw called \"bardolatry\". In the 20th century, his work was repeatedly adopted and rediscovered by new movements in scholarship and performance. His plays remain highly popular today and are constantly studied, performed, and reinterpreted in diverse cultural and political contexts throughout the world.", "title": "William Shakespeare", "image": "http://upload.wikimedia.org/wikipedia/commons/5/50/William_Shakespeare_Statue_in_Lincoln_Park.JPG"}, "Barracks II": {"summary": "Barracks were originally a temporary shelter or hut but are now better known as specialized buildings for permanent military accommodation; the word may apply to separate housing blocks or to complete complexes. Their main object is to separate soldiers from the civilian population and reinforce discipline, training and esprit de corps. They were sometimes called discipline factories for soldiers. Like industrial factories, some are considered to be shoddy or dull buildings, although others are known for their magnificent architecture such as Collins Barracks in Dublin and others in Paris, Berlin, Madrid, Vienna or London.", "title": "Barracks", "image": "http://upload.wikimedia.org/wikipedia/commons/3/3f/Barracks-sweden.jpg"}, "Harbor": {"summary": "A harbor or harbour (see spelling differences), or haven, is a body of water where ships, boats, and barges can seek shelter from stormy weather, or else are stored for future use.\nHarbors can be natural or artificial. An artificial harbor has deliberately constructed breakwaters, sea walls, or jettys, or otherwise, they could have been constructed by dredging, and these require maintenance by further periodic dredging. An example of the artificial harbor is Long Beach Harbor, California, which was an array of salt marshes and tidal flats too shallow for modern merchant ships before it was first dredged in the early 20th century.\nIn contrast, a natural harbor is surrounded on several sides by prominences of land. Examples of natural harbors include San Francisco Bay, California and San Diego Harbor, California.\nHarbors and ports are often confused with each other. A port is a facility for loading and unloading vessels; ports are usually located in harbors.\n\n", "title": "Harbor", "image": "http://upload.wikimedia.org/wikipedia/commons/7/72/Harbour.clovelly.arp.750pix.jpg"}, "Temple": {"summary": "A temple (from the Latin word templum) is a structure reserved for religious or spiritual activities, such as prayer and sacrifice, or analogous rites. A templum constituted a sacred precinct as defined by a priest, or augur. It has the same root as the word \"template,\" a plan in preparation of the building that was marked out on the ground by the augur. Templa also became associated with the dwelling places of a god or gods. Despite the specific set of meanings associated with the religion of the ancient Rome, the word has now become quite widely used to describe a house of worship for any number of religions and is even used for time periods prior to the Romans.\n\n", "title": "Temple", "image": "http://upload.wikimedia.org/wikipedia/commons/6/6b/Ziggarat_of_Ur_001.jpg"}, "Battleship": {"summary": "A battleship is a large armored warship with a main battery consisting of heavy caliber guns. During the late 19th and early 20th centuries the battleship was the most powerful type of warship, and a fleet of battleships was vital for any nation which desired to maintain command of the sea. During World War II, aircraft carriers overtook battleships in power. Some battleships remained in service during the Cold War and the last were decommissioned in the 1990s.\nThe word battleship was coined around 1794 and is a contraction of the phrase line-of-battle ship, the dominant wooden warship during the Age of Sail. The term came into formal use in the late 1880s to describe a type of ironclad warship, now referred to by historians as pre-dreadnought battleships. In 1906, the commissioning of HMS Dreadnought heralded a revolution in battleship design. Following battleship designs, influenced by HMS Dreadnought, were referred to as \"dreadnoughts\".\nBattleships were a symbol of naval dominance and national might, and for decades the battleship was a major factor in both diplomacy and military strategy. The global arms race in battleship construction began in Europe, following the 1890 publication of Alfred Thayer Mahan's The Influence of Sea Power upon History, 1660\u20131783. This arms race culminated at the decisive Battle of Tsushima in 1905; the outcome of which significantly influenced the design of HMS Dreadnought. The launch of Dreadnought in 1906 commenced a new naval arms race which was widely considered to have been an indirect cause of World War I. The Naval Treaties of the 1920s and 1930s limited the number of battleships, though technical innovation in battleship design continued. Both the Allies and the Axis powers deployed battleships during World War II.\nThe value of the battleship has been questioned, even during the period of their prominence. In spite of the immense resources spent on battleships, there were few pitched battleship clashes. Even with their enormous firepower and protection, battleships were increasingly vulnerable to much smaller, cheaper ordnance and craft: initially the torpedo and the naval mine, and later aircraft and the guided missile. The growing range of naval engagements led to the aircraft carrier replacing the battleship as the leading capital ship during World War II, with the last battleship to be launched being HMS Vanguard in 1944. Battleships were retained by the United States Navy into the Cold War for fire support purposes before being stricken from the U.S. Naval Vessel Register in the 2000s.", "title": "Battleship", "image": "http://upload.wikimedia.org/wikipedia/commons/6/69/BS_Bismarck.png"}, "Artillery": {"summary": "Artillery is a class of large military weapons built to fire munitions far beyond the range of infantry's small arms. Early artillery development focused on the ability to breach fortifications, and led to heavy, fairly immobile siege engines. As technology improved, lighter, more mobile field artillery developed for battlefield use. This development continues today; modern self-propelled artillery vehicles are highly mobile weapons of great versatility providing the largest share of an army's total firepower.\nIn its earliest sense, the word artillery referred to any group of soldiers primarily armed with some form of manufactured weapon or armour. Since the introduction of gunpowder and cannon, the word \"artillery\" has largely meant cannon and in contemporary usage it usually refers to shell-firing guns, howitzers, mortars and rockets. In common speech, the word artillery is often used to refer to individual devices along with their accessories and fittings, although these assemblages are more properly called \"equipments\". By association, artillery may also refer to the arm of service that customarily operates such engines.\nArtillery is arguably the most lethal form of land-based armament currently employed and has been since at least the early industrial revolution. The vast majority of combat deaths in the Napoleonic Wars, World War I and World War II were caused by artillery. In 1944, Joseph Stalin said in a speech that artillery was \"the God of War\".", "title": "Artillery", "image": "http://upload.wikimedia.org/wikipedia/commons/6/6c/1526-First_Battle_of_Panipat-Ibrahim_Lodhi_and_Babur.jpg"}, "Coinage": {"summary": "In minting, coining or coinage is the process of manufacturing coins using a kind of stamping which is now generically known in metalworking as \"coining\". This process is different from cast coinage, and can be classified in hammered coinage or hammering and milled coinage or milling.\nA coin die is one of the two metallic pieces that are used to strike one side of a coin. A die contains an inverse version of the image to be struck on the coin.\nModern dies made out of hardened steel are capable of producing many hundreds of thousands of coins before they are retired and defaced.", "title": "Coining (mint)", "image": "http://upload.wikimedia.org/wikipedia/commons/3/3b/Claudius_II_coin_%28colourised%29.png"}, "J.S. Bach's Cathedral": {"summary": "James Kibbie (born March 13, 1949) is an American concert organist, recording artist and pedagogue. He is Chair of the Organ Department at the University of Michigan.", "title": "James Kibbie", "image": "http://upload.wikimedia.org/wikipedia/en/c/c8/James_Kibbie.jpg"}, "Oracle": {"summary": "In Classical Antiquity, an oracle was a person or agency considered to interface wise counsel or prophetic predictions or precognition of the future, inspired by the gods. As such it is a form of divination.\nThe word oracle comes from the Latin verb \u014dr\u0101re \"to speak\" and properly refers to the priest or priestess uttering the prediction. In extended use, oracle may also refer to the site of the oracle, and to the oracular utterances themselves, called khr\u0113smoi (\u03c7\u03c1\u03b7\u03c3\u03bc\u03bf\u03af) in Greek.\nOracles were thought to be portals through which the gods spoke directly to people. In this sense they were different from seers (manteis, \u03bc\u03ac\u03bd\u03c4\u03b5\u03b9\u03c2) who interpreted signs sent by the gods through bird signs, animal entrails, and other various methods.\nThe most important oracles of Greek antiquity were Pythia, priestess to Apollo at Delphi, and the oracle of Dione and Zeus at Dodona in Epirus. Other temples of Apollo were located at Didyma on the coast of Asia Minor, at Corinth and Bassae in the Peloponnese, and at the islands of Delos and Aegina in the Aegean Sea. The Sibylline Oracles are a collection of oracular utterances written in Greek hexameters ascribed to the Sibyls, prophetesses who uttered divine revelations in a frenzied state.\n\n", "title": "Oracle", "image": "http://upload.wikimedia.org/wikipedia/commons/2/23/John_William_Waterhouse_oracle_1884.png"}, "Flight": {"summary": "Flight is the process by which an object moves, through an atmosphere (especially the air) or beyond it (as in the case of spaceflight), by generating aerodynamic lift, propulsive thrust, aerostatically using buoyancy, or by ballistic movement, without direct support from any surface.\nMany things fly, from natural aviators such as birds, bats and insects to human inventions such as missiles, aircraft such as airplanes, helicopters and balloons, to rockets such as spacecraft.\nThe engineering aspects of flight are studied in aerospace engineering which is subdivided into aeronautics, the study of vehicles that travel through the air, and astronautics, the study of vehicles that travel through space, and in ballistics, the study of the flight of projectiles.\n\n", "title": "Flight", "image": "http://upload.wikimedia.org/wikipedia/commons/3/30/Stripe-tailed_Hummingbird.jpg"}, "Phalanx": {"summary": "The phalanx (Ancient Greek: \u03c6\u03ac\u03bb\u03b1\u03b3\u03be, Modern Greek: \u03c6\u03ac\u03bb\u03b1\u03b3\u03b3\u03b1, ph\u0101langa; plural phalanxes or phalanges; Ancient and Modern Greek: \u03c6\u03ac\u03bb\u03b1\u03b3\u03b3\u03b5\u03c2, ph\u0101langes) is a rectangular mass military formation, usually composed entirely of heavy infantry armed with spears, pikes, sarissas, or similar weapons. The term is particularly (and originally) used to describe the use of this formation in Ancient Greek warfare, although the ancient Greek writers used it to also describe any massed infantry formation, regardless of its equipment, as does Arrian in his Array against the Alans when he refers to his legions. In Greek texts, the phalanx may be deployed for battle, on the march, even camped, thus describing the mass of infantry or cavalry that would deploy in line during battle. They marched forward as one entity. The word phalanx is derived from the Greek word phalanx, meaning finger.\nThe term itself, as used today, does not refer to a distinctive military unit or division (e.g., the Roman legion or the contemporary Western-type battalion) but to the general formation of an army's troops. Thus a phalanx does not have a standard combat strength or composition but includes the total number of infantry, which is or will be deployed in action in a single phalanx formation.\nMany spear-armed troops historically fought in what might be termed phalanx-like formations. The word has come into use in common English to describe \"a group of people standing, or moving forward closely together\"; c.f. \"a phalanx of police\".\nThis article focuses on the use of the military phalanx formation in Ancient Greece, the Hellenistic world, and other ancient states heavily influenced by Greek civilization.\n\nThe earliest known depiction of a phalanx-like formation occurs in a Sumerian stele from the 25th century BC. Here the troops seem to have been equipped with spears, helmets, and large shields covering the whole body. Ancient Egyptian infantry were known to have employed similar formations. The first usage of the term phalanx comes from Homer's \"(\u03c6\u03b1\u03bb\u03b1\u03b3\u03be)\", used to describe hoplites fighting in an organized battle line. Homer used the term to differentiate the formation-based combat from the individual duels so often found in his poems.\nHistorians have not arrived at a consensus about the relationship between the Greek formation and these predecessors of the hoplites. The principles of shield wall and spear hedge were almost universally known among the armies of major civilizations throughout history, and so the similarities may be related to convergent evolution instead of diffusion.\nTraditionally historians date the origin of the hoplite phalanx of ancient Greece to the 8th century BC in Sparta, but this is under revision. It is perhaps more likely that the formation was devised in the 7th century BC after the introduction of the aspis (a shield also known as the hoplon) by the city of Argos, which would have made the formation possible. This is further evidenced by the Chigi vase, dated to 650 BC, identifying hoplites armed with aspis, spear and panoply.\nAnother possible theory as to the birth of Greek phalanx warfare stems from the idea that some of the basic aspects of the phalanx were present in earlier times yet were not fully developed due to the lack of appropriate technology. Two of the basic strategies seen in earlier warfare include the principle of cohesion and the use of large groups of soldiers. This would suggest that the Greek phalanx was rather the culmination and perfection of a slowly developed idea which originated many years earlier. As weaponry and armour advanced through the years in different city-states the phalanx became complex and effective.", "title": "Phalanx", "image": "http://upload.wikimedia.org/wikipedia/commons/1/1e/Phalanx_loose.jpg"}, "Isaac Newton's College": {"summary": "Sir Isaac Newton PRS MP (/\u02c8nju\u02d0t\u0259n/; 25 December 1642 \u2013 20 March 1727) was an English physicist and mathematician (described in his own day as a \"natural philosopher\") who is widely recognised as one of the most influential scientists of all time and as a key figure in the scientific revolution. His book Philosophi\u00e6 Naturalis Principia Mathematica (\"Mathematical Principles of Natural Philosophy\"), first published in 1687, laid the foundations for classical mechanics. Newton also made seminal contributions to optics and shares credit with Gottfried Leibniz for the invention of calculus.\nNewton's Principia formulated the laws of motion and universal gravitation, which dominated scientists' view of the physical universe for the next three centuries. By deriving Kepler's laws of planetary motion from his mathematical description of gravity, and then using the same principles to account for the trajectories of comets, the tides, the precession of the equinoxes, and other phenomena, Newton removed the last doubts about the validity of the heliocentric model of the cosmos. This work also demonstrated that the motion of objects on Earth and of celestial bodies could be described by the same principles. His prediction that the Earth should be shaped as an oblate spheroid was later vindicated by the measurements of Maupertuis, La Condamine, and others, which helped convince most Continental European scientists of the superiority of Newtonian mechanics over the earlier system of Descartes.\nNewton also built the first practical reflecting telescope and developed a theory of colour based on the observation that a prism decomposes white light into the many colours of the visible spectrum. He formulated an empirical law of cooling, studied the speed of sound, and introduced the notion of a Newtonian fluid. In addition to his work on calculus, as a mathematician Newton contributed to the study of power series, generalised the binomial theorem to non-integer exponents, and developed Newton's method for approximating the roots of a function.\nNewton was a fellow of Trinity College and the second Lucasian Professor of Mathematics at the University of Cambridge. He was a devout but unorthodox Christian and, unusually for a member of the Cambridge faculty of the day, he refused to take holy orders in the Church of England, perhaps because he privately rejected the doctrine of the Trinity. Beyond his work on the mathematical sciences, Newton dedicated much of his time to the study of biblical chronology and alchemy, but most of his work in those areas remained unpublished until long after his death. In his later life, Newton became president of the Royal Society. He also served the British government as Warden and Master of the Royal Mint.", "title": "Isaac Newton", "image": "http://upload.wikimedia.org/wikipedia/commons/b/b8/Newton_25.jpg"}, "Workers": {"summary": "A laborer or labourer \u2014 see variation in English spelling \u2014 is a person who does one of the construction trades, traditionally considered unskilled manual labor, as opposed to skilled labor. In the division of labor, laborers have all blasting, hand tools, power tools, air tools, and small heavy equipment, and act as assistants to other trades, e.g., operators or cement masons. The 1st century BC engineer Vitruvius writes in detail about laborer practices at that time. In his experience a good crew of laborers is just as valuable as any other aspect of construction. Other than the addition of pneumatics, laborer practices have changed little. With the advent of advanced technology and its introduction into the construction field, the laborers have been quick to include much of this technology as being laborers work.", "title": "Laborer", "image": "http://upload.wikimedia.org/wikipedia/commons/1/18/Laborer.jpg"}, "Courthouse": {"summary": "A courthouse (sometimes spelled court house) is a building that is home to a local court of law and often the regional county government as well, although this is not the case in some larger cities. The term is common in North America. In most other English speaking countries, buildings which house courts of law are simply called \"courts\" or \"court buildings\". In most of Continental Europe and former non-English speaking European colonies, the equivalent term is a palace of justice (\"Palais de Justice\").", "title": "Courthouse", "image": "http://upload.wikimedia.org/wikipedia/commons/1/16/Halifax_Court_House.JPG"}, "Great Wall": {"summary": "The Great Wall of China is a series of fortifications made of stone, brick, tamped earth, wood, and other materials, generally built along an east-to-west line across the historical northern borders of China in part to protect the Chinese Empire or its prototypical states against intrusions by various nomadic groups or military incursions by various warlike peoples or forces. Several walls were being built as early as the 7th century BC; these, later joined together and made bigger and stronger, are now collectively referred to as the Great Wall. Especially famous is the wall built between 220\u2013206 BC by the first Emperor of China, Qin Shi Huang. Little of that wall remains. Since then, the Great Wall has on and off been rebuilt, maintained, and enhanced; the majority of the existing wall are from the Ming Dynasty.\nOther purposes of the Great Wall have included border controls, allowing the imposition of duties on goods transported along the Silk Road, regulation or encouragement of trade and the control of immigration and emigration. Furthermore, the defensive characteristics of the Great Wall were enhanced by the construction of watch towers, troop barracks, garrison stations, signaling capabilities through the means of smoke or fire, and the fact that the path of the Great Wall also served as a transportation corridor.\nThe main Great Wall line stretches from Shanhaiguan in the east, to Lop Lake in the west, along an arc that roughly delineates the southern edge of Inner Mongolia. A comprehensive archaeological survey, using advanced technologies, has concluded that the Ming walls measure 8,850 km (5,500 mi). This is made up of 6,259 km (3,889 mi) sections of actual wall, 359 km (223 mi) of trenches and 2,232 km (1,387 mi) of natural defensive barriers such as hills and rivers. Another archaeological survey found that the entire wall with all of its branches measure out to be 21,196 km (13,171 mi).\n\n", "title": "Great Wall of China", "image": "http://upload.wikimedia.org/wikipedia/commons/1/10/20090529_Great_Wall_8185.jpg"}, "Railroad": {"summary": "Rail transport is a means of conveyance of passengers and goods, by way of wheeled vehicles running on rails. It is also commonly referred to as train transport. In contrast to road transport, where vehicles merely run on a prepared surface, rail vehicles are also directionally guided by the tracks on which they run. Track usually consists of steel rails installed on sleepers/ties and ballast, on which the rolling stock, usually fitted with metal wheels, moves. However, other variations are also possible, such as slab track where the rails are fastened to a concrete foundation resting on a prepared subsurface.\nRolling stock in railway transport systems generally has lower frictional resistance when compared with highway vehicles and the passenger and freight cars (carriages and wagons) can be coupled into longer trains. The operation is carried out by a railway company, providing transport between train stations or freight customer facilities. Power is provided by locomotives which either draw electrical power from a railway electrification system or produce their own power, usually by diesel engines. Most tracks are accompanied by a signalling system. Railways are a safe land transport system when compared to other forms of transport. Railway transport is capable of high levels of passenger and cargo utilization and energy efficiency, but is often less flexible and more capital-intensive than highway transport is, when lower traffic levels are considered.\nThe oldest, man-hauled railways date back to the 6th century B.C, with Periander, one of the Seven Sages of Greece, credited with its invention. Rail transport blossomed after the British development of the steam locomotive as a viable source of the power in the 18th and 19th centuries. With steam engines, it was possible to construct mainline railways, which were a key component of the industrial revolution. Also, railways reduced the costs of shipping, and allowed for fewer lost goods, compared with shipping, which faced occasional sinking of ships. The change from canals to railways allowed for \"national markets\" in which prices varied very little from city to city. Studies have shown that the invention and development of the railway in Europe was one of the most important technological inventions of the late 19th century for the United States, without which, GDP would have been lower by 7.0% in 1890.\nIn the 1880s, electrified trains were introduced, and also the first tramways and rapid transit systems came into being. Starting during the 1940s, the non-electrified railways in most countries had their steam locomotives replaced by diesel-electric locomotives, with the process being almost complete by 2000. During the 1960s, electrified high-speed railway systems were introduced in Japan and a few other countries. Other forms of guided ground transport outside the traditional railway definitions, such as monorail or maglev, have been tried but have seen limited use.\n\n", "title": "Rail transport", "image": "http://upload.wikimedia.org/wikipedia/en/1/1b/European_railway_map.jpg"}, "AEGIS Cruiser": {"summary": "The Aegis Combat System is an integrated naval weapons system developed by the Missile and Surface Radar Division of RCA, and now produced by Lockheed Martin. It uses powerful computer and radar technology to track and guide weapons to destroy enemy targets.\nInitially used by the United States Navy, Aegis is now used also by the Japan Maritime Self-Defense Force, Spanish Navy, Royal Norwegian Navy, and Republic of Korea Navy. Over 100 Aegis-equipped ships have been deployed in five navies worldwide. The Royal Australian Navy has selected the Aegis system for placement on its new Air Warfare Destroyers, and it is part of NATO's European missile defence system.", "title": "Aegis Combat System", "image": "http://upload.wikimedia.org/wikipedia/commons/7/75/DDG173_JDS_Kongo.jpg"}, "Space Module": {"summary": "The BA 330 (previously known as the Nautilus space complex module) is the complete, full-scale production model of Bigelow Aerospace's expandable space habitation module program. It will have 330 cubic metres (12,000 cu ft) of internal space, hence its numeric designation.\nThe craft will support zero-gravity research including scientific missions and manufacturing processes. Beyond its industrial and scientific purposes, however, it has potential as a destination for space tourism and a craft for missions destined for the Moon and Mars.\nThe habitat could be ready to launch as early as 2017.", "title": "BA 330", "image": "http://upload.wikimedia.org/wikipedia/en/0/01/Bigelow_BA-330_rendering.jpg"}, "Knights": {"summary": "A knight (/na\u026at/) is a person granted an honorary title of knighthood by a monarch or other political leader for service to the Monarch or country, especially in a military capacity. Historically, in Europe, knighthood has been conferred upon mounted warriors. During the High Middle Ages, knighthood was considered a class of lower nobility. By the Late Middle Ages, the rank had become associated with the ideals of chivalry, a code of conduct for the perfect courtly Christian warrior. Often, a knight was a vassal who served as a fighter for a lord, with payment in the form of land holdings. The lords trusted the knights, who were skilled in battle on horseback. Since the early modern period, the title of knight is purely honorific, usually bestowed by a monarch, as in the British honours system, often for non-military service to the country.\nHistorically, the ideals of chivalry were popularized in medieval literature, especially the Matter of Britain and Matter of France, the former based on Geoffrey of Monmouth's Historia Regum Britanniae (\"History of the Kings of Britain\"), written in the 1130s. Sir Thomas Malory's Le Morte d'Arthur (\"The Death of Arthur\"), written in 1485, was important in defining the ideal of chivalry which is essential to the modern concept of the knight as an elite warrior sworn to uphold the values of faith, loyalty, courage, and honour. During the Renaissance, the genre of chivalric romance became popular in literature, growing ever more idealistic and eventually giving rise to a new form of realism in literature popularised by Miguel de Cervantes' Don Quixote. This novel explored the ideals of knighthood and their incongruity with the reality of Cervantes' world. In the late medieval period, new methods of warfare began to render classical knights in armour obsolete, but the titles remained in many nations.\nSome orders of knighthood, such as the Knights Templar, have become the subject of legend; others have disappeared into obscurity. Today, a number of orders of knighthood continue to exist in several countries, such as the English Order of the Garter, the Swedish Royal Order of the Seraphim, and the Royal Norwegian Order of St. Olav. Each of these orders has its own criteria for eligibility, but knighthood is generally granted by a head of state to selected persons to recognise some meritorious achievement.\nKnighthood in the Middle Ages was closely linked with horsemanship (and especially the joust) from its origins in the 12th century until its final flowering as a fashion among the high nobility in the Duchy of Burgundy in the 15th century. This linkage is reflected in the etymology of chivalry, cavalier and related terms (see Etymology section below). The special prestige given to mounted warriors finds a parallel in the furusiyya in the Muslim world, and the Greek hippeus and the Roman eques of Classical Antiquity.", "title": "Knight", "image": "http://upload.wikimedia.org/wikipedia/commons/0/00/OsmanenDeutscheKavallerie-1-.jpg"}, "Theory of Gravity": {"summary": "Gravitation, or gravity, is a natural phenomenon by which all physical bodies attract each other. It is most commonly recognized and experienced as the agent that gives weight to physical objects and causes physical objects to fall toward the ground when dropped from a height.\nIt is hypothesized that the gravitational force is mediated by a massless spin-2 particle called the graviton. Gravity is one of the four fundamental forces of nature, along with electromagnetism, and the nuclear strong force and weak force. Colloquially, gravitation is a force of attraction that acts between and on all physical objects with matter (mass) or energy. In modern physics, gravitation is most accurately described by the general theory of relativity proposed by Einstein, which asserts that the phenomenon of gravitation is a consequence of the curvature of spacetime. In pursuit of a theory of everything, the merging of general relativity and quantum mechanics (or quantum field theory) into a more general theory of quantum gravity has become an area of active research. Newton's law of universal gravitation postulates that the gravitational force of two bodies of mass is directly proportional to the product of their masses and inversely proportional to the square of the distance between them. It provides an accurate approximation for most physical situations including spacecraft trajectory. Newton's laws of motion are also based on the influence of gravity, encompassing three physical laws that lay down the foundations for classical mechanics.\nDuring the grand unification epoch, gravity separated from the electronuclear force. Gravity is the weakest of the four fundamental forces and appears to have unlimited range (unlike the strong or weak force). The gravitational force is approximately 10\u221238 times the strength of the strong force (i.e., gravity is 38 orders of magnitude weaker), 10\u221236 times the strength of the electromagnetic force, and 10\u221229 times the strength of the weak force. As a consequence, gravity has a negligible influence on the behavior of sub-atomic particles, and plays no role in determining the internal properties of everyday matter. On the other hand, gravity is the dominant force at the macroscopic scale, that is the cause of the formation, shape, and trajectory (orbit) of astronomical bodies, including those of asteroids, comets, planets, stars, and galaxies. It is responsible for causing the Earth and the other planets to orbit the Sun; for causing the Moon to orbit the Earth; for the formation of tides; for natural convection, by which fluid flow occurs under the influence of a density gradient and gravity; for heating the interiors of forming stars and planets to very high temperatures; for solar system, galaxy, stellar formation and evolution; and for various other phenomena observed on Earth and throughout the universe. This is the case for several reasons: gravity is the only force acting on all particles with mass; it has an infinite range; it is always attractive and never repulsive; and it cannot be absorbed, transformed, or shielded against. Even though electromagnetism is far stronger than gravity, electromagnetism is not relevant to astronomical objects, since such bodies have an equal number of protons and electrons that cancel out (i.e., a net electric charge of zero).", "title": "Gravitation", "image": "http://upload.wikimedia.org/wikipedia/commons/8/83/Sir_Isaac_Newton_%281643-1727%29.jpg"}, "Rocketry": {"summary": "A rocket is a missile, spacecraft, aircraft or other vehicle that obtains thrust from a rocket engine. Rocket engine exhaust is formed entirely from propellants carried within the rocket before use. Rocket engines work by action and reaction. Rocket engines push rockets forward by expelling their exhaust in the opposite direction at high speed. Rockets rely on momentum, airfoils, auxiliary reaction engines, gimballed thrust, momentum wheels, deflection of the exhaust stream, propellant flow, spin, and/or gravity to help control flight.\nRockets are relatively lightweight and powerful, capable of generating large accelerations and of attaining extremely high speeds with reasonable efficiency. Rockets are not reliant on the atmosphere and work very well in space.\nRockets for military and recreational uses date back to at least 13th century China. Significant scientific, interplanetary and industrial use did not occur until the 20th century, when rocketry was the enabling technology for the Space Age, including setting foot on the moon. Rockets are now used for fireworks, weaponry, ejection seats, launch vehicles for artificial satellites, human spaceflight, and space exploration.\nChemical rockets are the most common type of high power rocket, typically creating a high speed exhaust by the combustion of fuel with an oxidizer. The stored propellant can be a simple pressurized gas or a single liquid that disassociates in the presence of a catalyst (monopropellants), two liquids that spontaneously react on contact (hypergolic propellants), two liquids that must be ignited to react, a solid combination of one or more fuels with one or more oxidizers (solid fuel), or solid fuel with liquid oxidant (hybrid propellant system). Chemical rockets store a large amount of energy in an easily released form, and can be very dangerous. However, careful design, testing, construction and use minimizes risks.", "title": "Rocket", "image": "http://upload.wikimedia.org/wikipedia/commons/c/c3/Ap4-s67-50531.jpg"}, "Port Facility": {"summary": "A port is a location on a coast or shore containing one or more harbors where ships can dock and transfer people or cargo to or from land. Port locations are selected to optimize access to land and navigable water, for commercial demand, and for shelter from wind and waves. Ports with deeper water are rarer, but can handle larger, more economical ships. Since ports throughout history handled every kind of traffic, support and storage facilities vary widely, may extend for miles, and dominate the local economy. Some ports have an important military role.", "title": "Port", "image": "http://upload.wikimedia.org/wikipedia/commons/d/dd/Downtown_Manhattan_From_Aeroplane.jpg"}, "Horsemen": {"summary": "Equestrianism (from Latin equester, equestr-, horseman, horse) more often known as riding, horseback riding (American English) or horse riding (British English) referring to the skill of riding, driving, steeplechasing or vaulting with horses. This broad description includes the use of horses for practical working purposes, transportation, recreational activities, artistic or cultural exercises, and competitive sport.", "title": "Equestrianism", "image": "http://upload.wikimedia.org/wikipedia/commons/f/fa/Horse_riding_in_coca_cola_arena_-_melbourne_show_2005.jpg"}, "Nuclear Fission": {"summary": "In nuclear physics and nuclear chemistry, nuclear fission is either a nuclear reaction or a radioactive decay process in which the nucleus of an atom splits into smaller parts (lighter nuclei). The fission process often produces free neutrons and photons (in the form of gamma rays), and releases a very large amount of energy even by the energetic standards of radioactive decay.\nNuclear fission of heavy elements was discovered on December 17, 1938 by Otto Hahn and his assistant Fritz Strassmann, and explained theoretically in January 1939 by Lise Meitner and her nephew Otto Robert Frisch. Frisch named the process by analogy with biological fission of living cells. It is an exothermic reaction which can release large amounts of energy both as electromagnetic radiation and as kinetic energy of the fragments (heating the bulk material where fission takes place). In order for fission to produce energy, the total binding energy of the resulting elements must be greater than that of the starting element.\nFission is a form of nuclear transmutation because the resulting fragments are not the same element as the original atom. The two nuclei produced are most often of comparable but slightly different sizes, typically with a mass ratio of products of about 3 to 2, for common fissile isotopes. Most fissions are binary fissions (producing two charged fragments), but occasionally (2 to 4 times per 1000 events), three positively charged fragments are produced, in a ternary fission. The smallest of these fragments in ternary processes ranges in size from a proton to an argon nucleus.\nFission as encountered in the modern world is usually a deliberately produced man-made nuclear reaction induced by a neutron. It is less commonly encountered as a natural form of spontaneous radioactive decay (not requiring a neutron), occurring especially in very high-mass-number isotopes. The unpredictable composition of the products (which vary in a broad probabilistic and somewhat chaotic manner) distinguishes fission from purely quantum-tunnelling processes such as proton emission, alpha decay and cluster decay, which give the same products each time. Nuclear fission produces energy for nuclear power and drives the explosion of nuclear weapons. Both uses are possible because certain substances called nuclear fuels undergo fission when struck by fission neutrons, and in turn emit neutrons when they break apart. This makes possible a self-sustaining nuclear chain reaction that releases energy at a controlled rate in a nuclear reactor or at a very rapid uncontrolled rate in a nuclear weapon.\nThe amount of free energy contained in nuclear fuel is millions of times the amount of free energy contained in a similar mass of chemical fuel such as gasoline, making nuclear fission a very dense source of energy. The products of nuclear fission, however, are on average far more radioactive than the heavy elements which are normally fissioned as fuel, and remain so for significant amounts of time, giving rise to a nuclear waste problem. Concerns over nuclear waste accumulation and over the destructive potential of nuclear weapons may counterbalance the desirable qualities of fission as an energy source, and give rise to ongoing political debate over nuclear power.", "title": "Nuclear fission", "image": "http://upload.wikimedia.org/wikipedia/commons/e/e0/Nagasakibomb.jpg"}, "Mobile Warfare": {"summary": "Mobile Warfare is the correct English phrase for Mao Zedong's main military methods. For the general topic of military mobility, see maneuver warfare.\nThe achievements of Mao and the Communists in the Chinese Civil War are normally referred to as guerrilla warfare. But he himself made a distinction between Mobile Warfare (\u8fd0\u52a8\u6218 yundong zhan), Positional Warfare (\u9635\u5730\u6218 zhendi zhan) and guerrilla warfare (\u6e38\u51fb\u6218 youji zhan).\nMao had a regular army that was far too big to hide, but made a point of conceding territory and avoiding battle until he was ready to fight.\nThe most notable example was the Long March, a massive military retreat in which Mao marched in circles in Guizhou until he had confused the vastly larger armies pursuing him, and was then able to slip through Yunnan and Sichuan, although the retreat was completed by only one-tenth of the force that left for the Long March at Jiangxi. A sensible comparison would be Robert E. Lee's surrender at Appomattox Court House, though he was never outnumbered to the degree Mao regularly was.\nThese military methods were part of the military-political strategy of people's war, which aims to win the support of the local population.\nThe Chinese People's Volunteer Army's first five campaigns in the Korean War were Mobile Warfare, in which the PVA encircled the enemy through maneuvers and sought to annihilate the enemy. Then it entered a stage of Positional Warfare, when both the PVA and UN forces fought to a stalemate along the 38th parallel north.\n\n", "title": "Mobile Warfare", "image": null}, "Solar Plant": {"summary": "Solar energy, radiant light and heat from the sun, is harnessed using a range of ever-evolving technologies such as solar heating, solar photovoltaics, solar thermal electricity, solar architecture and artificial photosynthesis.\nSolar technologies are broadly characterized as either passive solar or active solar depending on the way they capture, convert and distribute solar energy. Active solar techniques include the use of photovoltaic panels and solar thermal collectors to harness the energy. Passive solar techniques include orienting a building to the Sun, selecting materials with favorable thermal mass or light dispersing properties, and designing spaces that naturally circulate air.\nIn 2011, the International Energy Agency said that \"the development of affordable, inexhaustible and clean solar energy technologies will have huge longer-term benefits. It will increase countries\u2019 energy security through reliance on an indigenous, inexhaustible and mostly import-independent resource, enhance sustainability, reduce pollution, lower the costs of mitigating climate change, and keep fossil fuel prices lower than otherwise. These advantages are global. Hence the additional costs of the incentives for early deployment should be considered learning investments; they must be wisely spent and need to be widely shared\".", "title": "Solar energy", "image": "http://upload.wikimedia.org/wikipedia/commons/e/e5/12-05-08_AS1.JPG"}, "Cure For Cancer": {"summary": "Cancer research is basic research into cancer in order to identify causes and develop strategies for prevention, diagnosis, treatments and cure.\nCancer research ranges from epidemiology, molecular bioscience to the performance of clinical trials to evaluate and compare applications of the various cancer treatment. These applications include surgery, radiation therapy, chemotherapy, hormone therapy, Immunotherapy and combined treatment modalities such as chemo-radiotherapy. Starting in the mid-1990s, the emphasis in clinical cancer research shifted towards therapies derived from biotechnology research, such as immunotherapy and gene therapy.", "title": "Cancer research", "image": "http://upload.wikimedia.org/wikipedia/commons/a/a2/Gemini_X2_generator.jpg"}, "Howitzer": {"summary": "A howitzer is a type of artillery piece characterized by a relatively short barrel and the use of comparatively small propellant charges to propel projectiles at relatively high trajectories, with a steep angle of descent. Until fairly recently, about the end of the Second World War, such weapons were characterized by a barrel length 15 to 25 times the caliber of the gun.\nIn the taxonomies of artillery pieces used by European (and European-style) armies in the 17th, 18th, 19th, and 20th centuries, the howitzer stood between the \"gun\" (characterized by a longer barrel, larger propelling charges, smaller shells, higher velocities, and flatter trajectories) and the \"mortar\" (which was meant to fire at even higher angles of ascent and descent). Howitzers, like other artillery pieces, are usually organized in groups called batteries.\n\n", "title": "Howitzer", "image": "http://upload.wikimedia.org/wikipedia/en/2/23/Keegan%27s_howitzer.jpg"}, "Leonardo's Workshop": {"summary": "Leonardo di ser Piero da Vinci (Italian pronunciation: [leo\u02c8nardo da v\u02c8vint\u0283i]  pronunciation ; 15 April 1452 \u2013 2 May 1519, Old Style) was an Italian Renaissance polymath: painter, sculptor, architect, musician, mathematician, engineer, inventor, anatomist, geologist, cartographer, botanist, and writer. His genius, perhaps more than that of any other figure, epitomized the Renaissance humanist ideal. Leonardo has often been described as the archetype of the Renaissance Man, a man of \"unquenchable curiosity\" and \"feverishly inventive imagination\". He is widely considered to be one of the greatest painters of all time and perhaps the most diversely talented person ever to have lived. According to art historian Helen Gardner, the scope and depth of his interests were without precedent and \"his mind and personality seem to us superhuman, the man himself mysterious and remote\". Marco Rosci states that while there is much speculation about Leonardo, his vision of the world is essentially logical rather than mysterious, and that the empirical methods he employed were unusual for his time.\nBorn out of wedlock to a notary, Piero da Vinci, and a peasant woman, Caterina, in Vinci in the region of Florence, Leonardo was educated in the studio of the renowned Florentine painter Verrocchio. Much of his earlier working life was spent in the service of Ludovico il Moro in Milan. He later worked in Rome, Bologna and Venice, and he spent his last years in France at the home awarded him by Francis I.\nLeonardo was, and is, renowned primarily as a painter. Among his works, the Mona Lisa is the most famous and most parodied portrait and The Last Supper the most reproduced religious painting of all time, with their fame approached only by Michelangelo's The Creation of Adam. Leonardo's drawing of the Vitruvian Man is also regarded as a cultural icon, being reproduced on items as varied as the euro coin, textbooks, and T-shirts. Perhaps fifteen of his paintings have survived, the small number because of his constant, and frequently disastrous, experimentation with new techniques, and his chronic procrastination. Nevertheless, these few works, together with his notebooks, which contain drawings, scientific diagrams, and his thoughts on the nature of painting, compose a contribution to later generations of artists rivalled only by that of his contemporary, Michelangelo.\nLeonardo is revered for his technological ingenuity. He conceptualised flying machines, an armoured vehicle, concentrated solar power, an adding machine, and the double hull, also outlining a rudimentary theory of plate tectonics. Relatively few of his designs were constructed or were even feasible during his lifetime, but some of his smaller inventions, such as an automated bobbin winder and a machine for testing the tensile strength of wire, entered the world of manufacturing unheralded. He made important discoveries in anatomy, civil engineering, optics, and hydrodynamics, but he did not publish his findings and they had no direct influence on later science.", "title": "Leonardo da Vinci", "image": "http://upload.wikimedia.org/wikipedia/commons/8/85/Leonardo_da_Vinci_-_Plan_of_Imola_-_Google_Art_Project.jpg"}, "Combined Arms": {"summary": "Combined arms is an approach to warfare which seeks to integrate different combat arms of a military to achieve mutually complementary effects (for example, using infantry and armor in an urban environment, where one supports the other, or both support each other). Combined arms doctrine contrasts with segregated arms where each military unit is composed of only one type of soldier or weapon system. Segregated arms is the traditional method of unit/force organisation, employed to provide maximum unit cohesion and concentration of force in a given weapon or unit type.\nThough the lower-echelon units of a combined arms team may be of similar types, a balanced mixture of such units are combined into an effective higher-echelon unit, whether formally in a table of organization or informally in an ad hoc solution to a battlefield problem. For example an armored division\u2014the modern paragon of combined arms doctrine\u2014consists of a mixture of infantry, tank, artillery, reconnaissance, and perhaps even helicopter units, all coordinated and directed by a unified command structure.\nAlso, most modern military units can, if the situation requires it, call on yet more branches of the military, such as fighter or bomber aircraft or naval forces, to support their operations. The mixing of arms is sometimes pushed down below the level where homogeneity ordinarily prevails, for example by temporarily attaching a tank company to an infantry battalion.", "title": "Combined arms", "image": null}, "Galleon": {"summary": "A galleon was a large, multi-decked sailing ship used primarily by European states from the 16th to 18th centuries.", "title": "Galleon", "image": "http://upload.wikimedia.org/wikipedia/commons/8/82/Galleon%2C_Carracks%2C_Galley_and_Galeota-_Routemap_of_the_Red_Sea-1540_by_D._Jo%C3%A3o_de_Castro.jpg"}, "Cruiser": {"summary": "A cruiser is a type of warship. The term has been in use for several hundred years, and has had different meanings throughout this period. During the Age of Sail, the term cruising referred to certain kinds of missions \u2013 independent scouting, raiding or commerce protection \u2013 fulfilled by a frigate or sloop, which were the cruising warships of a fleet.\nFrom the middle of the 19th century, cruiser came to be a classification for the ships intended for this kind of role, though cruisers came in a wide variety of sizes, from the small protected cruiser to armored cruisers which were as large (though not as powerful) as a battleship.\nBy the early 20th century, cruisers could be placed on a consistent scale of warship size, smaller than a battleship but larger than a destroyer. In 1922, the Washington Naval Treaty placed a formal limit on cruisers, which were defined as warships of up to 10,000 tons displacement carrying guns no larger than 8 inches in calibre. These limits shaped cruisers up until the end of World War II. The very large battlecruisers of the World War I era were now classified, along with battleships, as capital ships.\nIn the later 20th century, the obsolescence of the battleship left the cruiser as the largest and most powerful surface combatant. The role of the cruiser varied according to ship and navy, often including air defense, commerce raiding and shore bombardment. The U.S. Navy in the Cold War period built guided-missile cruisers primarily designed to provide air defense, while the navy of the USSR built battlecruisers with heavy anti-ship missiles designed to sink NATO carrier task forces.\nCurrently only three nations, the United States, Russia, and Peru (BAP Almirante Grau (CLM-81) while still in service with the Peruvian Navy), operate cruisers, though the line between cruisers and destroyers is once again blurred. New models of destroyers (for instance the Zumwalt class) are often larger and more powerful than cruiser classes they replace.", "title": "Cruiser", "image": "http://upload.wikimedia.org/wikipedia/commons/0/0a/Jeanne_D_Arc_4.jpg"}, "Legion": {"summary": "L.E.G.I.O.N. is a science fiction comic book created by Keith Giffen, Bill Mantlo and Todd McFarlane and published by DC Comics. The principal subject of the comic book is a team of fictional extraterrestrial superheroes. The characters first appeared in Invasion! #1 (December 1988). The original series chronicled the formation and activity of an interplanetary police force whose mission was to act as a peace-keeping force in their galaxy.", "title": "L.E.G.I.O.N.", "image": "http://upload.wikimedia.org/wikipedia/en/c/ce/Legion90.png"}, "Bomber": {"summary": "A bomber is a military aircraft designed to attack ground and sea targets, by dropping bombs on them, firing torpedoes at them, or, more recently, by launching cruise missiles at them.", "title": "Bomber", "image": "http://upload.wikimedia.org/wikipedia/commons/3/35/Bristol_two_seater.jpg"}, "Michelangelo's Chapel": {"summary": "The Sistine Chapel (Latin: Sacellum Sixtinum; Italian: Cappella Sistina) is a large and renowned chapel of the Apostolic Palace, the official residence of the Pope in the Vatican City. Originally known as the Cappella Magna, the chapel takes its name from Pope Sixtus IV, who restored it between 1477 and 1480. Since that time, the chapel has served as a place of both religious and functionary papal activity. Today it is the site of the Papal conclave, the process by which a new Pope is selected. The fame of the Sistine Chapel lies mainly in the frescos that decorate the interior, and most particularly the Sistine Chapel ceiling and The Last Judgment by Michelangelo.\nDuring the reign of Sixtus IV, a team of Renaissance painters that included Sandro Botticelli, Pietro Perugino, Pinturicchio, Domenico Ghirlandaio and Cosimo Roselli, created a series of frescos depicting the Life of Moses and the Life of Christ, offset by papal portraits above and trompe l\u2019oeil drapery below. These paintings were completed in 1482, and on 15 August 1483 Sixtus IV celebrated the first mass in the Sistine Chapel for the Feast of the Assumption, at which ceremony the chapel was consecrated and dedicated to the Virgin Mary.\nBetween 1508 and 1512, under the patronage of Pope Julius II, Michelangelo painted the Sistine Chapel ceiling, a masterpiece without precedent, that was to change the course of Western art. In a different climate after the Sack of Rome, he returned and between 1535 and 1541, painted The Last Judgement for Popes Clement VII and Paul III. The fame of Michelangelo's paintings has drawn multitudes of visitors to the chapel, ever since they were revealed five hundred years ago.", "title": "Sistine Chapel", "image": "http://upload.wikimedia.org/wikipedia/commons/9/9e/Sistine_Chapel_vertical_scheme.PNG"}, "Recycling Center": {"summary": "The Arcata Community Recycling Center (ACRC), founded after Earth Day 1970, is one of America's oldest non-profit recycling centers. The center promotes eco-conscience in the North Coast and facilitates diversion of materials from landfills in Arcata and Eureka, California.\nThe mission of ACRC is to promote and demonstrate innovative waste reduction, reuse and recycling strategies as socially and economically beneficial methods to conserve the Earth\u2019s finite resources. ACRC runs several facilities and programs to fulfill the mission statement. The operation of recycling drop-off sites in Arcata and Eureka provides a location for community members to recycle a wide variety of materials. The Arcata drop-off (and ACRC's original headquarters) was initially located at 10th and F St. Operations moved to the current location at 9th & N St. in the early 1980s. In 2002, ACRC began operation of the Eureka Community Recycling Center adjacent to the Humboldt Waste Management Authority's Transfer Station located in Eureka.\nThe Reusables Depot Thrift Store, also at the 9th & N St. location, serves as a reuse center for unwanted household and sporting goods, building materials, and garden supplies.\nIn 2007 ACRC opened the 35,800 sq. ft. Samoa Processing Facility which houses a dual stream sorting line. This facility is a green building and is slated for LEED certification. Recyclables enter the facility in two streams, mixed papers and containers, from curbside collection and drop off sites and are sorted by material type using a combination of machine and people power. This facility diverts over 11,000 tons of materials from the landfill annually.\nThe Samoa site is also home to the Bette Dobkin Education Center where students of all ages learn about resource conservation.\nWes Chesbro led the center during its infancy.", "title": "Arcata Community Recycling Center", "image": null}, "Construction": {"summary": "Building construction is the process of preparing for and forming buildings and building systems. Construction starts with planning, design, and financing and continues until the structure is ready for occupancy.\nFar from being a single activity, large scale construction is a feat of human multitasking. Normally, the job is managed by a project manager, and supervised by a construction manager, design engineer, construction engineer or project architect. For the successful execution of a project, effective planning is essential. Those involved with the design and execution of the infrastructure in question must consider the environmental impact of the job, the successful scheduling, budgeting, construction site safety, availability and transportation of building materials, logistics, inconvenience to the public caused by construction delays and bidding, etc.", "title": "Construction", "image": "http://upload.wikimedia.org/wikipedia/commons/3/34/Havelock_City%2C_Sri_Lanka%2C_003.jpg"}, "Destroyer": {"summary": "In naval terminology, a destroyer is a fast and maneuverable warship of long-endurance intended to escort larger vessels in a fleet, convoy or battle group and defend them against smaller, powerful, short-range attackers. By the time of the Russo-Japanese War in 1904, Torpedo Boat Destroyers (TBD) were \"large, swift, and powerfully armed torpedo boats designed to destroy other torpedo boats.\" Although the term destroyer had been used interchangeably with the terms \"TBD\" and \"torpedo boat destroyer\" by navies since 1892, the term torpedo boat destroyer had been generally shortened to simply \"destroyer\" by nearly all navies by the First World War.\nPrior to World War II, destroyers were light vessels with little endurance for unattended ocean operations; typically a number of destroyers and a single destroyer tender operated together. After the war, the advent of the guided missile allowed destroyers to take on the surface combatant roles previously filled by battleships and cruisers. This resulted in larger and more powerful destroyers more capable of independent operation.\nAt the beginning of the 21st century, destroyers are the heaviest surface combatant ships in general use, with only three nations (the United States, Russia, and Peru) operating the heavier class cruisers and none operating battleships or true battlecruisers. Modern destroyers, also known as guided missile destroyers, are equivalent in tonnage but vastly superior in firepower to cruisers of the World War II era, capable of carrying nuclear missiles. Guided missile destroyers such as the Arleigh Burke-class class are actually larger and more heavily armed than most previous ships classified as guided missile cruisers, due to their massive size at 510 feet (160 m) long, displacement (9200 tons) and armament of over 90 missiles.", "title": "Destroyer", "image": "http://upload.wikimedia.org/wikipedia/en/4/4c/HMS_Havock_%281893%29.jpg"}, "Leader": {"summary": "Leadership has been described as \"a process of social influence in which one person can enlist the aid and support of others in the accomplishment of a common task\". For example, some understand a leader simply as somebody whom people follow, or as somebody who guides or directs others, while others define leadership as \"organizing a group of people to achieve a common goal\".\nStudies of leadership have produced theories involving traits, situational interaction, function, behavior, power, vision and values, charisma, and intelligence, among others.", "title": "Leadership", "image": "http://upload.wikimedia.org/wikipedia/commons/e/e2/Portrait_of_Niccol%C3%B2_Machiavelli_by_Santi_di_Tito.jpg"}, "Astronomy": {"summary": "Astronomy is a natural science which is the study of celestial objects (such as stars, galaxies, planets, moons, and nebulae), the physics, chemistry, and evolution of such objects, and phenomena that originate outside the atmosphere of Earth, including supernovae explosions, gamma ray bursts, and cosmic microwave background radiation. A related but distinct subject, cosmology, is concerned with studying the universe as a whole.\nAstronomy is one of the oldest sciences. Prehistoric cultures have left astronomical artifacts such as the Egyptian monuments and Nubian monuments, and early civilizations such as the Babylonians, Greeks, Chinese, Indians, Iranians and Maya performed methodical observations of the night sky. However, the invention of the telescope was required before astronomy was able to develop into a modern science. Historically, astronomy has included disciplines as diverse as astrometry, celestial navigation, observational astronomy and the making of calendars, but professional astronomy is nowadays often considered to be synonymous with astrophysics.\nDuring the 20th century, the field of professional astronomy split into observational and theoretical branches. Observational astronomy is focused on acquiring data from observations of astronomical objects, which is then analyzed using basic principles of physics. Theoretical astronomy is oriented toward the development of computer or analytical models to describe astronomical objects and phenomena. The two fields complement each other, with theoretical astronomy seeking to explain the observational results and observations being used to confirm theoretical results.\nAstronomy is one of the few sciences where amateurs can still play an active role, especially in the discovery and observation of transient phenomena. Amateur astronomers have contributed to many important astronomical discoveries.", "title": "Astronomy", "image": "http://upload.wikimedia.org/wikipedia/commons/5/54/Ant_Nebula.jpg"}, "Ironclad": {"summary": "An ironclad was a steam-propelled warship in the early part of the second half of the 19th century, protected by iron or steel armor plates. The ironclad was developed as a result of the vulnerability of wooden warships to explosive or incendiary shells. The first ironclad battleship, Gloire, was launched by the French Navy in November 1859. The British Admiralty had been considering armored warships since 1856 and prepared a draft design for an armored corvette in 1857; in early 1859 the Royal Navy started building two iron-hulled armored frigates, and by 1861 had made the decision to move to an all-armored battle fleet. After the first clashes of ironclads (both with wooden ships and with one another) took place in 1862 during the American Civil War, it became clear that the ironclad had replaced the unarmored ship of the line as the most powerful warship afloat. This type of ship would come to be very successful in the American Civil War.\nIronclads were designed for several roles, including as high seas battleships, coastal defense ships, and long-range cruisers. The rapid evolution of warship design in the late 19th century transformed the ironclad from a wooden-hulled vessel that carried sails to supplement its steam engines into the steel-built, turreted battleships and cruisers familiar in the 20th century. This change was pushed forward by the development of heavier naval guns (the ironclads of the 1880s carried some of the heaviest guns ever mounted at sea), more sophisticated steam engines, and advances in metallurgy which made steel shipbuilding possible.\nThe rapid pace of change in the ironclad period meant that many ships were obsolete as soon as they were complete, and that naval tactics were in a state of flux. Many ironclads were built to make use of the ram or the torpedo, which a number of naval designers considered the crucial weapons of naval combat. There is no clear end to the ironclad period, but towards the end of the 1890s the term ironclad dropped out of use. New ships were increasingly constructed to a standard pattern and designated battleships or armored cruisers.", "title": "Ironclad warship", "image": "http://upload.wikimedia.org/wikipedia/commons/0/0f/MuseeMarine-cuirasse1880-p1000463.jpg"}, "Seafaring": {"summary": "Seamanship is the art of operating a ship or boat.\nIt involves topics and development of specialised skills including: navigation and international maritime law; weather, meteorology and forecasting; watchstanding; ship-handling and small boat handling; operation of deck equipment, anchors and cables; ropework and line handling; communications; sailing; engines; execution of evolutions such as towing; cargo handling equipment, dangerous cargoes and cargo storage; dealing with emergencies; survival at sea and search and rescue; and fire fighting.\nThe degree of knowledge needed within these areas is dependent upon the nature of the work and the type of vessel employed by a mariner.", "title": "Seamanship", "image": "http://upload.wikimedia.org/wikipedia/commons/e/ed/US_Navy_060125-N-8907D-105_Line_handlers_assigned_the_amphibious_transport_dock_ship_USS_San_Antonio_%28LPD_17%29_prepare_the_mooring_lines_after_pulling_into_her_new_homeport_of_Naval_Station_Norfolk.jpg"}, "Dragoons": {"summary": "The word dragoon originally meant mounted infantry, who were trained in horse riding as well as infantry fighting skills. However, usage altered over time and during the 18th century, dragoons evolved into conventional light cavalry units and personnel. Dragoon regiments were established in most European armies during the late 17th and early 18th centuries.\nThe name is possibly derived from a type of firearm (called a dragon) carried by dragoons of the French Army. There is no distinction between the words dragon and dragoon in French; both are referred to as dragon.\nThe title has been retained in modern times by a number of armoured or ceremonial mounted regiments.\nThe word also means to subjugate or persecute by the imposition of troops; and by extension to compel by any violent measures or threats. The verb dates from 1689, at a time when dragoons were being used by the French monarchy to persecute Protestants.", "title": "Dragoon", "image": "http://upload.wikimedia.org/wikipedia/commons/7/7e/Dragon_IMG_3508.jpg"}, "Computers": {"summary": "A computer is a general purpose device that can be programmed to carry out a set of arithmetic or logical operations automatically. Since a sequence of operations can be readily changed, the computer can solve more than one kind of problem.\nConventionally, a computer consists of at least one processing element, typically a central processing unit (CPU), and some form of memory. The processing element carries out arithmetic and logic operations, and a sequencing and control unit can change the order of operations in response to stored information. Peripheral devices allow information to be retrieved from an external source, and the result of operations saved and retrieved.\nIn World War II, mechanical analog computers were used for specialized military applications. During this time the first electronic digital computers were developed. Originally they were the size of a large room, consuming as much power as several hundred modern personal computers (PCs).\nModern computers based on integrated circuits are millions to billions of times more capable than the early machines, and occupy a fraction of the space. Simple computers are small enough to fit into mobile devices, and mobile computers can be powered by small batteries. Personal computers in their various forms are icons of the Information Age and are what most people think of as \u201ccomputers.\u201d However, the embedded computers found in many devices from MP3 players to fighter aircraft and from toys to industrial robots are the most numerous.", "title": "Computer", "image": "http://upload.wikimedia.org/wikipedia/commons/1/13/Dell_PowerEdge_Servers.jpg"}, "Mfg. Plant": {"summary": "A factory (previously manufactory) or manufacturing plant is an industrial site, usually consisting of buildings and machinery, or more commonly a complex having several buildings, where workers manufacture goods or operate machines processing one product into another.\nFactories arose with the introduction of machinery during the Industrial Revolution when the capital and space requirements became too great for cottage industry or workshops. Early factories that contained small amounts of machinery, such as one or two spinning mules, and fewer than a dozen workers have been called \"glorified workshops\".\nMost modern factories have large warehouses or warehouse-like facilities that contain heavy equipment used for assembly line production. Large factories tend to be located with access to multiple modes of transportation, with some having rail, highway and water loading and unloading facilities.\nFactories may either make discrete products or some type of material continuously produced such as chemicals, pulp and paper, or refined oil products. Factories manufacturing chemicals are often called plants and may have most of their equipment \u2013 tanks, pressure vessels, chemical reactors, pumps and piping \u2013 outdoors and operated from control rooms. Oil refineries have most of their equipment outdoors.\nDiscrete products may be final consumer goods, or parts and sub-assemblies which are made into final products elsewhere. Factories may be supplied parts from elsewhere or make them from raw materials. Continuous production industries typically use heat or electricity to transform streams of raw materials into finished products.\nThe term mill originally referred to the milling of grain, which usually used natural resources such as water or wind power until those were displaced by steam power in the 19th century. Because many processes like spinning and weaving, iron rolling, and paper manufacturing were originally powered by water, the term survives as in steel mill, paper mill, etc.", "title": "Factory", "image": "http://upload.wikimedia.org/wikipedia/commons/2/2e/View_of_the_entrance_to_the_Arsenal_by_Canaletto%2C_1732.jpg"}, "Laser": {"summary": "A laser is a device that emits light through a process of optical amplification based on the stimulated emission of electromagnetic radiation. The term \"laser\" originated as an acronym for \"light amplification by stimulated emission of radiation\". A laser differs from other sources of light because it emits light coherently. Spatial coherence allows a laser to be focused to a tight spot, enabling applications like laser cutting and lithography. Spatial coherence also allows a laser beam to stay narrow over long distances (collimation), enabling applications such as laser pointers. Lasers can also have high temporal coherence which allows them to have a very narrow spectrum, i.e., they only emit a single color of light. Temporal coherence can be used to produce pulses of light\u2014as short as a femtosecond.\nLasers have many important applications. They are used in common consumer devices such as Optical disk drives, laser printers, and barcode scanners. They are used in medicine for laser surgery and various skin treatments, and in industry for cutting and welding materials. They are used in military and law enforcement devices for marking targets and measuring range and speed. Laser lighting displays use laser light as an entertainment medium. Lasers also have many important applications in scientific research.\n\n", "title": "Laser", "image": "http://upload.wikimedia.org/wikipedia/en/d/dd/Gould_notebook_001.jpg"}, "Supermarket": {"summary": "A supermarket, a large form of the traditional grocery store, is a self-service shop offering a wide variety of food and household products, organized into aisles. It is larger in size and has a wider selection than a traditional grocery store, but is smaller and more limited in the range of merchandise than a hypermarket or big-box market.\nThe supermarket typically comprises meat, fresh produce, dairy, and baked goods aisles, along with shelf space reserved for canned and packaged goods as well as for various non-food items such as kitchenware, household cleaners, pharmacy products and pet supplies. Some supermarkets also sell a variety of other household products that are consumed regularly, such as alcohol (where permitted), medicine, and clothes, and some stores sell a much wider range of non-food products: DVDs, sporting equipment, board games, and seasonal items (e.g., Christmas wrapping paper in December).\nThe traditional supermarket occupies a large amount of floor space, usually on a single level. It is usually situated near a residential area in order to be convenient to consumers. The basic appeal is the availability of a broad selection of goods under a single roof, at relatively low prices. Other advantages include ease of parking and frequently the convenience of shopping hours that extend into the evening or even 24 hours a day. Supermarkets usually allocate large budgets to advertising, typically through newspapers. They also present elaborate in-shop displays of products. The shops are usually part of corporate chains that own or control (sometimes by franchise) other supermarkets located nearby\u2014even transnationally\u2014thus increasing opportunities for economies of scale.\nSupermarkets typically are supplied by the distribution centres of their parent companies, usually in the largest city in the area. Supermarkets usually offer products at relatively low prices by using their buying power to buy goods from manufacturers at lower prices than smaller stores can. They also minimise financing costs by paying for goods at least 30 days after receipt and some extract credit terms of 90 days or more from vendors. Certain products (typically staple foods such as bread, milk and sugar) are very occasionally sold as loss leaders, that is, with negative profit margins so as to attract shoppers to their store. There is some debate as to the effectiveness of this tactic. To maintain a profit, supermarkets make up for the lower margins by a higher overall volume of sales, and with the sale of higher-margin items bought by the intended higher volume of shoppers. Customers usually shop by placing their selected merchandise into shopping carts (trolleys) or baskets (self-service) and pay for the merchandise at the check-out. At present, many supermarket chains are attempting to further reduce labor costs by shifting to self-service check-out machines, where a single employee can oversee a group of four or five machines at once, assisting multiple customers at a time.\nA larger full-service supermarket combined with a department store is sometimes known as a hypermarket. Other services offered at some supermarkets may include those of banks, caf\u00e9s, childcare centres/creches, photo processing, video rentals, pharmacies and/or petrol stations.", "title": "Supermarket", "image": "http://upload.wikimedia.org/wikipedia/commons/4/49/Fredmeyer_edit_1.jpg"}, "Leadership": {"summary": "Leadership has been described as \"a process of social influence in which one person can enlist the aid and support of others in the accomplishment of a common task\". For example, some understand a leader simply as somebody whom people follow, or as somebody who guides or directs others, while others define leadership as \"organizing a group of people to achieve a common goal\".\nStudies of leadership have produced theories involving traits, situational interaction, function, behavior, power, vision and values, charisma, and intelligence, among others.", "title": "Leadership", "image": "http://upload.wikimedia.org/wikipedia/commons/e/e2/Portrait_of_Niccol%C3%B2_Machiavelli_by_Santi_di_Tito.jpg"}, "Genetic Engineering": {"summary": "Genetic engineering, also called genetic modification, is the direct manipulation of an organism's genome using biotechnology. New DNA may be inserted in the host genome by first isolating and copying the genetic material of interest using molecular cloning methods to generate a DNA sequence, or by synthesizing the DNA, and then inserting this construct into the host organism. Genes may be removed, or \"knocked out\", using a nuclease. Gene targeting is a different technique that uses homologous recombination to change an endogenous gene, and can be used to delete a gene, remove exons, add a gene, or introduce point mutations.\nAn organism that is generated through genetic engineering is considered to be a genetically modified organism (GMO). The first GMOs were bacteria in 1973 and GM mice were generated in 1974. Insulin-producing bacteria were commercialized in 1982 and genetically modified food has been sold since 1994. Glofish, the first GMO designed as a pet, was first sold in the United States December in 2003.\nGenetic engineering techniques have been applied in numerous fields including research, agriculture, industrial biotechnology, and medicine. Enzymes used in laundry detergent and medicines such as insulin and human growth hormone are now manufactured in GM cells, experimental GM cell lines and GM animals such as mice or zebrafish are being used for research purposes, and genetically modified crops have been commercialized.", "title": "Genetic engineering", "image": "http://upload.wikimedia.org/wikipedia/commons/e/e6/Jaenisch_2003_by_Sam_Ogden.jpg"}, "Conscription": {"summary": "Conscription is the compulsory enlistment of people in some sort of national service, most often military service. Conscription dates back to antiquity and continues in some countries to the present day under various names. The modern system of near-universal national conscription for young men dates to the French Revolution in the 1790s, where it became the basis of a very large and powerful military. Most European nations later copied the system in peacetime, so that men at a certain age would serve 1\u20138 years on active duty and then transfer to the reserve force.\nIn China, the State of Qin instituted universal military service following the registration of every household. This allowed huge armies to be levied, and was instrumental in the creation of the Qin Empire that conquered a large area of what is now China in 221 BC.\nConscription is controversial for a range of reasons, including conscientious objection to military engagements on religious or philosophical grounds; political objection, for example to service for a disliked government or unpopular war; and ideological objection, for example, to a perceived violation of individual rights. Those conscripted may evade service, sometimes by leaving the country. Some selection systems accommodate these attitudes by providing alternative service outside combat-operations roles or even outside the military, such as Zivildienst (civil service) in Austria and Switzerland. Most post-Soviet countries conscript soldiers not only for Armed Forces but also for paramilitary organizations which are dedicated to police-like domestic only service (Internal Troops) or non-combat rescue duties (Civil Defence Troops) \u2013 none of which is considered alternative to the military conscription.\nAs of the early 21st century, many states no longer conscript soldiers, relying instead upon professional militaries with volunteers enlisted to meet the demand for troops. The ability to rely on such an arrangement, however, presupposes some degree of predictability with regard to both war-fighting requirements and the scope of hostilities. Many states that have abolished conscription therefore still reserve the power to resume it during wartime or times of crisis.\n\n", "title": "Conscription", "image": "http://upload.wikimedia.org/wikipedia/commons/c/c3/Battle_of_Vienna.SultanMurads_with_janissaries.jpg"}, "Currency": {"summary": "A currency (from Middle English: curraunt, \"in circulation\", from Latin: currens, -entis) in the most specific use of the word refers to money in any form when in actual use or circulation, as a medium of exchange, especially circulating paper money. This use is synonymous with banknotes, or (sometimes) with banknotes plus coins, meaning the physical tokens used for money by a government.\nA much more general use of the word currency is anything that is used in any circumstances, as a medium of exchange. In this use, \"currency\" is a synonym for the concept of money.\nA definition of intermediate generality is that a currency is a system of money (monetary units) in common use, especially in a nation. Under this definition, British pounds, U.S. dollars, and European euros are different types of currency, or currencies. Currencies in this definition need not be physical objects, but as stores of value are subject to trading between nations in foreign exchange markets, which determine the relative values of the different currencies. Currencies in the sense used by foreign exchange markets, are defined by governments, and each type has limited boundaries of acceptance.\nThe former definitions of the term \"currency\" are discussed in their respective synonymous articles banknote, coin, and money. The latter definition, pertaining to the currency systems of nations, is the topic of this article. Currencies can be classified into two monetary systems: fiat money and commodity money, depending on what guarantees the value (the economy at large vs. the government's physical metal reserves). Some currencies are legal tender in certain jurisdictions, which means they cannot be refused as payment for debt. Others are simply traded for their economic value. Digital currency arose with the popularity of computers and the Internet.", "title": "Currency", "image": "http://upload.wikimedia.org/wikipedia/commons/5/52/A_print_from_1845_shows_cowry_shells_being_used_as_money_by_an_Arab_trader.jpg"}, "Manhattan Project": {"summary": "The Manhattan Project was a research and development project that produced the first atomic bombs during World War II. It was led by the United States with the support of the United Kingdom and Canada. From 1942 to 1946, the project was under the direction of Major General Leslie Groves of the U.S. Army Corps of Engineers. The Army component of the project was designated the Manhattan District; \"Manhattan\" gradually superseded the official codename, Development of Substitute Materials, for the entire project. Along the way, the project absorbed its earlier British counterpart, Tube Alloys. The Manhattan Project began modestly in 1939, but grew to employ more than 130,000 people and cost nearly US$2 billion (about $26 billion in 2014 dollars). Over 90% of the cost was for building factories and producing the fissile materials, with less than 10% for development and production of the weapons. Research and production took place at more than 30 sites across the United States, the United Kingdom and Canada.\nTwo types of atomic bomb were developed during the war. A relatively simple gun-type fission weapon was made using uranium-235, an isotope that makes up only 0.7 percent of natural uranium. Since it is chemically identical to the most common isotope, uranium-238, and has almost the same mass, it proved difficult to separate. Three methods were employed for uranium enrichment: electromagnetic, gaseous and thermal. Most of this work was performed at Oak Ridge, Tennessee. In parallel with the work on uranium was an effort to produce plutonium. Reactors were constructed at Oak Ridge and Hanford, Washington, in which uranium was irradiated and transmuted into plutonium. The plutonium was then chemically separated from the uranium. The gun-type design proved impractical to use with plutonium so a more complex implosion-type weapon was developed in a concerted design and construction effort at the project's principal research and design laboratory in Los Alamos, New Mexico.\nThe project was also charged with gathering intelligence on the German nuclear energy project. Through Operation Alsos, Manhattan Project personnel served in Europe, sometimes behind enemy lines, where they gathered nuclear materials and documents, and rounded up German scientists.\nThe first nuclear device ever detonated was an implosion-type bomb at the Trinity test, conducted at New Mexico's Alamogordo Bombing and Gunnery Range on 16 July 1945. Little Boy, a gun-type weapon, and the implosion-type Fat Man were used in the atomic bombings of Hiroshima and Nagasaki, respectively. In the immediate postwar years, the Manhattan Project conducted weapons testing at Bikini Atoll as part of Operation Crossroads, developed new weapons, promoted the development of the network of national laboratories, supported medical research into radiology and laid the foundations for the nuclear navy. It maintained control over American atomic weapons research and production until the formation of the United States Atomic Energy Commission in January 1947.\nThe Manhattan Project operated under a blanket of tight security, but Soviet atomic spies still penetrated the program.", "title": "Manhattan Project", "image": "http://upload.wikimedia.org/wikipedia/commons/1/16/X10_Reactor_Face.jpg"}, "Chariot": {"summary": "The chariot is a type of carriage using animals (almost always horses) to provide rapid motive power. Chariots were used for war as \"battle taxis\" and mobile archery platforms, as well as other pursuits such as hunting or racing for sport, and as a chief vehicle of many ancient peoples, when speed of travel was desired rather than how much weight could be carried. The original chariot was a fast, light, open, two-wheeled conveyance drawn by two or more horses that were hitched side by side. The car was little more than a floor with a waist-high semicircular guard in front. The chariot, driven by a charioteer, was used for ancient warfare during the bronze and the iron ages. Armor was limited to a shield. After it had been superseded by other vehicles for military purposes, the chariot was used for travel and in processions, games, and races .\nThe word \"chariot\" comes from Latin carrus, which was a loan from Gaulish. A chariot of war or of triumph was called a car. In ancient Rome and other ancient Mediterranean countries a biga required two horses, a triga three, and a quadriga required four horses abreast. Obsolete terms for chariot include chair, charet and wain.\nThe critical invention that allowed the construction of light, horse-drawn chariots was the spoked wheel.\nThe earliest spoke-wheeled chariots date to ca. 2000 BC and their use peaked around 1300 BC (see Battle of Kadesh). Chariots ceased to have military importance in the 1st century AD, but chariot races continued to be popular in Constantinople until the 6th century.", "title": "Chariot", "image": "http://upload.wikimedia.org/wikipedia/commons/7/71/Crat%C3%A8re_de_Vix_0010.jpg"}, "Stealth Bomber": {"summary": "The Northrop Grumman B-2 Spirit, also known as the Stealth Bomber, is an American strategic bomber, featuring low observable stealth technology designed for penetrating dense anti-aircraft defenses; it is able to deploy both conventional and nuclear weapons. The bomber has a crew of two and can drop up to eighty 500 lb (230 kg)-class JDAM GPS-guided bombs, or sixteen 2,400 lb (1,100 kg) B83 nuclear bombs. The B-2 is the only aircraft that can carry large air-to-surface standoff weapons in a stealth configuration.\nDevelopment originally started under the \"Advanced Technology Bomber\" (ATB) project during the Carter administration, and its performance was one of his reasons for the cancellation of the supersonic Rockwell B-1 Lancer. ATB continued during the Reagan administration, but worries about delays in its introduction led to the reinstatement of the B-1 program as well. Program costs rose throughout development. Designed and manufactured by Northrop Grumman with assistance from Boeing, the cost of each aircraft averaged US$737 million (in 1997 dollars). Total procurement costs averaged $929 million per aircraft, which includes spare parts, equipment, retrofitting, and software support. The total program cost including development, engineering and testing, averaged $2.1 billion per aircraft in 1997.\nBecause of its considerable capital and operating costs, the project was controversial in the U.S. Congress and among the Joint Chiefs of Staff. The winding-down of the Cold War in the latter portion of the 1980s dramatically reduced the need for the aircraft, which was designed with the intention of penetrating Soviet airspace and attacking high-value targets. During the late 1980s and 1990s, Congress slashed plans to purchase 132 bombers to 21. In 2008, a B-2 was destroyed in a crash shortly after takeoff, and the crew ejected safely. A total of 20 B-2s remain in service with the United States Air Force, who plan to operate the B-2 until 2058.\nThe B-2 is capable of all-altitude attack missions up to 50,000 feet (15,000 m), with a range of more than 6,000 nautical miles (11,000 km) unrefuelled and over 10,000 nautical miles (19,000 km) with one refueling. Though originally designed primarily as a nuclear bomber, it was first used in combat to drop conventional bombs on Serbia during the Kosovo War in 1999, and saw continued use during the war in Iraq and in Afghanistan.", "title": "Northrop Grumman B-2 Spirit", "image": "http://upload.wikimedia.org/wikipedia/commons/2/21/B2PlanView.jpg"}, "Metallurgy": {"summary": "Metallurgy is a domain of materials science and materials engineering that studies the physical and chemical behavior of metallic elements, their intermetallic compounds, and their mixtures, which are called alloys. Metallurgy is also the technology of metals: the way in which science is applied to the production of metals, and the engineering of metal components for use in products for consumers and manufacturers. The production of metals involves the processing of ores to extract the metal they contain, and the mixture of metals, sometimes with other elements, to produce alloys. Metallurgy is distinguished from the craft of metalworking.\nMetallurgy is subdivided into ferrous metallurgy (sometimes also known as black metallurgy) and non-ferrous metallurgy or colored metallurgy. Ferrous metallurgy involves processes and alloys based on iron while non-ferrous metallurgy involves processes and alloys based on other metals. The production of ferrous metals accounts for 95 percent of world metal production.", "title": "Metallurgy", "image": "http://upload.wikimedia.org/wikipedia/commons/3/3a/GoldThebes750.jpg"}, "Apollo Program": {"summary": "The Apollo program, also known as Project Apollo, was the third human spaceflight program carried out by the National Aeronautics and Space Administration (NASA), the United States' civilian space agency, and the program was responsible for the landing of the first humans on Earth's Moon in 1969. First conceived during the Presidency of Dwight D. Eisenhower as a three-man spacecraft to follow the one-man Project Mercury which put the first Americans in space, Apollo was later dedicated to President John F. Kennedy's national goal of \"landing a man on the Moon and returning him safely to the Earth\" by the end of the 1960s, which he proposed in a May 25, 1961, address to Congress. Project Mercury was followed by the two-man Project Gemini (1962\u201366). The first manned flight of Apollo was in 1968.\nKennedy's goal was accomplished on the Apollo 11 mission when astronauts Neil Armstrong and Buzz Aldrin landed their Lunar Module (LM) on the Moon on July 20, 1969, and walked on its surface while Michael Collins remained in lunar orbit in the command spacecraft, and all three landed safely on Earth on July 24. Five subsequent Apollo missions also landed astronauts on the Moon, the last in December 1972. In these six spaceflights, 12 men walked on the Moon.\nApollo ran from 1961 to 1972, and was supported by the two-man Gemini program which ran concurrently with it from 1962 to 1966. Gemini missions developed some of the space travel techniques that were necessary for the success of the Apollo missions. Apollo used Saturn family rockets as launch vehicles. Apollo / Saturn vehicles were also used for an Apollo Applications Program which consisted of three Skylab space station missions in 1973\u201374.\nApollo succeeded in achieving its goal of manned lunar landing, despite the major setback of a 1967 Apollo 1 cabin fire that killed the entire crew during a pre-launch test. After the first landing, sufficient flight hardware remained for nine follow-on landings with an ambitious plan for extended lunar geological and astrophysical exploration. Budget cuts forced the cancellation of three of these. Five of the remaining six missions achieved successful landings, but the Apollo 13 landing was prevented by an oxygen tank explosion in transit to the Moon, which disabled the command spacecraft's propulsion and life support. The crew returned to Earth safely by using the Lunar Module as a \"lifeboat\" for these functions.\nApollo set several major human spaceflight milestones. It stands alone in sending manned missions beyond low Earth orbit; Apollo 8 was the first manned spacecraft to orbit another celestial body, while the final Apollo 17 mission marked the sixth Moon landing and the ninth manned mission beyond low Earth orbit. The program returned 842 pounds (382 kg) of lunar rocks and soil to Earth, greatly contributing to the understanding of the Moon's composition and geological history. The program laid the foundation for NASA's current human spaceflight capability, and funded construction of its Johnson Space Center and Kennedy Space Center. Apollo also spurred advances in many areas of technology incidental to rocketry and manned spaceflight, including avionics, telecommunications, and computers.", "title": "Apollo program", "image": "http://upload.wikimedia.org/wikipedia/commons/a/a8/Apollo11-16.png"}, "Advanced Flight": {"summary": "Aeronautics (from the ancient Greek words \u1f70\u03ae\u03c1 \u0101\u0113r, which means \"air\", and \u03bd\u03b1\u03c5\u03c4\u03b9\u03ba\u03ae nautik\u0113 which means \"navigation\", i.e. \"navigation of the air\") is the science or art involved with the study, design, and manufacturing of airflight-capable machines, and the techniques of operating aircraft and rockets within the atmosphere. The British Royal Aeronautical Society identifies the aspects of \"aeronautical Art, Science and Engineering\" and \"the profession of Aeronautics (which expression includes Astronautics).\" \nWhile the term\u2014literally meaning \"sailing the air\"\u2014originally referred solely to the science of operating the aircraft, it has since been expanded to include technology, business and other aspects related to aircraft. The term \"aviation\" is sometimes used interchangeably with aeronautics, although \"aeronautics\" includes lighter-than-air craft such as airships, and includes ballistic vehicles while \"aviation\" technically does not.\nA significant part of aeronautical science is a branch of dynamics called aerodynamics, which deals with the motion of air and the way that it interacts with objects in motion, such as an aircraft.\n\n", "title": "Aeronautics", "image": "http://upload.wikimedia.org/wikipedia/commons/5/52/Flying_boat.png"}, "Airport": {"summary": "An airport is a location where aircraft such as fixed-wing aircraft, helicopters, and blimps take off and land. Aircraft may be stored or maintained at an airport. An airport consists of at least one surface such as a runway for a plane to take off and land, a helipad, or water for takeoffs and landings, and often includes buildings such as control towers, hangars and terminal buildings.\nLarger airports may have fixed base operator services, seaplane docks and ramps, air traffic control, passenger facilities such as restaurants and lounges, and emergency services. A military airport, in the US, is known as an airbase or air station.\nA seaplane base is an area of open water used regularly by seaplanes or amphibious aircraft for landing and taking off.", "title": "Airport", "image": "http://upload.wikimedia.org/wikipedia/commons/8/8a/EK_tERMINAL_3_Trip_2009_242.jpg"}, "The Wheel": {"summary": "A wheel is a circular component that is intended to rotate on an axial bearing. The wheel is one of the main components of the wheel and axle which is one of the six simple machines. Wheels, in conjunction with axles, allow heavy objects to be moved easily facilitating movement or transportation while supporting a load, or performing labor in machines. Wheels are also used for other purposes, such as a ship's wheel, steering wheel, potter's wheel and flywheel.\nCommon examples are found in transport applications. A wheel greatly reduces friction by facilitating motion by rolling together with the use of axles. In order for wheels to rotate, a moment needs to be applied to the wheel about its axis, either by way of gravity, or by the application of another external force or torque.", "title": "Wheel", "image": "http://upload.wikimedia.org/wikipedia/commons/7/7d/Ur_chariot.jpg"}, "Riflemen": {"summary": "A rifleman is a soldier in a light infantry unit. Although ultimately originating with the 16th century handgunners and the 17th century musketeers and streltsy, the term rifleman originated in the 18th century. Entire regiments and bodies of troops were armed with the weapon. It later became the term for the archetypal common infantryman.", "title": "Rifleman", "image": "http://upload.wikimedia.org/wikipedia/commons/d/de/2_95th_riflemen_in_various_fighting_stances.JPG"}, "Mysticism": {"summary": "Mysticism ( pronunciation ) is \"a constellation of distinctive practices, discourses, texts, institutions, traditions, and experiences aimed at human transformation, variously defined in different traditions.\"\nThe term \"mysticism\" has Western origins, with various, historically determined meanings. Derived from the Greek \u03bc\u03c5\u03c9, meaning \"to conceal\", it referred to the biblical, the liturgical and the spiritual or contemplative dimensions in early and medieval Christianity, and became associated with \"extraordinary experiences and states of mind\" in the early modern period.\nIn modern times, \"mysticism\" has acquired a limited definition, but a broad application, as meaning the aim at the \"union with the Absolute, the Infinite, or God\". This limited definition has been applied to include a worldwide range of religious traditions and practices.\nSince the 1960s, a scholarly debate has been ongoing in the scientific research of \"mystical experiences\" between perennial and constructionist approaches.", "title": "Mysticism", "image": "http://upload.wikimedia.org/wikipedia/commons/7/74/Peter_Paul_Rubens_166.jpg"}, "Frigate": {"summary": "A frigate /\u02c8fr\u026a\u0261\u0268t/ is any of several types of warship, the term having been used for ships of various sizes and roles over the last few centuries.\nIn the 17th century, the term was used for any warship built for speed and maneuverability, the description often used being \"frigate-built\". These could be warships carrying their principal battery of carriage-mounted guns on a single deck or on two decks (with further smaller carriage-mounted guns usually carried on the forecastle and quarterdeck of the vessel). The term was generally used for ships too small to stand in the line of battle, although early line-of-battle ships were frequently referred to as frigates when they were built for speed.\nIn the 18th century, the term referred to ships which were usually as long as a ship-of-the-line and were square-rigged on all three masts (full rigged), but were faster and with lighter armament, used for patrolling and escort. In the definition adopted by the British Admiralty, they were rated ships of at least 28 guns, carrying their principal armament upon a single continuous deck\u2014the upper deck, while ships-of-the-line possessed two or more continuous decks bearing batteries of guns.\nIn the late 19th century (beginning about 1858 with the construction of prototypes by the British and French navies), the armoured frigate was a type of ironclad warship which for a time was the most powerful type of vessel afloat. The term \"frigate\" was used because such ships still mounted their principal armament on a single continuous upper deck. The later 19th century battleship thus developed from the frigate rather than from the ship of the line.\nIn modern navies, frigates are used to protect other warships and merchant-marine ships, especially as anti-submarine warfare (ASW) combatants for amphibious expeditionary forces, underway replenishment groups, and merchant convoys. Ship classes dubbed \"frigates\" have also more closely resembled corvettes, destroyers, cruisers and even battleships. The rank \"frigate captain\" derives from the name of this type of ship.", "title": "Frigate", "image": "http://upload.wikimedia.org/wikipedia/commons/a/ac/US_Navy_101021-N-7642M-317_USS_Constitution_returns_to_her_pier_after_an_underway_to_celebrate_her_213th_launching_day_anniversary.jpg"}, "Marines": {"summary": "Marines, also known as a marine corps or naval infantry, are an infantry force that specializes in naval operations such as amphibious assault. In the majority of countries, the marine force is part of the navy, but it can also be under the army or independent command.\nHistorically, tasks undertaken by marines have included providing protection from war while at sea, reflecting the pressed nature of the ships' company and the risk of mutiny. Other tasks would include boarding of vessels during combat or capture of prize ships and providing manpower for raiding ashore in support of the naval objectives. Marine elements would also contribute to the campaign ashore, in support of the military objective.\nWith the industrialization of warfare in the 20th century the scale of landing operations increased; thus brought with it an increased likelihood of opposition and a need for co-ordination of various military elements. Marine forces evolved to specialize in the skills and capabilities required for amphibious warfare.", "title": "Marines", "image": "http://upload.wikimedia.org/wikipedia/commons/3/37/Raiderex.jpg"}, "Monotheism": {"summary": "Monotheism is defined by the Encyclop\u00e6dia Britannica as belief in the existence of one god or in the oneness of God. The Oxford Dictionary of the Christian Church gives a more restricted definition: \"belief in one personal and transcendent God\", as opposed to polytheism and pantheism. A distinction may be made between exclusive monotheism, and both inclusive monotheism and pluriform monotheism which, while recognising many distinct gods, postulate some underlying unity.\nMonotheism characterizes the traditions of Atenism, Babism, the Bah\u00e1'\u00ed Faith, Cao Dai (Caodaiism), Cheondoism (Cheondogyo), Christianity, Deism, Eckankar, Islam, Judaism, Rastafarianism, Ravidassia religion, Seicho no Ie, Shaivism, Sikhism, Tenrikyo (Tenriism), Vaishnavism, and Zoroastrianism and elements of the belief are discernible in numerous other religions.\n\n", "title": "Monotheism", "image": "http://upload.wikimedia.org/wikipedia/commons/1/1b/House_of_Worship_Germany_2007.jpg"}, "A.Smith's Trading Co.": {"summary": "Adam Smith (5 June 1723 OS (16 June 1723 NS) \u2013 17 July 1790) was a Scottish moral philosopher and a pioneer of political economy. One of the key figures of the Scottish Enlightenment, Smith is best known for two classic works: The Theory of Moral Sentiments (1759), and An Inquiry into the Nature and Causes of the Wealth of Nations (1776). The latter, usually abbreviated as The Wealth of Nations, is considered his magnum opus and the first modern work of economics. Smith is cited as the \"father of modern economics\" and is still among the most influential thinkers in the field of economics today.\nSmith studied social philosophy at the University of Glasgow and at Balliol College, Oxford, where he was one of the first students to benefit from scholarships set up by fellow Scot, John Snell. After graduating, he delivered a successful series of public lectures at the University of Edinburgh, leading him to collaborate with David Hume during the Scottish Enlightenment. Smith obtained a professorship at Glasgow teaching moral philosophy, and during this time he wrote and published The Theory of Moral Sentiments. In his later life, he took a tutoring position that allowed him to travel throughout Europe, where he met other intellectual leaders of his day. Smith laid the foundations of classical free market economic theory. The Wealth of Nations was a precursor to the modern academic discipline of economics. In this and other works, he expounded upon how rational self-interest and competition can lead to economic prosperity. Smith was controversial in his own day and his general approach and writing style were often satirized by Tory writers in the moralizing tradition of William Hogarth and Jonathan Swift. In 2005, The Wealth of Nations was named among the 100 Best Scottish Books of all time. Former UK Prime Minister Margaret Thatcher, it is said, used to carry a copy of the book in her handbag.", "title": "Adam Smith", "image": "http://upload.wikimedia.org/wikipedia/commons/2/25/AdamSmith1790b.jpg"}, "Coastal Defense": {"summary": "Coastal defence (Commonwealth and Ireland) or coastal defense (US) and coastal fortification are measures taken to provide protection against attack by military and naval forces at or near the shoreline. Because an invading enemy normally required a port or harbour to sustain operations, such defences are usually concentrated around such facilities, or places where such facilities could be constructed.", "title": "Coastal defence and fortification", "image": "http://upload.wikimedia.org/wikipedia/commons/4/43/Comino_St_Mary%E2%80%99s_Tower.JPG"}, "Chemistry": {"summary": "Chemistry, a branch of physical science, is the study of the composition, structure, properties and change of matter. Chemistry is chiefly concerned with atoms and their interactions with other atoms - for example, the properties of the chemical bonds formed between atoms to create chemical compounds. As well as this, interactions including atoms and other phenomena - electrons and various forms of energy\u2014are considered, such as photochemical reactions, oxidation-reduction reactions, changes in phases of matter, and separation of mixtures. Finally, properties of matter such as alloys or polymers are considered.\nChemistry is sometimes called \"the central science\" because it bridges other natural sciences like physics, geology and biology with each other. Chemistry is a branch of physical science but distinct from physics.\nThe etymology of the word chemistry has been much disputed. The origin of chemistry can be traced to certain practices, known as alchemy, which had been practiced for several millennia in various parts of the world, particularly the Middle East.\n\n", "title": "Chemistry", "image": "http://upload.wikimedia.org/wikipedia/commons/d/d8/Atom_diagram.png"}, "Industrialization": {"summary": "Industrialisation (or industrialization) is the period of social and economic change that transforms a human group from an agrarian society into an industrial one. It is a part of a wider modernisation process, where social change and economic development are closely related with technological innovation, particularly with the development of large-scale energy and metallurgy production. It is the extensive organisation of an economy for the purpose of manufacturing. Industrialisation also introduces a form of philosophical change where people obtain a different attitude towards their perception of nature, and a sociological process of ubiquitous rationalisation.\nThere is considerable literature on the factors facilitating industrial modernisation and enterprise development. Key positive factors identified by researchers have ranged from favourable politico-legal environments for industry and commerce, through abundant natural resources of various kinds, to plentiful supplies of relatively low-cost, skilled and adaptable labour.\nAs industrial workers' incomes rise, markets for consumer goods and services of all kinds tend to expand and provide a further stimulus to industrial investment and economic growth.\nThe first country to industrialise was the United Kingdom during the Industrial Revolution, commencing in the 18th century.\nBy the end of the 20th century, East Asia had become one of the most recently industrialised regions of the world.", "title": "Industrialisation", "image": "http://upload.wikimedia.org/wikipedia/commons/3/34/Durgapur_Steel_Plant.jpg"}, "Darwin's Voyage": {"summary": "The Voyage of the Beagle is a title commonly given to the book written by Charles Darwin and published in 1839 as his Journal and Remarks, bringing him considerable fame and respect. The title refers to the second survey expedition of the ship HMS Beagle, which set sail from Plymouth Sound on 27 December 1831 under the command of Captain Robert FitzRoy, R.N..\nWhile the expedition was originally planned to last two years, it lasted almost five\u2014the Beagle did not return until 2 October 1836. Darwin spent most of this time exploring on land (three years and three months on land; 18 months at sea).\nThe book, also known as Darwin's Journal of Researches, is a vivid and exciting travel memoir as well as a detailed scientific field journal covering biology, geology, and anthropology that demonstrates Darwin's keen powers of observation, written at a time when Western Europeans were exploring and charting the whole world. Although Darwin revisited some areas during the expedition, for clarity the chapters of the book are ordered by reference to places and locations rather than by date. Darwin's notes made during the voyage include comments illustrating his changing views at a time when he was developing his theory of evolution by natural selection and includes some suggestions of his ideas, particularly in the second edition of 1845.", "title": "The Voyage of the Beagle", "image": "http://upload.wikimedia.org/wikipedia/commons/2/22/HMS_Beagle_by_Conrad_Martens.jpg"}, "Steam Engine": {"summary": "A steam engine is a heat engine that performs mechanical work using steam as its working fluid.\nUsing boiling water to produce mechanical motion goes back about 15,000 years, but early devices were not practical. The Spanish inventor Jer\u00f3nimo de Ayanz y Beaumont patented in 1606 the first steam engine. In 1698 Thomas Savery patented a steam pump that used steam in direct contact with the water being pumped. Savery's steam pump used condensing steam to create a vacuum and draw water into a chamber, and then applied pressurized steam to further pump the water. The first commercial true steam engine using a piston was developed by Thomas Newcomen and was used in 1712 for pumping in a mine.\nIn 1781 James Watt patented a steam engine that produced continuous rotative motion. Watt's ten-horsepower engines enabled a wide range of manufacturing machinery to be powered. The engines could be sited anywhere that water and coal or wood fuel could be obtained. By 1883, engines that could provide 10,000 hp had become feasible. Steam engines could also be applied to vehicles such as traction engines and the railway locomotives. The stationary steam engine was a key component of the Industrial Revolution, allowing factories to locate where water power was unavailable.\nSteam engines are external combustion engines, where the working fluid is separate from the combustion products. Non-combustion heat sources such as solar power, nuclear power or geothermal energy may be used. The ideal thermodynamic cycle used to analyze this process is called the Rankine cycle. In the cycle, water is heated and transforms into steam within a boiler operating at a high pressure. When expanded through pistons or turbines, mechanical work is done. The reduced-pressure steam is then condensed and pumped back into the boiler.\nIn general usage, the term steam engine can refer to either the integrated steam plants (including boilers etc.) such as railway steam locomotives and portable engines, or may refer to the piston or turbine machinery alone, as in the beam engine and stationary steam engine. Specialized devices such as steam hammers and steam pile drivers are dependent on steam supplied from a separate boiler. Reciprocating piston type steam engines remained the dominant source of power until the early 20th century, when advances in the design of electric motors and internal combustion engines gradually resulted in the replacement of reciprocating (piston) steam engines in commercial usage, and the ascendancy of steam turbines in power generation. Considering that the great majority of worldwide electric generation is produced by turbine type steam engines, the \"steam age\" is continuing with energy levels far beyond those of the turn of the 19th century.", "title": "Steam engine", "image": "http://upload.wikimedia.org/wikipedia/commons/3/31/Steam_indicator_%28Steam_and_the_Steam_Engine_-_Land_and_Marine%2C_1875%29.jpg"}, "Warrior Code": {"summary": "A warrior is a person specializing in combat or warfare, especially within the context of a tribal or clan-based society that recognizes a separate warrior class or caste.\n\n", "title": "Warrior", "image": "http://upload.wikimedia.org/wikipedia/commons/1/1e/Geronimo_17apr1886.jpg"}, "Medicine": {"summary": "Medicine (also called conventional, orthodox, scientific, or mainstream medicine, especially in connection with alternative medicine, UK English /\u02c8m\u025bds\u0268n/, US English /\u02c8m\u025bd\u0268s\u0268n/) is the field of applied science related to the art of healing by diagnosis, treatment, and prevention of disease. It encompasses a variety of health care practices evolved to maintain and restore health by the prevention and treatment of illness in human beings.\nContemporary medicine applies biomedical sciences, biomedical research, genetics and medical technology to diagnose, treat, and prevent injury and disease, typically through medication or surgery, but also through therapies as diverse as psychotherapy, external splints & traction, prostheses, biologics, pharmaceuticals, ionizing radiation among others.\nThe word medicine is derived from the Latin ars medicina, meaning the art of healing.", "title": "Medicine", "image": "http://upload.wikimedia.org/wikipedia/commons/f/f3/SantaMariaDellaScalaSienaBack.JPG"}, "Sewer System": {"summary": "A sanitary sewer (also called a foul sewer) is a separate underground carriage system specifically for transporting sewage from houses and commercial buildings through pipes, places horizontally and vertically to treatment or disposal. Sanitary sewers serving industrial areas also carry industrial wastewater. The 'system of sewers' is called sewerage.", "title": "Sanitary sewer", "image": "http://upload.wikimedia.org/wikipedia/commons/a/a7/Manhole1.JPG"}, "Diplomat": {"summary": "A diplomat is a person appointed by a state to conduct diplomacy with another state or international organization. The main functions of diplomats revolve around the representation and protection of the interests and nationals of the sending state, as well as the promotion of information and friendly relations.\nDiplomats are the oldest form of any of the foreign policy institutions of the state, predating by centuries foreign ministers and ministerial offices.\n\n", "title": "Diplomat", "image": "http://upload.wikimedia.org/wikipedia/commons/f/f5/Terra.png"}, "Stealth Fighter": {"summary": "Stealth aircraft are designed to avoid detection using a variety of advanced technologies that reduce reflection/emission of radar, infrared, visible light, radio-frequency (RF) spectrum, and audio, collectively known as stealth technology. Development of stealth technology likely began in Germany during World War II, the planned Horten Ho 229 being described as the first stealth aircraft. Well-known modern examples of stealth of U.S aircraft include the United States' F-117 Nighthawk (1981\u20132008), the B-2 Spirit, the F-22 Raptor, and the F-35 Lightning II.\nWhile no aircraft is totally invisible to radar, stealth aircraft make it more difficult for conventional radar to detect or track the aircraft effectively, increasing the odds of an aircraft successfully avoiding detection by enemy radar and/or avoiding being successfully targeted by radar guided weapons. Stealth is the combination of passive low observable (LO) features and active emitters such as Low Probability of Intercept Radars, radios and laser designators. These are usually combined with active measures such as carefully planning all mission maneuvers in order to minimize the aircraft's radar cross section, since common actions such as hard turns or opening bomb bay doors can more than double an otherwise stealthy aircraft's radar return. It is accomplished by using a complex design philosophy to reduce the ability of an opponent's sensors to detect, track, or attack the stealth aircraft. This philosophy also takes into account the heat, sound, and other emissions of the aircraft as these can also be used to locate it.\nFull-size stealth combat aircraft demonstrators have been flown by the United States (in 1977), Russia (in 2010) and China (in 2011). The US military has adopted three stealth designs, and is preparing to adopt the Lockheed Martin F-35 Lightning II.\nMost recent fighter designs will claim to have some sort of stealth, low observable, reduced RCS or radar jamming capability, but there has been no air to air combat experience against stealth aircraft.", "title": "Stealth aircraft", "image": "http://upload.wikimedia.org/wikipedia/commons/c/c3/B-2_spirit_bombing.jpg"}, "University": {"summary": "A university (Latin: \"universitas\", \"a whole\") is an institution of higher education and research which grants academic degrees in a variety of subjects and provides both undergraduate education and postgraduate education. The word \"university\" is derived from the Latin universitas magistrorum et scholarium, which roughly means \"community of teachers and scholars.\"", "title": "University", "image": "http://upload.wikimedia.org/wikipedia/commons/0/0b/Platopainting.jpg"}, "Explosives": {"summary": "An explosive material, also called an explosive, is a reactive substance that contains a great amount of potential energy that can produce an explosion if released suddenly, usually accompanied by the production of light, heat, sound, and pressure. An explosive charge is a measured quantity of explosive material.\nThis potential energy stored in an explosive material may be\nchemical energy, such as nitroglycerin or grain dust\npressurized gas, such as a gas cylinder or aerosol can.\nnuclear energy, such as in the fissile isotopes uranium-235 and plutonium-239\nExplosive materials may be categorized by the speed at which they expand. Materials that detonate (the front of the chemical reaction moves faster through the material than the speed of sound) are said to be \"high explosives\" and materials that deflagrate are said to be \"low explosives\". Explosives may also be categorized by their sensitivity. Sensitive materials that can be initiated by a relatively small amount of heat or pressure are primary explosives and materials that are relatively insensitive are secondary or tertiary explosives.\nA wide variety of chemicals can explode; a smaller number are manufactured in quantity as explosives. The remainder are too dangerous, sensitive, toxic, expensive, unstable, or decompose too quickly for common usage.\n\n", "title": "Explosive material", "image": "http://upload.wikimedia.org/wikipedia/commons/c/c1/M112_Demolition_Charge.jpg"}, "Colosseum": {"summary": "The Colosseum or Coliseum, also known as the Flavian Amphitheatre (Latin: Amphitheatrum Flavium; Italian: Anfiteatro Flavio or Colosseo) is an elliptical amphitheatre in the centre of the city of Rome, Italy. Built of concrete and stone, it was the largest amphitheatre of the Roman Empire, and is considered one of the greatest works of Roman architecture and engineering. It is the largest amphitheatre in the world.\nThe Colosseum is situated just east of the Roman Forum. Construction began under the emperor Vespasian in 70 AD, and was completed in 80 AD under his successor and heir Titus. Further modifications were made during the reign of Domitian (81\u201396). These three emperors are known as the Flavian dynasty, and the amphitheatre was named in Latin for its association with their family name (Flavius).\nThe Colosseum could hold, it is estimated, between 50,000 and 80,000 spectators, and was used for gladiatorial contests and public spectacles such as mock sea battles, animal hunts, executions, re-enactments of famous battles, and dramas based on Classical mythology. The building ceased to be used for entertainment in the early medieval era. It was later reused for such purposes as housing, workshops, quarters for a religious order, a fortress, a quarry, and a Christian shrine.\nAlthough in the 21st century it stays partially ruined because of damage caused by devastating earthquakes and stone-robbers, the Colosseum is an iconic symbol of Imperial Rome. It is one of Rome's most popular tourist attractions and has close connections with the Roman Catholic Church, as each Good Friday the Pope leads a torchlit \"Way of the Cross\" procession that starts in the area around the Colosseum.\nThe Colosseum, like all the Historic Centre of Rome, Properties of the Holy See in Italy and the Basilica of Saint Paul Outside the Walls, was listed as a World Heritage Site by UNESCO in 1980. In 2007 the complex was also included among the New7Wonders of the World, following a competition organized by New Open World Corporation (NOWC).\nThe Colosseum is also depicted on the Italian version of the five-cent euro coin.", "title": "Colosseum", "image": "http://upload.wikimedia.org/wikipedia/commons/3/38/Colosseum_0771_2013.jpg"}, "Horseback Riding": {"summary": "Equestrianism (from Latin equester, equestr-, horseman, horse) more often known as riding, horseback riding (American English) or horse riding (British English) referring to the skill of riding, driving, steeplechasing or vaulting with horses. This broad description includes the use of horses for practical working purposes, transportation, recreational activities, artistic or cultural exercises, and competitive sport.", "title": "Equestrianism", "image": "http://upload.wikimedia.org/wikipedia/commons/f/fa/Horse_riding_in_coca_cola_arena_-_melbourne_show_2005.jpg"}, "Recycling": {"summary": "Recycling is a process to change (waste) materials into new products to prevent waste of potentially useful materials, reduce the consumption of fresh raw materials, reduce energy usage, reduce air pollution (from incineration) and water pollution (from landfilling) by reducing the need for \"conventional\" waste disposal, and lower greenhouse gas emissions as compared to plastic production. Recycling is a key component of modern waste reduction and is the third component of the \"Reduce, Reuse and Recycle\" waste hierarchy.\nThere are some ISO standards related to recycling such as ISO 15270:2008 for plastics waste and ISO 14001:2004 for environmental management control of recycling practice.\nRecyclable materials include many kinds of glass, paper, metal, plastic, textiles, and electronics. The composting or other reuse of biodegradable waste\u2014such as food or garden waste\u2014is also considered recycling. Materials to be recycled are either brought to a collection center or picked up from the curbside, then sorted, cleaned, and reprocessed into new materials bound for manufacturing.\nIn the strictest sense, recycling of a material would produce a fresh supply of the same material\u2014for example, used office paper would be converted into new office paper, or used foamed polystyrene into new polystyrene. However, this is often difficult or too expensive (compared with producing the same product from raw materials or other sources), so \"recycling\" of many products or materials involves their reuse in producing different materials (e.g., paperboard) instead. Another form of recycling is the salvage of certain materials from complex products, either due to their intrinsic value (e.g., lead from car batteries, or gold from computer components), or due to their hazardous nature (e.g., removal and reuse of mercury from various items). Critics dispute the net economic and environmental benefits of recycling over its costs, and suggest that proponents of recycling often make matters worse and suffer from confirmation bias. Specifically, critics argue that the costs and energy used in collection and transportation detract from (and outweigh) the costs and energy saved in the production process; also that the jobs produced by the recycling industry can be a poor trade for the jobs lost in logging, mining, and other industries associated with virgin production; and that materials such as paper pulp can only be recycled a few times before material degradation prevents further recycling. Proponents of recycling dispute each of these claims, and the validity of arguments from both sides has led to enduring controversy.", "title": "Recycling", "image": "http://upload.wikimedia.org/wikipedia/en/0/04/DeutscheBahnRecycling20050814_CopyrightKaihsuTai_Rotated.jpg"}, "Nuclear Plant": {"summary": "A nuclear power plant is a thermal power station in which the heat source is a nuclear reactor. As is typical in all conventional thermal power stations the heat is used to generate steam which drives a steam turbine connected to a generator which produces electricity. As of 23 April 2014, the IAEA report there are 435 nuclear power reactors in operation operating in 31 countries. Nuclear power plants are usually considered to be base load stations, since fuel is a small part of the cost of production.", "title": "Nuclear power plant", "image": "http://upload.wikimedia.org/wikipedia/commons/1/16/Fukushima_I_by_Digital_Globe_crop.jpg"}, "Writing": {"summary": "Writing is a medium of communication that represents language through the inscription of signs and symbols. In most languages, writing is a complement to speech or spoken language. Writing is not a language but a form of technology. Within a language system, writing relies on many of the same structures as speech, such as vocabulary, grammar and semantics, with the added dependency of a system of signs or symbols, usually in the form of a formal alphabet. The result of writing is generally called text, and the recipient of text is called a reader. Motivations for writing include publication, storytelling, correspondence and diary. Writing has been instrumental in keeping history, dissemination of knowledge through the media and the formation of legal systems.\nAs human societies emerged, the development of writing was driven by pragmatic exigencies such as exchanging information, maintaining financial accounts, codifying laws and recording history. Around the 4th millennium BCE, the complexity of trade and administration in Mesopotamia outgrew human memory, and writing became a more dependable method of recording and presenting transactions in a permanent form. In both Ancient Egypt and Mesoamerica writing may have evolved through calendrics and a political necessity for recording historical and environmental events.", "title": "Writing", "image": "http://upload.wikimedia.org/wikipedia/commons/9/9f/Vincan_symbols.jpg"}, "Electricity": {"summary": "Electricity is the set of physical phenomena associated with the presence and flow of electric charge. Electricity gives a wide variety of well-known effects, such as lightning, static electricity, electromagnetic induction and electrical current. In addition, electricity permits the creation and reception of electromagnetic radiation such as radio waves.\nIn electricity, charges produce electromagnetic fields which act on other charges. Electricity occurs due to several types of physics:\nelectric charge: a property of some subatomic particles, which determines their electromagnetic interactions. Electrically charged matter is influenced by, and produces, electromagnetic fields.\nelectric field (see electrostatics): an especially simple type of electromagnetic field produced by an electric charge even when it is not moving (i.e., there is no electric current). The electric field produces a force on other charges in its vicinity.\nelectric potential: the capacity of an electric field to do work on an electric charge, typically measured in volts.\nelectric current: a movement or flow of electrically charged particles, typically measured in amperes.\nelectromagnets: Moving charges produce a magnetic field. Electrical currents generate magnetic fields, and changing magnetic fields generate electrical currents.\nIn electrical engineering, electricity is used for:\nelectric power where electric current is used to energise equipment;\nelectronics which deals with electrical circuits that involve active electrical components such as vacuum tubes, transistors, diodes and integrated circuits, and associated passive interconnection technologies.\nElectrical phenomena have been studied since antiquity, though progress in theoretical understanding remained slow until the seventeenth and eighteenth centuries. Even then, practical applications for electricity were few, and it would not be until the late nineteenth century that engineers were able to put it to industrial and residential use. The rapid expansion in electrical technology at this time transformed industry and society. Electricity's extraordinary versatility means it can be put to an almost limitless set of applications which include transport, heating, lighting, communications, and computation. Electrical power is now the backbone of modern industrial society.", "title": "Electricity", "image": "http://upload.wikimedia.org/wikipedia/commons/e/e2/Parque_e%C3%B3lico_La_Muela.jpg"}, "SAM Battery": {"summary": "A surface-to-air missile (SAM), or ground-to-air missile (GTAM), is a missile designed to be launched from the ground to destroy aircraft or other missiles. It is one type of antiaircraft system; in modern armed forces missiles have replaced most other forms of dedicated antiaircraft weapons, with antiaircraft guns pushed into specialized roles.\nThe first serious attempts at SAM development took place during World War II, although no operational systems were introduced. Further development through the 1940s and 50s led to the first operational systems being introduced by most major forces during the second half of the 1950s. Smaller systems, suitable for close-range work, evolved though the 1960s and 70s, to modern systems that are man-portable. Shipborne systems followed the evolution of land-based models, starting with long-range weapons and steadily evolving toward smaller designs to provide a layered defence that have pushed gun-based systems into the shortest-range roles.\nHistorically notable systems include the American Nike Ajax, the first operational guided missile SAM system, and the Soviet Union's S-75 Dvina, the most-produced SAM. Widely used modern examples include the Patriot and S-300 wide-area systems, SA-N-6 Grumble and SM3 naval missiles, and short-range man-portable systems like the Stinger and Strela-3.", "title": "Surface-to-air missile", "image": "http://upload.wikimedia.org/wikipedia/commons/3/32/SA-2_Guideline.JPG"}, "Nuclear": {"summary": "A nuclear weapon is an explosive device that derives its destructive force from nuclear reactions, either fission or a combination of fission and fusion. Both reactions release vast quantities of energy from relatively small amounts of matter. The first fission (\"atomic\") bomb test released the same amount of energy as approximately 20,000 tons of TNT. The first thermonuclear (\"hydrogen\") bomb test released the same amount of energy as approximately 10,000,000 tons of TNT.\nA thermonuclear weapon weighing little more than 2,400 pounds (1,100 kg) can produce an explosive force comparable to the detonation of more than 1.2 million tons (1.1 million tonnes) of TNT. Thus, even a small nuclear device no larger than traditional bombs can devastate an entire city by blast, fire, and radiation. Nuclear weapons are considered weapons of mass destruction, and their use and control have been a major focus of international relations policy since their debut.\nTwo nuclear weapons have been used in the course of warfare, both times by the United States near the end of World War II. On 6 August 1945, a uranium gun-type fission bomb code-named \"Little Boy\" was detonated over the Japanese city of Hiroshima. Three days later, on 9 August, a plutonium implosion-type fission bomb code-named \"Fat Man\" was exploded over Nagasaki, Japan. These two bombings resulted in the deaths of approximately 200,000 people\u2014mostly civilians\u2014from acute injuries sustained from the explosions. The role of the bombings in Japan's surrender, and their ethical status, remain the subject of scholarly and popular debate.\nSince the bombings of Hiroshima and Nagasaki, nuclear weapons have been detonated on over two thousand occasions for testing purposes and demonstrations. Only a few nations possess such weapons or are suspected of seeking them. The only countries known to have detonated nuclear weapons\u2014and that acknowledge possessing such weapons\u2014are (chronologically by date of first test) the United States, the Soviet Union (succeeded as a nuclear power by Russia), the United Kingdom, France, the People's Republic of China, India, Pakistan, and North Korea. Israel is also widely believed to possess nuclear weapons, though it does not acknowledge having them. One state, South Africa, fabricated nuclear weapons in the past, but as its apartheid regime was coming to an end, it disassembled its arsenal, acceded to the Nuclear Non-Proliferation Treaty, and accepted full-scope international safeguards. The Federation of American Scientists estimates there are more than 17,000 nuclear warheads in the world as of 2012, with around 4,300 of them considered \"operational\", ready for use.", "title": "Nuclear weapon", "image": "http://upload.wikimedia.org/wikipedia/commons/c/ce/Orion_pulse_unit.png"}, "Tactics": {"summary": "Military tactics can be described as the science and art of organizing a military force, and the techniques for using weapons or military units in combination for engaging and defeating an enemy in battle. Changes in philosophy and technology over time have been reflected in changes to military tactics. In current military thought, tactics are the lowest of three planning levels. The highest tier of planning is the strategy, which is about how force is translated into political objectives or, more specifically, how the means and ends of war are bridged together. An intermediate level, which converts strategy into tactics is the operational level that deals with formations of units. In common vernacular, \"tactical\" decisions are those made to achieve greatest immediate value and \"strategic\" decisions are those made to achieve the greatest overall value irrespective of immediate return.", "title": "Military tactics", "image": "http://upload.wikimedia.org/wikipedia/en/a/af/Disguisetactics.jpg"}, "Explorer": {"summary": "Exploration is the act of searching for the purpose of discovery of information or resources. Exploration occurs in all non-sessile animal species, including humans. In human history, its most dramatic rise was during the Age of Discovery when European explorers sailed and charted much of the rest of the world, largely in a pursuit of material wealth. Since then, major explorations after the Age of Discovery have occurred for reasons mostly aimed at information discovery.\nIn scientific research, exploration is one of three purposes of empirical research (the other two being description and explanation). The term is commonly used metaphorically. For example, an individual may speak of exploring the Internet, sexuality, etc.", "title": "Exploration", "image": "http://upload.wikimedia.org/wikipedia/commons/c/ce/Kazimierz_Nowak_in_jungle_2.jpg"}, "Bank": {"summary": "A bank is a financial intermediary that accepts deposits and channels those deposits into lending activities, either directly by loaning or indirectly through capital markets. A bank links together customers that have capital deficits and customers with capital surpluses.\nDue to their importance in the financial system and influence on national economies, banks are highly regulated in most countries. Most nations have institutionalised a system known as fractional reserve banking. They are generally subject to minimum capital requirements based on an international set of capital standards, known as the Basel Accords.\nBanking in its modern sense evolved in the 14th century in the rich cities of Renaissance Italy but in many ways was a continuation of ideas and concepts of credit and lending that had its roots in the ancient world. In the history of banking, a number of banking dynasties\u2014notably the Medicis, the Fuggers, the Welsers, the Berenbergs and the Rothschilds\u2014have played a central role over many centuries. The oldest existing retail bank is Monte dei Paschi di Siena, while the oldest existing merchant bank is Berenberg Bank.", "title": "Bank", "image": "http://upload.wikimedia.org/wikipedia/commons/3/3e/NatWest_Castle_Street.jpg"}, "Hydro Plant": {"summary": "Hydroelectricity is the term referring to electricity generated by hydropower; the production of electrical power through the use of the gravitational force of falling or flowing water. It is the most widely used form of renewable energy, accounting for 16 percent of global electricity generation \u2013 3,427 terawatt-hours of electricity production in 2010, and is expected to increase about 3.1% each year for the next 25 years.\nHydropower is produced in 150 countries, with the Asia-Pacific region generating 32 percent of global hydropower in 2010. China is the largest hydroelectricity producer, with 721 terawatt-hours of production in 2010, representing around 17 percent of domestic electricity use. There are now three hydroelectricity plants larger than 10 GW: the Three Gorges Dam in China, Itaipu Dam across the Brazil/Paraguay border, and Guri Dam in Venezuela.\nThe cost of hydroelectricity is relatively low, making it a competitive source of renewable electricity. The average cost of electricity from a hydro plant larger than 10 megawatts is 3 to 5 U.S. cents per kilowatt-hour. Hydro is also a flexible source of electricity since plants can be ramped up and down very quickly to adapt to changing energy demands. However, damming interrupts the flow of rivers and can harm local ecosystems, and building large dams and reservoirs often involves displacing people and wildlife. Once a hydroelectric complex is constructed, the project produces no direct waste, and has a considerably lower output level of the greenhouse gas carbon dioxide (CO\n2) than fossil fuel powered energy plants.", "title": "Hydroelectricity", "image": "http://upload.wikimedia.org/wikipedia/commons/6/6d/Nw_vietnam_hydro.jpg"}, "Submarine": {"summary": "A submarine is a watercraft capable of independent operation underwater. It differs from a submersible, which has more limited underwater capability. The term most commonly refers to a large, crewed, autonomous vessel. It is also sometimes used historically or colloquially to refer to remotely operated vehicles and robots, as well as medium-sized or smaller vessels, such as the midget submarine and the wet sub. Used as an adjective in phrases such as submarine cable, \"submarine\" means \"under the sea\". The noun submarine evolved as a shortened form of submarine boat (and is often further shortened to sub). For reasons of naval tradition, submarines are usually referred to as \"boats\" rather than as \"ships\", regardless of their size.\nAlthough experimental submarines had been built before, submarine design took off during the 19th century, and they were adopted by several navies. Submarines were first widely used during World War I (1914\u20131918), and now figure in many navies large and small. Military usage includes attacking enemy surface ships (merchant and military), submarines, aircraft carrier protection, blockade running, ballistic missile submarines as part of a nuclear strike force, reconnaissance, conventional land attack (for example using a cruise missile), and covert insertion of special forces. Civilian uses for submarines include marine science, salvage, exploration and facility inspection/maintenance. Submarines can also be modified to perform more specialized functions such as search-and-rescue missions or undersea cable repair. Submarines are also used in tourism, and for undersea archaeology.\nMost large submarines consist of a cylindrical body with hemispherical (and/or conical) ends and a vertical structure, usually located amidships, which houses communications and sensing devices as well as periscopes. In modern submarines, this structure is the \"sail\" in American usage, and \"fin\" in European usage. A \"conning tower\" was a feature of earlier designs: a separate pressure hull above the main body of the boat that allowed the use of shorter periscopes. There is a propeller (or pump jet) at the rear, and various hydrodynamic control fins. Smaller, deep diving and specialty submarines may deviate significantly from this traditional layout. Submarines change the amount of water and air in their ballast tanks to decrease buoyancy for submerging or increase it for surfacing.\nSubmarines have one of the widest ranges of types and capabilities of any vessel. They range from small autonomous examples and one or two-person vessels that operate for a few hours, to vessels that can remain submerged for six months\u2014such as the Russian Typhoon class, the biggest submarines ever built. Submarines can work at greater depths than are survivable or practical for human divers. Modern deep-diving submarines derive from the bathyscaphe, which in turn evolved from the diving bell.", "title": "Submarine", "image": "http://upload.wikimedia.org/wikipedia/commons/6/6a/Allveelaev_Lembit_2012.jpg"}, "Stealth": {"summary": "Stealth technology also termed LO technology (low observable technology) is a sub-discipline of military tactics and passive electronic countermeasures, which cover a range of techniques used with personnel, aircraft, ships, submarines, missiles and satellites to make them less visible (ideally invisible) to radar, infrared, sonar and other detection methods. It corresponds to camouflage for these parts of the electromagnetic spectrum.\nDevelopment in the United States occurred in 1958, where earlier attempts in preventing radar tracking of its U-2 spy planes during the Cold War by the Soviet Union had been unsuccessful. Designers turned to develop a particular shape for planes that tended to reduce detection, by redirecting electromagnetic waves from radars. Radar-absorbent material was also tested and made to reduce or block radar signals that reflect off from the surface of planes. Such changes to shape and surface composition form stealth technology as currently used on the Northrop Grumman B-2 Spirit \"Stealth Bomber\". The concept of stealth is to operate or hide without giving enemy forces any indications as to the presence of friendly forces. This concept was first explored through camouflage by blending into the background visual clutter. As the potency of detection and interception technologies (radar, IRST, surface-to-air missiles etc.) have increased over time, so too has the extent to which the design and operation of military personnel and vehicles have been affected in response. Some military uniforms are treated with chemicals to reduce their infrared signature. A modern \"stealth\" vehicle is designed from the outset to have a chosen spectral signature. The degree of stealth embodied in a particular design is chosen according to the predicted threat capabilities.", "title": "Stealth technology", "image": null}, "Chivalry": {"summary": "Chivalry, or the chivalric code, is a code of conduct associated with the medieval institution of knighthood. Chivalry arose from an idealised German custom. It developed first in the north of France among horse soldiers who served in Charlemagne\u2032s heavy cavalry. It was originally conceived of as an aristocratic warrior code \u2014 the term derives from the French term chevalerie, meaning horse soldiery \u2014 involving gallantry, individual training, and service to others. Over time its meaning has been refined to emphasise more ideals such as the knightly virtues of honour, courtly love, courtesy, and less martial aspects of the tradition.\nThe Knight's Code of Chivalry was a moral and honourable system that stated all knights should protect others who can not protect themselves, such as widows, children, and elders. All knights needed to have the strength and skills to fight wars in the Middle Ages; they not only had to be strong but they were also extremely disciplined and were expected to use their power to protect the weak and defenseless.\nKnights vowed to be loyal, generous, and \"of noble bearing\". Knights were required to tell the truth and respect the honour of women. Knights vowed to protect the weak and guard the honour of fellow knights. They were to obey those in authority, and to never refuse a challenge from an equal. Knights lived by honour and for glory. Knights were to fear God and maintain His Church. Knights always kept their faith and never turned their back on a foe. Knights despised pecuniary reward. They persevered to the end in any enterprise begun.\nHistorian Johan Huizinga remarks in his book The Waning of the Middle Ages, \"the source of the chivalrous idea, is pride aspiring to beauty, and formalised pride gives rise to a conception of honour, which is the pole of noble life\".", "title": "Chivalry", "image": "http://upload.wikimedia.org/wikipedia/commons/1/16/Meister_der_Manessischen_Liederhandschrift_001.jpg"}, "Lighthouse": {"summary": "A lighthouse is a tower, building, or other type of structure designed to emit light from a system of lamps and lenses and used as a navigational aid for maritime pilots at sea or on inland waterways.\nLighthouses mark dangerous coastlines, hazardous shoals, reefs, safe entries to harbors, and can also assist in aerial navigation. Once widely used, the number of operational lighthouses has declined due to the expense of maintenance and replacement by modern electronic navigational systems.", "title": "Lighthouse", "image": "http://upload.wikimedia.org/wikipedia/commons/3/30/Lighthouse_lantern_room_with_Fresnel_lens.png"}, "Banking": {"summary": "A bank is a financial intermediary that accepts deposits and channels those deposits into lending activities, either directly by loaning or indirectly through capital markets. A bank links together customers that have capital deficits and customers with capital surpluses.\nDue to their importance in the financial system and influence on national economies, banks are highly regulated in most countries. Most nations have institutionalised a system known as fractional reserve banking. They are generally subject to minimum capital requirements based on an international set of capital standards, known as the Basel Accords.\nBanking in its modern sense evolved in the 14th century in the rich cities of Renaissance Italy but in many ways was a continuation of ideas and concepts of credit and lending that had its roots in the ancient world. In the history of banking, a number of banking dynasties\u2014notably the Medicis, the Fuggers, the Welsers, the Berenbergs and the Rothschilds\u2014have played a central role over many centuries. The oldest existing retail bank is Monte dei Paschi di Siena, while the oldest existing merchant bank is Berenberg Bank.", "title": "Bank", "image": "http://upload.wikimedia.org/wikipedia/commons/3/3e/NatWest_Castle_Street.jpg"}, "Fighter": {"summary": "A fighter aircraft is a military aircraft designed primarily for air-to-air combat against other aircraft, as opposed to bombers and attack aircraft, whose main mission is to attack ground targets. The hallmarks of a fighter are its speed, maneuverability, and small size relative to other combat aircraft.\nMany fighters have secondary ground-attack capabilities, and some are designed as dual-purpose fighter-bombers; often aircraft that do not fulfill the standard definition are called fighters. This may be for political or national security reasons, for advertising purposes, or other reasons.\nA fighter's main purpose is to establish air superiority over a battlefield. Since World War I, achieving and maintaining air superiority has been considered essential for victory in conventional warfare. The success or failure of a belligerent's efforts to gain air supremacy hinges on several factors including the skill of its pilots, the tactical soundness of its doctrine for deploying its fighters, and the numbers and performance of those fighters. Because of the importance of air superiority, since the dawn of aerial combat armed forces have constantly competed to develop technologically superior fighters and to deploy these fighters in greater numbers, and fielding a viable fighter fleet consumes a substantial proportion of the defense budgets of modern armed forces.", "title": "Fighter aircraft", "image": "http://upload.wikimedia.org/wikipedia/commons/5/55/F4F-3_new_pitot_tube_of_later_model.jpg"}, "Gunpowder": {"summary": "Gunpowder, also known as black powder, was the first chemical explosive and the only one known until the mid-19th century. It is a mixture of sulfur, charcoal, and potassium nitrate (saltpeter)\u2014with the sulfur and charcoal acting as fuels, while the saltpeter works as an oxidizer. Because of its burning properties and the amount of heat and gas volume that it generates, gunpowder has been widely used as a propellant in firearms and as a pyrotechnic composition in fireworks.\nGunpowder was, according to prevailing academic consensus, invented in the 9th century in China, and the earliest record of a written formula for gunpowder appears in the 11th century Song Dynasty text, Wujing Zongyao. This discovery led to the invention of fireworks and the earliest gunpowder weapons in China. In the centuries following the Chinese discovery, gunpowder weapons began appearing in the Muslim world, Europe, and India. The technology spread from China through the Middle East or Central Asia, and then into Europe. The earliest Western accounts of gunpowder appear in texts written by English philosopher Roger Bacon in the 13th century.\nGunpowder is classified as a low explosive because of its relatively slow decomposition rate and consequently low brisance. Low explosives deflagrate (i.e., burn) at subsonic speeds, whereas high explosives detonate, producing a supersonic wave. Gunpowder's burning rate increases with pressure, so it will burst containers if contained but otherwise just burns in the open. Ignition of the powder packed behind a bullet must generate enough pressure to force it from the muzzle at high speed, but not enough to rupture the gun barrel. Gunpowder thus makes a good propellant, but is less suitable for shattering rock or fortifications. Gunpowder was widely used to fill artillery shells and in mining and civil engineering to blast rock roughly until the second half of the 19th century, when the first high explosives (nitro-explosives) were discovered. Gunpowder is no longer used in modern explosive military warheads, nor is it used as main explosive in mining operations due to its cost relative to that of newer alternatives such as ammonium nitrate/fuel oil (ANFO). Black powder is still used as a delay element in various munitions where its slow-burning properties are valuable.\n Formulations used in blasting rock (such as in quarrying) are called blasting powder.", "title": "Gunpowder", "image": "http://upload.wikimedia.org/wikipedia/commons/a/aa/Bronze_cannon_of_1332.jpg"}, "Labor Union": {"summary": "A trade union (British English and Australian English \u2013 trades union is also used), labour union (Canadian English) or labor union (American English) is an organization of workers who have united together to achieve common goals such as protecting the integrity of its trade, achieving higher pay and benefits such as health care and retirement, increasing the number of employees an employer assigns to complete the work, safety standards, and better working conditions. The trade union, through its leadership, bargains with the employer on behalf of union members (rank and file members) and negotiates labour contracts (collective bargaining) with employers. The most common purpose of these associations or unions is \"maintaining or improving the conditions of their employment\". This may include the negotiation of wages, work rules, complaint procedures, rules governing hiring, firing and promotion of workers, benefits, workplace safety and policies.\nUnions may organize a particular section of skilled workers (craft unionism), a cross-section of workers from various trades (general unionism), or attempt to organize all workers within a particular industry (industrial unionism). The agreements negotiated by a union are binding on the rank and file members and the employer and in some cases on other non-member workers. Trade unions traditionally have a constitution which details the governance of their bargaining unit and also have governance at various levels of government depending on the industry that binds them legally to their negotiations and functioning.\nOriginating in Europe, trade unions became popular in many countries during the Industrial Revolution, when the lack of skill necessary to perform most jobs shifted employment bargaining power almost completely to the employers' side, causing many workers to be mistreated and underpaid. Trade unions may be composed of individual workers, professionals, past workers, students, apprentices and/or the unemployed.", "title": "Trade union", "image": "http://upload.wikimedia.org/wikipedia/commons/a/a6/UnisonStrikeRallyOxford20060328_KaihsuTai.jpg"}, "Carrier": {"summary": "An aircraft carrier is a warship with a full-length flight deck and facilities for carrying, arming, deploying, and recovering aircraft, that serves as a seagoing airbase. Typically, it is the capital ship of a fleet, as it allows a naval force to project air power worldwide without depending on local bases for staging aircraft operations. It is extremely expensive to build and important to protect. Aircraft carriers have evolved from converted cruisers to nuclear-powered warships that carry numerous fighter planes, strike aircraft, helicopters, and other types of aircraft.\nThere is no single definition of an \"aircraft carrier\", and modern navies use several variants of the type. These variants are sometimes categorized as sub-types of aircraft carriers, and sometimes as distinct types of aviation-capable ships. Aircraft carriers may be classified according to the type of aircraft they carry and their operational assignments. Admiral Sir Mark Stanhope, former head of the Royal Navy, has said that \"To put it simply, countries that aspire to strategic international influence have aircraft carriers\".\nCarriers have evolved since their inception in the early twentieth century from wooden vessels used to deploy balloons to nuclear-powered warships that carry dozens of aircraft, including fighter jets and helicopters. As of 18 June 2014, there are thirty-seven active aircraft carriers in the world within twelve navies. The United States Navy has ten large nuclear-powered carriers, known as supercarriers, carrying up to ninety aircraft, the largest carriers in the world. As well as the supercarrier fleet, the US Navy has nine amphibious assault ships used primarily for helicopters (sometimes called helicopter carriers); these can also carry up to twenty-five fighter jets, and in some cases are as large as some other nations' fixed-wing carriers.", "title": "Aircraft carrier", "image": "http://upload.wikimedia.org/wikipedia/commons/5/50/Bluetank.png"}, "Offshore Platform": {"summary": "An oil platform, (offshore platform or colloquially oil rig) is a large structure with facilities to drill wells, to extract and process oil and natural gas, and to temporarily store product until it can be brought to shore for refining and marketing. In many cases, the platform contains facilities to house the workforce as well.\nDepending on the circumstances, the platform may be fixed to the ocean floor, may consist of an artificial island, or may float. Remote subsea wells may also be connected to a platform by flow lines and by umbilical connections. These subsea solutions may consist of one or more subsea wells, or of one or more manifold centres for multiple wells.", "title": "Oil platform", "image": "http://upload.wikimedia.org/wikipedia/commons/d/d9/Types_of_offshore_oil_and_gas_structures.jpg"}, "Partisan": {"summary": "A partisan is a member of an irregular military force formed to oppose control of an area by a foreign power or by an army of occupation by some kind of insurgent activity. The term can apply to the field element of resistance movements, examples of which are the civilians that opposed Nazi German or Fascist Italian rule in several countries during World War II.", "title": "Partisan (military)", "image": "http://upload.wikimedia.org/wikipedia/commons/8/8b/Sov_partizans.jpg"}, "Hoover Dam": {"summary": "Hoover Dam, once known as Boulder Dam, is a concrete arch-gravity dam in the Black Canyon of the Colorado River, on the border between the U.S. states of Arizona and Nevada. It was constructed between 1931 and 1936 during the Great Depression and was dedicated on September 30, 1935, by President Franklin D. Roosevelt. Its construction was the result of a massive effort involving thousands of workers, and cost over one hundred lives. The dam was controversially named after President Herbert Hoover.\nSince about 1900, the Black Canyon and nearby Boulder Canyon had been investigated for their potential to support a dam that would control floods, provide irrigation water and produce hydroelectric power. In 1928, Congress authorized the project. The winning bid to build the dam was submitted by a consortium called Six Companies, Inc., which began construction on the dam in early 1931. Such a large concrete structure had never been built before, and some of the techniques were unproven. The torrid summer weather and the lack of facilities near the site also presented difficulties. Nevertheless, Six Companies turned over the dam to the federal government on March 1, 1936, more than two years ahead of schedule.\nHoover Dam impounds Lake Mead, the largest reservoir in the United States by volume. The dam is located near Boulder City, Nevada, a municipality originally constructed for workers on the construction project, about 30 mi (48 km) southeast of Las Vegas, Nevada. The dam's generators provide power for public and private utilities in Nevada, Arizona, and California. Hoover Dam is a major tourist attraction; nearly a million people tour the dam each year. Heavily travelled U.S. 93 ran along the dam's crest until October 2010, when the Hoover Dam Bypass opened.", "title": "Hoover Dam", "image": "http://upload.wikimedia.org/wikipedia/commons/0/00/HooverDamTrueDesign.jpg"}, "Paratroopers": {"summary": "Paratroopers are military parachutists \u2014 soldiers, marines, and others trained in parachuting into an operation and usually functioning as part of an airborne force.", "title": "Paratrooper", "image": "http://upload.wikimedia.org/wikipedia/commons/7/77/Paratrooper_at_Spanish_drop_zone_during_Exercise_Iberian_Eagle.jpg"}, "Bridge Building": {"summary": "A bridge is a structure built to span physical obstacles such as a body of water, valley, or road, for the purpose of providing passage over the obstacle. There are many different designs that all serve unique purposes and apply to different situations. Designs of bridges vary depending on the function of the bridge, the nature of the terrain where the bridge is constructed and anchored, the material used to make it, and the funds available to build it.\n\n", "title": "Bridge", "image": null}, "Archers": {"summary": "Archery is the art, practice, or skill of propelling arrows with the use of a bow, from Latin arcus. Historically, archery has been used for hunting and combat, while in modern times, its main use is that of a competitive sport and recreational activity. A person who participates in archery is typically known as an \"archer\" or a \"bowman\", and one who is fond of or an expert at archery can be referred to as a toxophilite.", "title": "Archery", "image": "http://upload.wikimedia.org/wikipedia/commons/7/71/Vishwamitra_archery_training-1.jpg"}, "Philosophy": {"summary": "Philosophy is the study of general and fundamental problems, such as those connected with reality, existence, knowledge, values, reason, mind, and language. Philosophy is distinguished from other ways of addressing such problems by its critical, generally systematic approach and its reliance on rational argument. In more casual speech, by extension, \"philosophy\" can refer to \"the most basic beliefs, concepts, and attitudes of an individual or group\".\nThe word \"philosophy\" comes from the Ancient Greek \u03c6\u03b9\u03bb\u03bf\u03c3\u03bf\u03c6\u03af\u03b1 (philosophia), which literally means \"love of wisdom\". The introduction of the terms \"philosopher\" and \"philosophy\" has been ascribed to the Greek thinker Pythagoras.\n\n", "title": "Philosophy", "image": "http://upload.wikimedia.org/wikipedia/commons/e/ea/Painting_of_David_Hume.jpg"}, "Robotics": {"summary": "Robotics is the branch of technology that deals with the design, construction, operation, and application of robots, as well as computer systems for their control, sensory feedback, and information processing. These technologies deal with automated machines that can take the place of humans in dangerous environments or manufacturing processes, or resemble humans in appearance, behavior, and/or cognition. Many of today's robots are inspired by nature contributing to the field of bio-inspired robotics.\nThe concept of creating machines that can operate autonomously dates back to classical times, but research into the functionality and potential uses of robots did not grow substantially until the 20th century. Throughout history, robotics has been often seen to mimic human behavior, and often manage tasks in a similar fashion. Today, robotics is a rapidly growing field, as technological advances continue, research, design, and building new robots serve various practical purposes, whether domestically, commercially, or militarily. Many robots do jobs that are hazardous to people such as defusing bombs, mines and exploring shipwrecks.", "title": "Robotics", "image": "http://upload.wikimedia.org/wikipedia/commons/2/28/Segway_01.JPG"}, "Navigation": {"summary": "Navigation is a field of study that focuses on the process of monitoring and controlling the movement of a craft or vehicle from one place to another. The field of navigation includes four general categories: land navigation, marine navigation, aeronautic navigation, and space navigation. It is also the term of art used for the specialized knowledge used by navigators to perform navigation tasks. All navigational techniques involve locating the navigator's position compared to known locations or patterns.\nNavigation, in a broader sense, can refer to any skill or study that involves the determination of position and direction. In this sense, navigation includes orienteering and pedestrian navigation. For information about different navigation strategies that people use, visit human navigation.", "title": "Navigation", "image": "http://upload.wikimedia.org/wikipedia/commons/f/f1/SplitPointLighthouse.jpg"}, "Map Making": {"summary": "Cartography (from Greek \u03c7\u03ac\u03c1\u03c4\u03b7\u03c2 khart\u0113s, \"map\"; and \u03b3\u03c1\u03ac\u03c6\u03b5\u03b9\u03bd graphein, \"write\") is the study and practice of making maps. Combining science, aesthetics, and technique, cartography builds on the premise that reality can be modeled in ways that communicate spatial information effectively.\nThe fundamental problems of traditional cartography are to:\nSet the map's agenda and select traits of the object to be mapped. This is the concern of map editing. Traits may be physical, such as roads or land masses, or may be abstract, such as toponyms or political boundaries.\nRepresent the terrain of the mapped object on flat media. This is the concern of map projections.\nEliminate characteristics of the mapped object that are not relevant to the map's purpose. This is the concern of generalization.\nReduce the complexity of the characteristics that will be mapped. This is also the concern of generalization.\nOrchestrate the elements of the map to best convey its message to its audience. This is the concern of map design.\nModern cartography is largely integrated with geographic information science (GIScience) and constitutes many theoretical and practical foundations of geographic information systems.", "title": "Cartography", "image": "http://upload.wikimedia.org/wikipedia/commons/a/a1/TabulaRogeriana_upside-down.jpg"}, "Alphabet": {"summary": "An alphabet is a standard set of letters (basic written symbols or graphemes) which is used to write one or more languages based on the general principle that the letters represent phonemes (basic significant sounds) of the spoken language. This is in contrast to other types of writing systems, such as syllabaries (in which each character represents a syllable) and logographies (in which each character represents a word, morpheme, or semantic unit).\nA true alphabet has letters for the vowels of a language as well as the consonants. The first \"true alphabet\" in this sense is believed to be the Greek alphabet, which is a modified form of the Phoenician alphabet. In other types of alphabet either the vowels are not indicated at all, as was the case in the Phoenician alphabet (such systems are known as abjads), or else the vowels are shown by diacritics or modification of consonants, as in the devanagari used in India and Nepal (these systems are known as abugidas or alphasyllabaries).\nThere are dozens of alphabets in use today, the most popular being the Latin alphabet (which was derived from the Greek). Many languages use modified forms of the Latin alphabet, with additional letters formed using diacritical marks. While most alphabets have letters composed of lines (linear writing), there are also exceptions such as the alphabets used in Braille, fingerspelling, and Morse code.\nAlphabets are usually associated with a standard ordering of their letters. This makes them useful for purposes of collation, specifically by allowing words to be sorted in alphabetical order. It also means that their letters can be used as an alternative method of \"numbering\" ordered items, in such contexts as numbered lists.", "title": "Alphabet", "image": "http://upload.wikimedia.org/wikipedia/commons/8/87/ZographensisColour.jpg"}, "Electronics": {"summary": "Electronics deals with electrical circuits that involve active electrical components such as vacuum tubes, transistors, diodes and integrated circuits, and associated passive interconnection technologies. Commonly, electronic devices contain circuitry consisting primarily or exclusively of active semiconductors supplemented with passive elements; such a circuit is described as an electronic circuit.\nThe nonlinear behaviour of active components and their ability to control electron flows makes amplification of weak signals possible and electronics is widely used in information processing, telecommunication, and signal processing. The ability of electronic devices to act as switches makes digital information processing possible. Interconnection technologies such as circuit boards, electronics packaging technology, and other varied forms of communication infrastructure complete circuit functionality and transform the mixed components into a regular working system.\nElectronics is distinct from electrical and electro-mechanical science and technology, which deal with the generation, distribution, switching, storage, and conversion of electrical energy to and from other energy forms using wires, motors, generators, batteries, switches, relays, transformers, resistors, and other passive components. This distinction started around 1906 with the invention by Lee De Forest of the triode, which made electrical amplification of weak radio signals and audio signals possible with a non-mechanical device. Until 1950 this field was called \"radio technology\" because its principal application was the design and theory of radio transmitters, receivers, and vacuum tubes.\nToday, most electronic devices use semiconductor components to perform electron control. The study of semiconductor devices and related technology is considered a branch of solid-state physics, whereas the design and construction of electronic circuits to solve practical problems come under electronics engineering. This article focuses on engineering aspects of electronics.", "title": "Electronics", "image": null}, "Trade": {"summary": "Trade, also called goods exchange economy, is to transfer the ownership of goods from one person or entity to another by getting a product or service in exchange from the buyer. Trade is sometimes loosely called commerce or financial transaction or barter. A network that allows trade is called a market. The original form of trade was barter, the direct exchange of goods and services. Later one side of the barter were the metals, precious metals (poles[clarification needed], coins), bill, paper money. Modern traders instead generally negotiate through a medium of exchange, such as money. As a result, buying can be separated from selling, or earning. The invention of money (and later credit, paper money and non-physical money) greatly simplified and promoted trade. Trade between two traders is called bilateral trade, while trade between more than two traders is called multilateral trade.\nTrade exists for man due to specialization and division of labor, in which most people concentrate on a small aspect of production, trading for other products. Trade exists between regions because different regions have a comparative advantage in the production of some trad-able commodity, or because different regions size allows for the benefits of mass production. As such, trade at market prices between locations benefits both locations.\nRetail trade consists of the sale of goods or merchandise from a very fixed location, such as a department store, boutique or kiosk, or by mail, in small or individual lots for direct consumption or use by the purchaser. Wholesale trade is defined as the sale of goods that are sold as merchandise to retailers, and/or industrial, commercial, institutional, or other professional business users, or to other wholesalers and related subordinated services.\nTrading is a value added function of the economic process of a product finding its market, where specific risks are to be borne by the trader, affecting the assets being traded which will be mitigated by performing specific functions.\nTrading can also refer to the action performed by traders and other market agents in the financial markets.", "title": "Trade", "image": "http://upload.wikimedia.org/wikipedia/commons/7/74/Silk_route.jpg"}, "Guerilla Warfare": {"summary": "Guerrilla warfare is a form of irregular warfare in which a small group of combatants such as armed civilians or irregulars use military tactics including ambushes, sabotage, raids, petty warfare, hit-and-run tactics, and mobility to fight a larger and less-mobile traditional military.\n\n", "title": "Guerrilla warfare", "image": "http://upload.wikimedia.org/wikipedia/commons/e/e4/My_Tho%2C_Vietnam._A_Viet_Cong_base_camp_being._In_the_foreground_is_Private_First_Class_Raymond_Rumpa%2C_St_Paul%2C_Minnesota_-_NARA_-_530621_edit.jpg"}}